package android.car;

import android.content.Context;
import android.os.Handler;
import android.os.RemoteException;

public abstract class CarManagerBase {
    protected final Car mCar;

    /* access modifiers changed from: protected */
    public abstract void onCarDisconnected();

    public CarManagerBase(Car car) {
        this.mCar = car;
    }

    /* access modifiers changed from: protected */
    public Context getContext() {
        return this.mCar.getContext();
    }

    /* access modifiers changed from: protected */
    public Handler getEventHandler() {
        return this.mCar.getEventHandler();
    }

    /* access modifiers changed from: protected */
    public <T> T handleRemoteExceptionFromCarService(RemoteException remoteException, T t) {
        return (T) this.mCar.handleRemoteExceptionFromCarService(remoteException, t);
    }

    /* access modifiers changed from: protected */
    public void handleRemoteExceptionFromCarService(RemoteException remoteException) {
        this.mCar.handleRemoteExceptionFromCarService(remoteException);
    }
}
