package android.car;

import android.car.projection.ProjectionStatus;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.List;

public interface ICarProjectionStatusListener extends IInterface {

    public static class Default implements ICarProjectionStatusListener {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.ICarProjectionStatusListener
        public void onProjectionStatusChanged(int i, String str, List<ProjectionStatus> list) throws RemoteException {
        }
    }

    void onProjectionStatusChanged(int i, String str, List<ProjectionStatus> list) throws RemoteException;

    public static abstract class Stub extends Binder implements ICarProjectionStatusListener {
        private static final String DESCRIPTOR = "android.car.ICarProjectionStatusListener";
        static final int TRANSACTION_onProjectionStatusChanged = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarProjectionStatusListener asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarProjectionStatusListener)) {
                return new Proxy(iBinder);
            }
            return (ICarProjectionStatusListener) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                onProjectionStatusChanged(parcel.readInt(), parcel.readString(), parcel.createTypedArrayList(ProjectionStatus.CREATOR));
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarProjectionStatusListener {
            public static ICarProjectionStatusListener sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.ICarProjectionStatusListener
            public void onProjectionStatusChanged(int i, String str, List<ProjectionStatus> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    obtain.writeTypedList(list);
                    if (this.mRemote.transact(1, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().onProjectionStatusChanged(i, str, list);
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarProjectionStatusListener iCarProjectionStatusListener) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarProjectionStatusListener == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarProjectionStatusListener;
                return true;
            }
        }

        public static ICarProjectionStatusListener getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
