package android.car;

import android.car.IExperimentalCarHelper;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.List;

public interface IExperimentalCar extends IInterface {

    public static class Default implements IExperimentalCar {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.IExperimentalCar
        public void init(IExperimentalCarHelper iExperimentalCarHelper, List<String> list) throws RemoteException {
        }
    }

    void init(IExperimentalCarHelper iExperimentalCarHelper, List<String> list) throws RemoteException;

    public static abstract class Stub extends Binder implements IExperimentalCar {
        private static final String DESCRIPTOR = "android.car.IExperimentalCar";
        static final int TRANSACTION_init = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IExperimentalCar asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IExperimentalCar)) {
                return new Proxy(iBinder);
            }
            return (IExperimentalCar) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                init(IExperimentalCarHelper.Stub.asInterface(parcel.readStrongBinder()), parcel.createStringArrayList());
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements IExperimentalCar {
            public static IExperimentalCar sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.IExperimentalCar
            public void init(IExperimentalCarHelper iExperimentalCarHelper, List<String> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iExperimentalCarHelper != null ? iExperimentalCarHelper.asBinder() : null);
                    obtain.writeStringList(list);
                    if (this.mRemote.transact(1, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().init(iExperimentalCarHelper, list);
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(IExperimentalCar iExperimentalCar) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iExperimentalCar == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iExperimentalCar;
                return true;
            }
        }

        public static IExperimentalCar getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
