package android.car;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.List;

public interface IExperimentalCarHelper extends IInterface {

    public static class Default implements IExperimentalCarHelper {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.IExperimentalCarHelper
        public void onInitComplete(List<String> list, List<String> list2, List<String> list3, List<IBinder> list4) throws RemoteException {
        }
    }

    void onInitComplete(List<String> list, List<String> list2, List<String> list3, List<IBinder> list4) throws RemoteException;

    public static abstract class Stub extends Binder implements IExperimentalCarHelper {
        private static final String DESCRIPTOR = "android.car.IExperimentalCarHelper";
        static final int TRANSACTION_onInitComplete = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IExperimentalCarHelper asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IExperimentalCarHelper)) {
                return new Proxy(iBinder);
            }
            return (IExperimentalCarHelper) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                onInitComplete(parcel.createStringArrayList(), parcel.createStringArrayList(), parcel.createStringArrayList(), parcel.createBinderArrayList());
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements IExperimentalCarHelper {
            public static IExperimentalCarHelper sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.IExperimentalCarHelper
            public void onInitComplete(List<String> list, List<String> list2, List<String> list3, List<IBinder> list4) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStringList(list);
                    obtain.writeStringList(list2);
                    obtain.writeStringList(list3);
                    obtain.writeBinderList(list4);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onInitComplete(list, list2, list3, list4);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(IExperimentalCarHelper iExperimentalCarHelper) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iExperimentalCarHelper == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iExperimentalCarHelper;
                return true;
            }
        }

        public static IExperimentalCarHelper getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
