package android.car.content.pm;

import android.app.PendingIntent;
import android.content.ComponentName;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ICarPackageManager extends IInterface {

    public static class Default implements ICarPackageManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.content.pm.ICarPackageManager
        public boolean isActivityBackedBySafeActivity(ComponentName componentName) throws RemoteException {
            return false;
        }

        @Override // android.car.content.pm.ICarPackageManager
        public boolean isActivityDistractionOptimized(String str, String str2) throws RemoteException {
            return false;
        }

        @Override // android.car.content.pm.ICarPackageManager
        public boolean isPendingIntentDistractionOptimized(PendingIntent pendingIntent) throws RemoteException {
            return false;
        }

        @Override // android.car.content.pm.ICarPackageManager
        public boolean isServiceDistractionOptimized(String str, String str2) throws RemoteException {
            return false;
        }

        @Override // android.car.content.pm.ICarPackageManager
        public void restartTask(int i) throws RemoteException {
        }

        @Override // android.car.content.pm.ICarPackageManager
        public void setAppBlockingPolicy(String str, CarAppBlockingPolicy carAppBlockingPolicy, int i) throws RemoteException {
        }

        @Override // android.car.content.pm.ICarPackageManager
        public void setEnableActivityBlocking(boolean z) throws RemoteException {
        }
    }

    boolean isActivityBackedBySafeActivity(ComponentName componentName) throws RemoteException;

    boolean isActivityDistractionOptimized(String str, String str2) throws RemoteException;

    boolean isPendingIntentDistractionOptimized(PendingIntent pendingIntent) throws RemoteException;

    boolean isServiceDistractionOptimized(String str, String str2) throws RemoteException;

    void restartTask(int i) throws RemoteException;

    void setAppBlockingPolicy(String str, CarAppBlockingPolicy carAppBlockingPolicy, int i) throws RemoteException;

    void setEnableActivityBlocking(boolean z) throws RemoteException;

    public static abstract class Stub extends Binder implements ICarPackageManager {
        private static final String DESCRIPTOR = "android.car.content.pm.ICarPackageManager";
        static final int TRANSACTION_isActivityBackedBySafeActivity = 4;
        static final int TRANSACTION_isActivityDistractionOptimized = 2;
        static final int TRANSACTION_isPendingIntentDistractionOptimized = 7;
        static final int TRANSACTION_isServiceDistractionOptimized = 3;
        static final int TRANSACTION_restartTask = 6;
        static final int TRANSACTION_setAppBlockingPolicy = 1;
        static final int TRANSACTION_setEnableActivityBlocking = 5;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarPackageManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarPackageManager)) {
                return new Proxy(iBinder);
            }
            return (ICarPackageManager) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                CarAppBlockingPolicy carAppBlockingPolicy = null;
                PendingIntent pendingIntent = null;
                ComponentName componentName = null;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        String readString = parcel.readString();
                        if (parcel.readInt() != 0) {
                            carAppBlockingPolicy = CarAppBlockingPolicy.CREATOR.createFromParcel(parcel);
                        }
                        setAppBlockingPolicy(readString, carAppBlockingPolicy, parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isActivityDistractionOptimized = isActivityDistractionOptimized(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeInt(isActivityDistractionOptimized ? 1 : 0);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isServiceDistractionOptimized = isServiceDistractionOptimized(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeInt(isServiceDistractionOptimized ? 1 : 0);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            componentName = (ComponentName) ComponentName.CREATOR.createFromParcel(parcel);
                        }
                        boolean isActivityBackedBySafeActivity = isActivityBackedBySafeActivity(componentName);
                        parcel2.writeNoException();
                        parcel2.writeInt(isActivityBackedBySafeActivity ? 1 : 0);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        setEnableActivityBlocking(parcel.readInt() != 0);
                        parcel2.writeNoException();
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        restartTask(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            pendingIntent = (PendingIntent) PendingIntent.CREATOR.createFromParcel(parcel);
                        }
                        boolean isPendingIntentDistractionOptimized = isPendingIntentDistractionOptimized(pendingIntent);
                        parcel2.writeNoException();
                        parcel2.writeInt(isPendingIntentDistractionOptimized ? 1 : 0);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarPackageManager {
            public static ICarPackageManager sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.content.pm.ICarPackageManager
            public void setAppBlockingPolicy(String str, CarAppBlockingPolicy carAppBlockingPolicy, int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (carAppBlockingPolicy != null) {
                        obtain.writeInt(1);
                        carAppBlockingPolicy.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeInt(i);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setAppBlockingPolicy(str, carAppBlockingPolicy, i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.content.pm.ICarPackageManager
            public boolean isActivityDistractionOptimized(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isActivityDistractionOptimized(str, str2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.content.pm.ICarPackageManager
            public boolean isServiceDistractionOptimized(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    boolean z = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isServiceDistractionOptimized(str, str2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.content.pm.ICarPackageManager
            public boolean isActivityBackedBySafeActivity(ComponentName componentName) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (componentName != null) {
                        obtain.writeInt(1);
                        componentName.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isActivityBackedBySafeActivity(componentName);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() == 0) {
                        z = false;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.content.pm.ICarPackageManager
            public void setEnableActivityBlocking(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setEnableActivityBlocking(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.content.pm.ICarPackageManager
            public void restartTask(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().restartTask(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // android.car.content.pm.ICarPackageManager
            public boolean isPendingIntentDistractionOptimized(PendingIntent pendingIntent) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = true;
                    if (pendingIntent != null) {
                        obtain.writeInt(1);
                        pendingIntent.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isPendingIntentDistractionOptimized(pendingIntent);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() == 0) {
                        z = false;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarPackageManager iCarPackageManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarPackageManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarPackageManager;
                return true;
            }
        }

        public static ICarPackageManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
