package android.car.drivingstate;

import android.annotation.SystemApi;
import android.os.Parcel;
import android.os.Parcelable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@SystemApi
public final class CarDrivingStateEvent implements Parcelable {
    public static final Parcelable.Creator<CarDrivingStateEvent> CREATOR = new Parcelable.Creator<CarDrivingStateEvent>() {
        /* class android.car.drivingstate.CarDrivingStateEvent.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public CarDrivingStateEvent createFromParcel(Parcel parcel) {
            return new CarDrivingStateEvent(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public CarDrivingStateEvent[] newArray(int i) {
            return new CarDrivingStateEvent[i];
        }
    };
    public static final int DRIVING_STATE_IDLING = 1;
    public static final int DRIVING_STATE_MOVING = 2;
    public static final int DRIVING_STATE_PARKED = 0;
    public static final int DRIVING_STATE_UNKNOWN = -1;
    public final int eventValue;
    public final long timeStamp;

    @Retention(RetentionPolicy.SOURCE)
    public @interface CarDrivingState {
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.eventValue);
        parcel.writeLong(this.timeStamp);
    }

    public CarDrivingStateEvent(int i, long j) {
        this.eventValue = i;
        this.timeStamp = j;
    }

    private CarDrivingStateEvent(Parcel parcel) {
        this.eventValue = parcel.readInt();
        this.timeStamp = parcel.readLong();
    }

    public String toString() {
        return this.eventValue + " " + this.timeStamp;
    }
}
