package android.car.hardware.property;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import java.util.List;

public interface ICarPropertyEventListener extends IInterface {

    public static class Default implements ICarPropertyEventListener {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.hardware.property.ICarPropertyEventListener
        public void onEvent(List<CarPropertyEvent> list) throws RemoteException {
        }
    }

    void onEvent(List<CarPropertyEvent> list) throws RemoteException;

    public static abstract class Stub extends Binder implements ICarPropertyEventListener {
        private static final String DESCRIPTOR = "android.car.hardware.property.ICarPropertyEventListener";
        static final int TRANSACTION_onEvent = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarPropertyEventListener asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarPropertyEventListener)) {
                return new Proxy(iBinder);
            }
            return (ICarPropertyEventListener) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                onEvent(parcel.createTypedArrayList(CarPropertyEvent.CREATOR));
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarPropertyEventListener {
            public static ICarPropertyEventListener sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.hardware.property.ICarPropertyEventListener
            public void onEvent(List<CarPropertyEvent> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeTypedList(list);
                    if (this.mRemote.transact(1, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().onEvent(list);
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarPropertyEventListener iCarPropertyEventListener) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarPropertyEventListener == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarPropertyEventListener;
                return true;
            }
        }

        public static ICarPropertyEventListener getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
