package android.car.input;

import android.annotation.NonNull;
import android.car.input.CarInputManager;
import android.os.Parcel;
import android.os.Parcelable;
import com.android.internal.util.AnnotationValidations;
import java.lang.annotation.Annotation;
import java.util.Arrays;

public final class RotaryEvent implements Parcelable {
    public static final Parcelable.Creator<RotaryEvent> CREATOR = new Parcelable.Creator<RotaryEvent>() {
        /* class android.car.input.RotaryEvent.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RotaryEvent[] newArray(int i) {
            return new RotaryEvent[i];
        }

        @Override // android.os.Parcelable.Creator
        public RotaryEvent createFromParcel(Parcel parcel) {
            return new RotaryEvent(parcel);
        }
    };
    private final boolean mClockwise;
    private final int mInputType;
    private final long[] mUptimeMillisForClicks;

    @Deprecated
    private void __metadata() {
    }

    public int describeContents() {
        return 0;
    }

    public int getNumberOfClicks() {
        return this.mUptimeMillisForClicks.length;
    }

    public long getUptimeMillisForClick(int i) {
        return this.mUptimeMillisForClicks[i];
    }

    public String toString() {
        return new StringBuilder(128).append("RotaryEvent{").append("mInputType:").append(this.mInputType).append(",mClockwise:").append(this.mClockwise).append(",mUptimeMillisForClicks:").append(Arrays.toString(this.mUptimeMillisForClicks)).append("}").toString();
    }

    public RotaryEvent(int i, boolean z, long[] jArr) {
        this.mInputType = i;
        AnnotationValidations.validate(CarInputManager.InputTypeEnum.class, (Annotation) null, i);
        this.mClockwise = z;
        this.mUptimeMillisForClicks = jArr;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, jArr);
    }

    public int getInputType() {
        return this.mInputType;
    }

    public boolean isClockwise() {
        return this.mClockwise;
    }

    public long[] getUptimeMillisForClicks() {
        return this.mUptimeMillisForClicks;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        RotaryEvent rotaryEvent = (RotaryEvent) obj;
        return this.mInputType == rotaryEvent.mInputType && this.mClockwise == rotaryEvent.mClockwise && Arrays.equals(this.mUptimeMillisForClicks, rotaryEvent.mUptimeMillisForClicks);
    }

    public int hashCode() {
        return ((((this.mInputType + 31) * 31) + Boolean.hashCode(this.mClockwise)) * 31) + Arrays.hashCode(this.mUptimeMillisForClicks);
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeByte(this.mClockwise ? (byte) 2 : 0);
        parcel.writeInt(this.mInputType);
        parcel.writeLongArray(this.mUptimeMillisForClicks);
    }

    RotaryEvent(Parcel parcel) {
        boolean z = (parcel.readByte() & 2) != 0;
        int readInt = parcel.readInt();
        long[] createLongArray = parcel.createLongArray();
        this.mInputType = readInt;
        AnnotationValidations.validate(CarInputManager.InputTypeEnum.class, (Annotation) null, readInt);
        this.mClockwise = z;
        this.mUptimeMillisForClicks = createLongArray;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, createLongArray);
    }
}
