package android.car.media;

import android.content.ComponentName;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ICarMediaSourceListener extends IInterface {

    public static class Default implements ICarMediaSourceListener {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.media.ICarMediaSourceListener
        public void onMediaSourceChanged(ComponentName componentName) throws RemoteException {
        }
    }

    void onMediaSourceChanged(ComponentName componentName) throws RemoteException;

    public static abstract class Stub extends Binder implements ICarMediaSourceListener {
        private static final String DESCRIPTOR = "android.car.media.ICarMediaSourceListener";
        static final int TRANSACTION_onMediaSourceChanged = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarMediaSourceListener asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarMediaSourceListener)) {
                return new Proxy(iBinder);
            }
            return (ICarMediaSourceListener) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                onMediaSourceChanged(parcel.readInt() != 0 ? (ComponentName) ComponentName.CREATOR.createFromParcel(parcel) : null);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarMediaSourceListener {
            public static ICarMediaSourceListener sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.media.ICarMediaSourceListener
            public void onMediaSourceChanged(ComponentName componentName) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (componentName != null) {
                        obtain.writeInt(1);
                        componentName.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(1, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().onMediaSourceChanged(componentName);
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarMediaSourceListener iCarMediaSourceListener) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarMediaSourceListener == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarMediaSourceListener;
                return true;
            }
        }

        public static ICarMediaSourceListener getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
