package android.car.settings;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ICarConfigurationManager extends IInterface {

    public static class Default implements ICarConfigurationManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.settings.ICarConfigurationManager
        public SpeedBumpConfiguration getSpeedBumpConfiguration() throws RemoteException {
            return null;
        }
    }

    SpeedBumpConfiguration getSpeedBumpConfiguration() throws RemoteException;

    public static abstract class Stub extends Binder implements ICarConfigurationManager {
        private static final String DESCRIPTOR = "android.car.settings.ICarConfigurationManager";
        static final int TRANSACTION_getSpeedBumpConfiguration = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarConfigurationManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarConfigurationManager)) {
                return new Proxy(iBinder);
            }
            return (ICarConfigurationManager) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                SpeedBumpConfiguration speedBumpConfiguration = getSpeedBumpConfiguration();
                parcel2.writeNoException();
                if (speedBumpConfiguration != null) {
                    parcel2.writeInt(1);
                    speedBumpConfiguration.writeToParcel(parcel2, 1);
                } else {
                    parcel2.writeInt(0);
                }
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarConfigurationManager {
            public static ICarConfigurationManager sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.settings.ICarConfigurationManager
            public SpeedBumpConfiguration getSpeedBumpConfiguration() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSpeedBumpConfiguration();
                    }
                    obtain2.readException();
                    SpeedBumpConfiguration createFromParcel = obtain2.readInt() != 0 ? SpeedBumpConfiguration.CREATOR.createFromParcel(obtain2) : null;
                    obtain2.recycle();
                    obtain.recycle();
                    return createFromParcel;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarConfigurationManager iCarConfigurationManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarConfigurationManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarConfigurationManager;
                return true;
            }
        }

        public static ICarConfigurationManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
