package android.car.user;

import android.car.user.IUserNotice;
import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IUserNoticeUI extends IInterface {

    public static class Default implements IUserNoticeUI {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.user.IUserNoticeUI
        public void setCallbackBinder(IUserNotice iUserNotice) throws RemoteException {
        }
    }

    void setCallbackBinder(IUserNotice iUserNotice) throws RemoteException;

    public static abstract class Stub extends Binder implements IUserNoticeUI {
        private static final String DESCRIPTOR = "android.car.user.IUserNoticeUI";
        static final int TRANSACTION_setCallbackBinder = 1;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IUserNoticeUI asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IUserNoticeUI)) {
                return new Proxy(iBinder);
            }
            return (IUserNoticeUI) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                setCallbackBinder(IUserNotice.Stub.asInterface(parcel.readStrongBinder()));
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements IUserNoticeUI {
            public static IUserNoticeUI sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.user.IUserNoticeUI
            public void setCallbackBinder(IUserNotice iUserNotice) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iUserNotice != null ? iUserNotice.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().setCallbackBinder(iUserNotice);
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(IUserNoticeUI iUserNoticeUI) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iUserNoticeUI == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iUserNoticeUI;
                return true;
            }
        }

        public static IUserNoticeUI getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
