package android.car.user;

import android.os.Parcel;
import android.os.Parcelable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public final class UserRemovalResult implements Parcelable {
    public static final Parcelable.Creator<UserRemovalResult> CREATOR = new Parcelable.Creator<UserRemovalResult>() {
        /* class android.car.user.UserRemovalResult.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public UserRemovalResult[] newArray(int i) {
            return new UserRemovalResult[i];
        }

        @Override // android.os.Parcelable.Creator
        public UserRemovalResult createFromParcel(Parcel parcel) {
            return new UserRemovalResult(parcel);
        }
    };
    public static final int STATUS_ANDROID_FAILURE = 2;
    public static final int STATUS_HAL_INTERNAL_FAILURE = 4;
    public static final int STATUS_SUCCESSFUL = 1;
    public static final int STATUS_SUCCESSFUL_LAST_ADMIN_REMOVED = 103;
    public static final int STATUS_TARGET_USER_IS_CURRENT_USER = 101;
    public static final int STATUS_USER_DOES_NOT_EXIST = 102;
    private final int mStatus;

    @Retention(RetentionPolicy.SOURCE)
    public @interface Status {
    }

    @Deprecated
    private void __metadata() {
    }

    public int describeContents() {
        return 0;
    }

    public boolean isSuccess() {
        int i = this.mStatus;
        return i == 1 || i == 103;
    }

    public static String statusToString(int i) {
        if (i == 1) {
            return "STATUS_SUCCESSFUL";
        }
        if (i == 2) {
            return "STATUS_ANDROID_FAILURE";
        }
        if (i == 4) {
            return "STATUS_HAL_INTERNAL_FAILURE";
        }
        switch (i) {
            case 101:
                return "STATUS_TARGET_USER_IS_CURRENT_USER";
            case 102:
                return "STATUS_USER_DOES_NOT_EXIST";
            case 103:
                return "STATUS_SUCCESSFUL_LAST_ADMIN_REMOVED";
            default:
                return Integer.toHexString(i);
        }
    }

    public UserRemovalResult(int i) {
        this.mStatus = i;
        if (i != 1 && i != 2 && i != 4 && i != 101 && i != 102 && i != 103) {
            throw new IllegalArgumentException("status was " + i + " but must be one of: STATUS_SUCCESSFUL(" + 1 + "), STATUS_ANDROID_FAILURE(" + 2 + "), STATUS_HAL_INTERNAL_FAILURE(" + 4 + "), STATUS_TARGET_USER_IS_CURRENT_USER(" + 101 + "), STATUS_USER_DOES_NOT_EXIST(" + 102 + "), STATUS_SUCCESSFUL_LAST_ADMIN_REMOVED(" + 103 + ")");
        }
    }

    public int getStatus() {
        return this.mStatus;
    }

    public String toString() {
        return "UserRemovalResult { status = " + statusToString(this.mStatus) + " }";
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.mStatus);
    }

    UserRemovalResult(Parcel parcel) {
        int readInt = parcel.readInt();
        this.mStatus = readInt;
        if (readInt != 1 && readInt != 2 && readInt != 4 && readInt != 101 && readInt != 102 && readInt != 103) {
            throw new IllegalArgumentException("status was " + readInt + " but must be one of: STATUS_SUCCESSFUL(" + 1 + "), STATUS_ANDROID_FAILURE(" + 2 + "), STATUS_HAL_INTERNAL_FAILURE(" + 4 + "), STATUS_TARGET_USER_IS_CURRENT_USER(" + 101 + "), STATUS_USER_DOES_NOT_EXIST(" + 102 + "), STATUS_SUCCESSFUL_LAST_ADMIN_REMOVED(" + 103 + ")");
        }
    }
}
