package android.car.vms;

import android.annotation.NonNull;
import android.annotation.SystemApi;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.ArraySet;
import com.android.internal.util.AnnotationValidations;
import java.util.Collections;
import java.util.Objects;
import java.util.Set;

@SystemApi
@Deprecated
public final class VmsLayersOffering implements Parcelable {
    public static final Parcelable.Creator<VmsLayersOffering> CREATOR = new Parcelable.Creator<VmsLayersOffering>() {
        /* class android.car.vms.VmsLayersOffering.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public VmsLayersOffering[] newArray(int i) {
            return new VmsLayersOffering[i];
        }

        @Override // android.os.Parcelable.Creator
        public VmsLayersOffering createFromParcel(Parcel parcel) {
            return new VmsLayersOffering(parcel);
        }
    };
    private Set<VmsLayerDependency> mDependencies;
    private final int mPublisherId;

    @Deprecated
    private void __metadata() {
    }

    public int describeContents() {
        return 0;
    }

    private void onConstructed() {
        this.mDependencies = Collections.unmodifiableSet(this.mDependencies);
    }

    private void parcelDependencies(Parcel parcel, int i) {
        parcel.writeArraySet(new ArraySet(this.mDependencies));
    }

    private Set<VmsLayerDependency> unparcelDependencies(Parcel parcel) {
        return parcel.readArraySet(VmsLayerDependency.class.getClassLoader());
    }

    public VmsLayersOffering(Set<VmsLayerDependency> set, int i) {
        this.mDependencies = set;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, set);
        this.mPublisherId = i;
        onConstructed();
    }

    public Set<VmsLayerDependency> getDependencies() {
        return this.mDependencies;
    }

    public int getPublisherId() {
        return this.mPublisherId;
    }

    public String toString() {
        return "VmsLayersOffering { dependencies = " + this.mDependencies + ", publisherId = " + this.mPublisherId + " }";
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        VmsLayersOffering vmsLayersOffering = (VmsLayersOffering) obj;
        return Objects.equals(this.mDependencies, vmsLayersOffering.mDependencies) && this.mPublisherId == vmsLayersOffering.mPublisherId;
    }

    public int hashCode() {
        return ((Objects.hashCode(this.mDependencies) + 31) * 31) + this.mPublisherId;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcelDependencies(parcel, i);
        parcel.writeInt(this.mPublisherId);
    }

    VmsLayersOffering(Parcel parcel) {
        Set<VmsLayerDependency> unparcelDependencies = unparcelDependencies(parcel);
        int readInt = parcel.readInt();
        this.mDependencies = unparcelDependencies;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, unparcelDependencies);
        this.mPublisherId = readInt;
        onConstructed();
    }
}
