package android.car.vms;

import android.annotation.SystemApi;
import android.app.Service;
import android.car.Car;
import android.car.vms.VmsClientManager;
import android.content.Intent;
import android.os.Binder;
import android.os.Handler;
import android.os.HandlerExecutor;
import android.os.IBinder;
import android.os.Looper;
import android.util.Log;

@SystemApi
@Deprecated
public abstract class VmsPublisherClientService extends Service {
    private static final boolean DBG = false;
    private static final String TAG = "VmsPublisherClientService";
    private Car mCar;
    private VmsClient mClient;
    private final VmsClientManager.VmsClientCallback mClientCallback = new PublisherClientCallback();
    private final Handler mHandler = new Handler(Looper.getMainLooper());
    private final Object mLock = new Object();

    /* access modifiers changed from: protected */
    public abstract void onVmsPublisherServiceReady();

    public abstract void onVmsSubscriptionChange(VmsSubscriptionState vmsSubscriptionState);

    public void onCreate() {
        synchronized (this.mLock) {
            this.mCar = Car.createCar(this, this.mHandler, 0, new Car.CarServiceLifecycleListener() {
                /* class android.car.vms.$$Lambda$Et3wBaMFWcYoFI1SrUcVzz2aCWI */

                @Override // android.car.Car.CarServiceLifecycleListener
                public final void onLifecycleChanged(Car car, boolean z) {
                    VmsPublisherClientService.this.onCarLifecycleChanged(car, z);
                }
            });
        }
    }

    public void onDestroy() {
        synchronized (this.mLock) {
            Car car = this.mCar;
            if (car != null) {
                car.disconnect();
                this.mCar = null;
            }
        }
    }

    public IBinder onBind(Intent intent) {
        return new Binder();
    }

    /* access modifiers changed from: protected */
    public void onCarLifecycleChanged(Car car, boolean z) {
        if (z) {
            VmsClientManager vmsClientManager = (VmsClientManager) car.getCarManager(Car.VEHICLE_MAP_SERVICE);
            if (vmsClientManager == null) {
                Log.e(TAG, "VmsClientManager is not available");
            } else {
                vmsClientManager.registerVmsClientCallback(new HandlerExecutor(this.mHandler), this.mClientCallback, true);
            }
        }
    }

    public final void publish(VmsLayer vmsLayer, int i, byte[] bArr) {
        getVmsClient().publishPacket(i, vmsLayer, bArr);
    }

    public final void setLayersOffering(VmsLayersOffering vmsLayersOffering) {
        getVmsClient().setProviderOfferings(vmsLayersOffering.getPublisherId(), vmsLayersOffering.getDependencies());
    }

    public final int getPublisherId(byte[] bArr) {
        return getVmsClient().registerProvider(bArr);
    }

    public final VmsSubscriptionState getSubscriptions() {
        return getVmsClient().getSubscriptionState();
    }

    private VmsClient getVmsClient() {
        VmsClient vmsClient;
        synchronized (this.mLock) {
            vmsClient = this.mClient;
            if (vmsClient == null) {
                throw new IllegalStateException("VMS client connection is not ready");
            }
        }
        return vmsClient;
    }

    private class PublisherClientCallback implements VmsClientManager.VmsClientCallback {
        @Override // android.car.vms.VmsClientManager.VmsClientCallback
        public void onLayerAvailabilityChanged(VmsAvailableLayers vmsAvailableLayers) {
        }

        @Override // android.car.vms.VmsClientManager.VmsClientCallback
        public void onPacketReceived(int i, VmsLayer vmsLayer, byte[] bArr) {
        }

        private PublisherClientCallback() {
        }

        @Override // android.car.vms.VmsClientManager.VmsClientCallback
        public void onClientConnected(VmsClient vmsClient) {
            synchronized (VmsPublisherClientService.this.mLock) {
                VmsPublisherClientService.this.mClient = vmsClient;
            }
            VmsPublisherClientService.this.onVmsPublisherServiceReady();
        }

        @Override // android.car.vms.VmsClientManager.VmsClientCallback
        public void onSubscriptionStateChanged(VmsSubscriptionState vmsSubscriptionState) {
            VmsPublisherClientService.this.onVmsSubscriptionChange(vmsSubscriptionState);
        }
    }
}
