package android.car.vms;

import android.annotation.NonNull;
import android.os.Parcel;
import android.os.Parcelable;
import com.android.internal.util.AnnotationValidations;
import java.util.Objects;

public class VmsRegistrationInfo implements Parcelable {
    public static final Parcelable.Creator<VmsRegistrationInfo> CREATOR = new Parcelable.Creator<VmsRegistrationInfo>() {
        /* class android.car.vms.VmsRegistrationInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public VmsRegistrationInfo[] newArray(int i) {
            return new VmsRegistrationInfo[i];
        }

        @Override // android.os.Parcelable.Creator
        public VmsRegistrationInfo createFromParcel(Parcel parcel) {
            return new VmsRegistrationInfo(parcel);
        }
    };
    private VmsAvailableLayers mAvailableLayers;
    private VmsSubscriptionState mSubscriptionState;

    @Deprecated
    private void __metadata() {
    }

    public int describeContents() {
        return 0;
    }

    public VmsRegistrationInfo(VmsAvailableLayers vmsAvailableLayers, VmsSubscriptionState vmsSubscriptionState) {
        this.mAvailableLayers = vmsAvailableLayers;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, vmsAvailableLayers);
        this.mSubscriptionState = vmsSubscriptionState;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, vmsSubscriptionState);
    }

    public VmsAvailableLayers getAvailableLayers() {
        return this.mAvailableLayers;
    }

    public VmsSubscriptionState getSubscriptionState() {
        return this.mSubscriptionState;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        VmsRegistrationInfo vmsRegistrationInfo = (VmsRegistrationInfo) obj;
        return Objects.equals(this.mAvailableLayers, vmsRegistrationInfo.mAvailableLayers) && Objects.equals(this.mSubscriptionState, vmsRegistrationInfo.mSubscriptionState);
    }

    public int hashCode() {
        return ((Objects.hashCode(this.mAvailableLayers) + 31) * 31) + Objects.hashCode(this.mSubscriptionState);
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeTypedObject(this.mAvailableLayers, i);
        parcel.writeTypedObject(this.mSubscriptionState, i);
    }

    protected VmsRegistrationInfo(Parcel parcel) {
        VmsAvailableLayers vmsAvailableLayers = (VmsAvailableLayers) parcel.readTypedObject(VmsAvailableLayers.CREATOR);
        VmsSubscriptionState vmsSubscriptionState = (VmsSubscriptionState) parcel.readTypedObject(VmsSubscriptionState.CREATOR);
        this.mAvailableLayers = vmsAvailableLayers;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, vmsAvailableLayers);
        this.mSubscriptionState = vmsSubscriptionState;
        AnnotationValidations.validate(NonNull.class, (NonNull) null, vmsSubscriptionState);
    }
}
