package android.car.watchdog;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ICarWatchdogServiceCallback extends IInterface {

    public static class Default implements ICarWatchdogServiceCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // android.car.watchdog.ICarWatchdogServiceCallback
        public void onCheckHealthStatus(int i, int i2) throws RemoteException {
        }

        @Override // android.car.watchdog.ICarWatchdogServiceCallback
        public void onPrepareProcessTermination() throws RemoteException {
        }
    }

    void onCheckHealthStatus(int i, int i2) throws RemoteException;

    void onPrepareProcessTermination() throws RemoteException;

    public static abstract class Stub extends Binder implements ICarWatchdogServiceCallback {
        private static final String DESCRIPTOR = "android.car.watchdog.ICarWatchdogServiceCallback";
        static final int TRANSACTION_onCheckHealthStatus = 1;
        static final int TRANSACTION_onPrepareProcessTermination = 2;

        public IBinder asBinder() {
            return this;
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarWatchdogServiceCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarWatchdogServiceCallback)) {
                return new Proxy(iBinder);
            }
            return (ICarWatchdogServiceCallback) queryLocalInterface;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                onCheckHealthStatus(parcel.readInt(), parcel.readInt());
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                onPrepareProcessTermination();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }

        /* access modifiers changed from: private */
        public static class Proxy implements ICarWatchdogServiceCallback {
            public static ICarWatchdogServiceCallback sDefaultImpl;
            private IBinder mRemote;

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // android.car.watchdog.ICarWatchdogServiceCallback
            public void onCheckHealthStatus(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(1, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().onCheckHealthStatus(i, i2);
                    }
                } finally {
                    obtain.recycle();
                }
            }

            @Override // android.car.watchdog.ICarWatchdogServiceCallback
            public void onPrepareProcessTermination() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(2, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().onPrepareProcessTermination();
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public static boolean setDefaultImpl(ICarWatchdogServiceCallback iCarWatchdogServiceCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarWatchdogServiceCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarWatchdogServiceCallback;
                return true;
            }
        }

        public static ICarWatchdogServiceCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }
    }
}
