package com.geely.carlink.broadcast;

import android.content.Context;
import android.content.Intent;
import android.util.Log;
import com.geely.carlink.constant.Const;
import com.geely.carlink.ext.ExpandHandlerProxy;
import com.geely.carlink.ext.HandlerManager;
import com.ucar.vehiclesdk.UCarAdapter;

public class BroadCastProxy {
    private static final String ACTION_CARLINK_IA_STATE = "geely.intent.action.carlink.interactivestate";
    private static final String ACTION_CARLINK_LINKED_STATE = "geely.intent.action.carlinkstate";
    private static final String ACTION_QUIT_FULLSCREEN_VIEW = "geely.intent.action.QUIT_FULLSCREEN_VIEW";
    private static final int CARLINK_CONNECTED = 101;
    private static final int CARLINK_DISCONNECTED = 102;
    private static final int CARLINK_VR_STATE_ACTIVE = 110;
    private static final int CARLINK_VR_STATE_INACTIVE = 111;
    private static final int CARLINK_WIN_STATE_BG = 132;
    private static final int CARLINK_WIN_STATE_FG = 131;
    private static final String EXTRA_STATE_LINK = "connected";
    private static final String EXTRA_STATE_PHONE = "phone";
    private static final String EXTRA_STATE_VR = "vr";
    private static final String EXTRA_STATE_WIN = "window";
    private static final String PACKAGE_NAME = "com.geely.car";
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
    private final Context context;

    public BroadCastProxy(Context context2) {
        this.context = context2;
    }

    public void sendConnectStateByBroadCast(boolean z, String str) {
        int connectType = UCarAdapter.getInstance().getConnectType(str);
        Log.d(this.TAG, "sendConnectStateByBroadCast: type==>" + connectType);
        int i = 1;
        if (z) {
            ExpandHandlerProxy expandHandler = HandlerManager.getInstance().getExpandHandler();
            if (connectType != 2) {
                i = 2;
            }
            expandHandler.sessionConnected(2, i);
            Log.d(this.TAG, "sendConnectStateByBroadCast: HandlerManager.getInstance().getExpandHandler().sessionConnected");
        } else {
            Log.d(this.TAG, "sendConnectStateByBroadCast:HandlerManager.getInstance().getExpandHandler().sessionConnected");
            ExpandHandlerProxy expandHandler2 = HandlerManager.getInstance().getExpandHandler();
            if (connectType != 2) {
                i = 2;
            }
            expandHandler2.sessionDisconnected(2, i);
        }
        HandlerManager.getInstance().getExpandHandler().setBtRejectConnectStatus(z);
        Intent intent = new Intent();
        intent.setAction(ACTION_CARLINK_LINKED_STATE);
        intent.putExtra(EXTRA_STATE_LINK, z ? 101 : 102);
        Log.d(this.TAG, "sendConnectStateByBroadCast: send data==>" + (z ? "Carlink_CONNECTED" : "CARLINK_DISCONNECTEDdeviceId = " + str));
        this.context.sendStickyBroadcast(intent);
    }

    public void sendPhoneStateByBroadCast(int i) {
        Intent intent = new Intent();
        intent.setAction(ACTION_CARLINK_IA_STATE);
        intent.putExtra(EXTRA_STATE_PHONE, i);
        Log.d(this.TAG, "sendPhoneStateByBroadCast: send data==>" + (i == 1 ? "CALL_STATE_FOCUS_RINGING" : i == 2 ? "CALL_STATE_FOCUS_OFFHOOK" : "CALL_STATE_FOCUS_IDLE"));
        this.context.sendStickyBroadcast(intent);
    }

    public void sendQuitFullScreenView() {
        Intent intent = new Intent();
        intent.setAction(ACTION_QUIT_FULLSCREEN_VIEW);
        Log.d(this.TAG, "关闭屏保");
        this.context.sendBroadcast(intent);
    }

    public void sendMainActivityStateByBroadCast(boolean z) {
        Intent intent = new Intent();
        intent.setPackage(PACKAGE_NAME);
        intent.setAction(ACTION_CARLINK_IA_STATE);
        intent.putExtra(EXTRA_STATE_WIN, z ? 131 : 132);
        Log.d(this.TAG, "sendMainActivityStateByBroadCast:" + z + " send data==>" + (z ? "CARLINK_WIN_STATE_FG" : "CARLINK_WIN_STATE_BG"));
        this.context.sendBroadcast(intent);
    }
}
