package com.geely.carlink.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import android.util.Log;
import com.geely.carlink.constant.Const;

public class LocalVoiceAwakeBroadcastReceiver extends BroadcastReceiver {
    public static final String ACTION_KEY_VOICE_EVENT_ACTION = "ecarx.intent.action.ECARX_KEY_RVOICEASSIST_EVENT";
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
    private CallBack callBack;

    public interface CallBack {
        void onLocalVRAwake();
    }

    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        if (!TextUtils.isEmpty(action)) {
            Log.e(this.TAG, "onReceive: action===>" + action);
            if (ACTION_KEY_VOICE_EVENT_ACTION.equals(action) && this.callBack != null) {
                Log.e(this.TAG, "onReceive: will stop HiCar VR");
                this.callBack.onLocalVRAwake();
            }
        }
    }

    public void setCallBack(CallBack callBack2) {
        this.callBack = callBack2;
    }
}
