package com.geely.carlink.broadcast;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import com.geely.carlink.constant.Const;

public class UsbBroadcastReceiver extends BroadcastReceiver {
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
    private CallBack mCallback;

    public interface CallBack {
        void onUsbDeviceAttached(Intent intent);

        void onUsbDeviceDetached(Intent intent);
    }

    public void onReceive(Context context, Intent intent) {
        Log.i(this.TAG, "onReceive() Intent:" + intent);
        String action = intent.getAction();
        if (action == null) {
            Log.e(this.TAG, "action is null, return");
            return;
        }
        action.hashCode();
        if (action.equals("android.hardware.usb.action.USB_DEVICE_ATTACHED")) {
            Log.d(this.TAG, "onReceive: usb attached");
            CallBack callBack = this.mCallback;
            if (callBack == null) {
                Log.e(this.TAG, "onReceive: callback null");
            } else {
                callBack.onUsbDeviceAttached(intent);
            }
        } else if (action.equals("android.hardware.usb.action.USB_DEVICE_DETACHED")) {
            Log.d(this.TAG, "onReceive: usb detached");
            CallBack callBack2 = this.mCallback;
            if (callBack2 == null) {
                Log.e(this.TAG, "onReceive: callback null");
            } else {
                callBack2.onUsbDeviceDetached(intent);
            }
        }
    }

    public void setCallBack(CallBack callBack) {
        this.mCallback = callBack;
    }
}
