package com.geely.carlink.handler.systemmode;

import android.content.Context;
import android.util.Log;
import com.ecarx.xui.adaptapi.binder.IConnectable;
import com.ecarx.xui.adaptapi.device.Device;
import com.ecarx.xui.adaptapi.device.ext.IBtExtension;
import com.ecarx.xui.adaptapi.device.ext.ISystemMode;
import com.geely.carlink.constant.Const;
import com.geely.carlink.ext.IHandler;
import com.geely.carlink.model.ScreenModel;
import com.geely.carlink.service.CarLinkService;

public class SystemModeHandler implements IHandler {
    private final String TAG = (Const.GLOBAL_TAG + getClass().getSimpleName());
    private Context context;
    private Device device;
    private final ISystemMode.ISystemModeListener systemModeListener = new ISystemMode.ISystemModeListener() {
        /* class com.geely.carlink.handler.systemmode.SystemModeHandler.AnonymousClass2 */

        public void onSystemModeStateChanged(int i, int i2) {
            Log.i(SystemModeHandler.this.TAG, "onSystemModeStateChanged:mode:" + i + " ,state:" + i2);
            if (i != 1048832) {
                if (i == 1052672) {
                    if (i2 == 1052674 || i2 == 1052673) {
                        Log.i(SystemModeHandler.this.TAG, "SYSTEM_MODE_INFOTAINMENT Changed:state:" + i2);
                        SystemModeHandler.this.sendScreenState(new ScreenModel(i2));
                        return;
                    }
                    Log.i(SystemModeHandler.this.TAG, "SYSTEM_MODE_INFOTAINMENT Changed: but no need refresh init state");
                }
            } else if (i2 == 1048834 || i2 == 1048833) {
                Log.i(SystemModeHandler.this.TAG, "SYSTEM_MODE_PARTIAL Changed:state:" + i2);
                SystemModeHandler.this.sendScreenState(new ScreenModel(i2));
            }
        }
    };

    @Override // com.geely.carlink.ext.IHandler
    public void init(Context context2) {
        this.context = context2;
        IConnectable create = Device.create(context2);
        this.device = create;
        if (create instanceof IConnectable) {
            IConnectable iConnectable = create;
            iConnectable.registerConnectWatcher(new IConnectable.IConnectWatcher() {
                /* class com.geely.carlink.handler.systemmode.SystemModeHandler.AnonymousClass1 */

                public void onConnected() {
                    SystemModeHandler systemModeHandler = SystemModeHandler.this;
                    systemModeHandler.doDevice(systemModeHandler.device);
                }

                public void onDisConnected() {
                    Log.e("adapterApi Helper", "device disconnected");
                }
            });
            iConnectable.connect();
            return;
        }
        doDevice(create);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void doDevice(Device device2) {
        if (device2 != null) {
            device2.getSystemMode().registerListener(0, this.systemModeListener);
        }
    }

    public void setBtRejectConnectStatus(boolean z) {
        IBtExtension btExtension;
        Device device2 = this.device;
        if (device2 != null && device2.getBtExtension() != null && (btExtension = this.device.getBtExtension()) != null) {
            btExtension.setHfpAutoRejectConnStatus(z);
            btExtension.setA2dpAutoRejectConnStatus(z);
            Log.d(this.TAG, "setBtRejectConnectStatus: isConnect=>" + z);
        }
    }

    @Override // com.geely.carlink.ext.IHandler
    public void deInit() {
        Device device2 = this.device;
        if (device2 != null && device2.getSystemMode() != null && this.systemModeListener != null) {
            this.device.getSystemMode().unregisterListener(this.systemModeListener);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void sendScreenState(ScreenModel screenModel) {
        CarLinkService carLinkService = (CarLinkService) this.context;
        if (!screenModel.isScreenOn()) {
            carLinkService.systemModeDeInit();
        }
    }
}
