package com.geely.carlink.utils;

import android.app.Activity;
import android.app.ActivityManager;
import android.content.ComponentName;
import android.content.Context;
import android.util.Log;
import com.geely.lib.oneosapi.user.bean.LoginType;
import java.util.List;

public class TgSystem {
    public static void setTopApp(Activity activity) {
        List<ActivityManager.RunningTaskInfo> runningTasks;
        if (activity != null) {
            if (isTopActivity(activity)) {
                Log.d("TgSystem", "isRunningForeground return");
                return;
            }
            ActivityManager activityManager = (ActivityManager) activity.getSystemService("activity");
            if (!(activityManager == null || (runningTasks = activityManager.getRunningTasks(100)) == null || runningTasks.size() == 0)) {
                for (ActivityManager.RunningTaskInfo runningTaskInfo : runningTasks) {
                    if (runningTaskInfo.topActivity.getPackageName().equals(activity.getPackageName())) {
                        Log.d("TgSystem", "找到当前activity");
                        activityManager.moveTaskToFront(runningTaskInfo.id, 0);
                        return;
                    }
                }
            }
        }
    }

    public static boolean isTopActivity(Activity activity) {
        ActivityManager activityManager;
        ComponentName componentName;
        if (activity == null || (activityManager = (ActivityManager) activity.getSystemService("activity")) == null || activityManager.getRunningTasks(1) == null || activityManager.getRunningTasks(1).get(0) == null || (componentName = activityManager.getRunningTasks(1).get(0).topActivity) == null) {
            return false;
        }
        Log.d("TgSystem", "cn.getClassName() =" + componentName.getClassName() + "activity.getLocalClassName() = " + activity.getLocalClassName());
        return componentName.getClassName().contains(activity.getLocalClassName());
    }

    public static int dip2px(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static String formatTime(long j) {
        if (j < 10) {
            return "00:0" + j;
        }
        if (j < 60) {
            return "00:" + j;
        }
        if (j < 3600) {
            long j2 = j / 60;
            long j3 = j - (60 * j2);
            if (j2 < 10) {
                if (j3 < 10) {
                    return LoginType.PASSWORD + j2 + ":0" + j3;
                }
                return LoginType.PASSWORD + j2 + ":" + j3;
            } else if (j3 < 10) {
                return j2 + ":0" + j3;
            } else {
                return j2 + ":" + j3;
            }
        } else {
            long j4 = j / 3600;
            long j5 = j - (3600 * j4);
            long j6 = j5 / 60;
            long j7 = j5 - (60 * j6);
            if (j4 < 10) {
                if (j6 < 10) {
                    if (j7 < 10) {
                        return LoginType.PASSWORD + j4 + ":0" + j6 + ":0" + j7;
                    }
                    return LoginType.PASSWORD + j4 + ":0" + j6 + ":" + j7;
                } else if (j7 < 10) {
                    return LoginType.PASSWORD + j4 + j6 + ":0" + j7;
                } else {
                    return LoginType.PASSWORD + j4 + j6 + ":" + j7;
                }
            } else if (j6 < 10) {
                if (j7 < 10) {
                    return j4 + ":0" + j6 + ":0" + j7;
                }
                return j4 + ":0" + j6 + ":" + j7;
            } else if (j7 < 10) {
                return (j4 + j6) + ":0" + j7;
            } else {
                return (j4 + j6) + ":" + j7;
            }
        }
    }
}
