package com.geely.lib.oneosapi;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.IServiceManagerCallback;

public interface IServiceManager extends IInterface {

    public static class Default implements IServiceManager {
        @Override // com.geely.lib.oneosapi.IServiceManager
        public void addService(int i, IBinder iBinder) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.IServiceManager
        public IBinder getPermissionService(int i, String str) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.IServiceManager
        public IBinder getService(int i) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.IServiceManager
        public void registerCallback(IServiceManagerCallback iServiceManagerCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.IServiceManager
        public void unregisterCallback(IServiceManagerCallback iServiceManagerCallback) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IServiceManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.IServiceManager";
        public static final int TRANSACTION_addService = 1;
        public static final int TRANSACTION_getPermissionService = 3;
        public static final int TRANSACTION_getService = 2;
        public static final int TRANSACTION_registerCallback = 4;
        public static final int TRANSACTION_unregisterCallback = 5;

        public static class Proxy implements IServiceManager {
            public static IServiceManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.IServiceManager
            public void addService(int i, IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().addService(i, iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.IServiceManager
            public IBinder getPermissionService(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPermissionService(i, str);
                    }
                    obtain2.readException();
                    IBinder readStrongBinder = obtain2.readStrongBinder();
                    obtain2.recycle();
                    obtain.recycle();
                    return readStrongBinder;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.IServiceManager
            public IBinder getService(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getService(i);
                    }
                    obtain2.readException();
                    IBinder readStrongBinder = obtain2.readStrongBinder();
                    obtain2.recycle();
                    obtain.recycle();
                    return readStrongBinder;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.IServiceManager
            public void registerCallback(IServiceManagerCallback iServiceManagerCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iServiceManagerCallback != null ? iServiceManagerCallback.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().registerCallback(iServiceManagerCallback);
                    }
                } finally {
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.IServiceManager
            public void unregisterCallback(IServiceManagerCallback iServiceManagerCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iServiceManagerCallback != null ? iServiceManagerCallback.asBinder() : null);
                    if (this.mRemote.transact(5, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().unregisterCallback(iServiceManagerCallback);
                    }
                } finally {
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IServiceManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IServiceManager)) {
                return new Proxy(iBinder);
            }
            return (IServiceManager) queryLocalInterface;
        }

        public static IServiceManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IServiceManager iServiceManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iServiceManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iServiceManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                addService(parcel.readInt(), parcel.readStrongBinder());
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                IBinder service = getService(parcel.readInt());
                parcel2.writeNoException();
                parcel2.writeStrongBinder(service);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                IBinder permissionService = getPermissionService(parcel.readInt(), parcel.readString());
                parcel2.writeNoException();
                parcel2.writeStrongBinder(permissionService);
                return true;
            } else if (i == 4) {
                parcel.enforceInterface(DESCRIPTOR);
                registerCallback(IServiceManagerCallback.Stub.asInterface(parcel.readStrongBinder()));
                return true;
            } else if (i != 5) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                unregisterCallback(IServiceManagerCallback.Stub.asInterface(parcel.readStrongBinder()));
                return true;
            }
        }
    }

    void addService(int i, IBinder iBinder) throws RemoteException;

    IBinder getPermissionService(int i, String str) throws RemoteException;

    IBinder getService(int i) throws RemoteException;

    void registerCallback(IServiceManagerCallback iServiceManagerCallback) throws RemoteException;

    void unregisterCallback(IServiceManagerCallback iServiceManagerCallback) throws RemoteException;
}
