package com.geely.lib.oneosapi.camera;

import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import com.geely.lib.oneosapi.camera.ICameraInterface;
import com.geely.lib.oneosapi.common.ServiceBaseManager;

public class CameraManager implements ServiceBaseManager {
    private static final String TAG = "CameraManager";
    private ICameraInterface mService;

    public CameraManager(IBinder iBinder) {
        initVrManger(iBinder);
    }

    private void initVrManger(IBinder iBinder) {
        if (iBinder != null) {
            this.mService = ICameraInterface.Stub.asInterface(iBinder);
        }
    }

    private void serviceIsNull() {
        Log.d(TAG, "VrServiceIsNull");
    }

    public void closeCamera() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.closeCamera();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onStopVideoRecord() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onStopVideoRecord();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeInnerPhoto() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeInnerPhoto();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeInnerVideo() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeInnerVideo();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeOuterPhoto() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeOuterPhoto();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeOuterVideo() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeOuterVideo();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakePhoto() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakePhoto();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakePhotoAgain() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakePhotoAgain();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeStart() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeStart();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeTimeLapseRecording() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeTimeLapseRecording();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeTimeTakenPhoto() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeTimeTakenPhoto();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onTakeVideo() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onTakeVideo();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onVideoMute() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onVideoMute();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void onVideoUnMute() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.onVideoUnMute();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    public void openCamera() {
        ICameraInterface iCameraInterface = this.mService;
        if (iCameraInterface != null) {
            try {
                iCameraInterface.openCamera();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            serviceIsNull();
        }
    }

    @Override // com.geely.lib.oneosapi.common.ServiceBaseManager
    public void setService(IBinder iBinder) {
        initVrManger(iBinder);
    }
}
