package com.geely.lib.oneosapi.camera;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ICameraInterface extends IInterface {

    public static class Default implements ICameraInterface {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void closeCamera() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onStopVideoRecord() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeInnerPhoto() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeInnerVideo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeOuterPhoto() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeOuterVideo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakePhoto() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakePhotoAgain() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeStart() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeTimeLapseRecording() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeTimeTakenPhoto() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onTakeVideo() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onVideoMute() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void onVideoUnMute() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.camera.ICameraInterface
        public void openCamera() throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ICameraInterface {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.camera.ICameraInterface";
        public static final int TRANSACTION_closeCamera = 2;
        public static final int TRANSACTION_onStopVideoRecord = 13;
        public static final int TRANSACTION_onTakeInnerPhoto = 9;
        public static final int TRANSACTION_onTakeInnerVideo = 11;
        public static final int TRANSACTION_onTakeOuterPhoto = 10;
        public static final int TRANSACTION_onTakeOuterVideo = 12;
        public static final int TRANSACTION_onTakePhoto = 3;
        public static final int TRANSACTION_onTakePhotoAgain = 15;
        public static final int TRANSACTION_onTakeStart = 14;
        public static final int TRANSACTION_onTakeTimeLapseRecording = 6;
        public static final int TRANSACTION_onTakeTimeTakenPhoto = 5;
        public static final int TRANSACTION_onTakeVideo = 4;
        public static final int TRANSACTION_onVideoMute = 7;
        public static final int TRANSACTION_onVideoUnMute = 8;
        public static final int TRANSACTION_openCamera = 1;

        public static class Proxy implements ICameraInterface {
            public static ICameraInterface sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void closeCamera() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().closeCamera();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onStopVideoRecord() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onStopVideoRecord();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeInnerPhoto() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeInnerPhoto();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeInnerVideo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeInnerVideo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeOuterPhoto() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(10, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeOuterPhoto();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeOuterVideo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(12, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeOuterVideo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakePhoto() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakePhoto();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakePhotoAgain() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(15, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakePhotoAgain();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeStart() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeStart();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeTimeLapseRecording() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeTimeLapseRecording();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeTimeTakenPhoto() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeTimeTakenPhoto();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onTakeVideo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTakeVideo();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onVideoMute() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onVideoMute();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void onVideoUnMute() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onVideoUnMute();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.camera.ICameraInterface
            public void openCamera() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().openCamera();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICameraInterface asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICameraInterface)) {
                return new Proxy(iBinder);
            }
            return (ICameraInterface) queryLocalInterface;
        }

        public static ICameraInterface getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ICameraInterface iCameraInterface) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCameraInterface == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCameraInterface;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        openCamera();
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        closeCamera();
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakePhoto();
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeVideo();
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeTimeTakenPhoto();
                        parcel2.writeNoException();
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeTimeLapseRecording();
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        onVideoMute();
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        onVideoUnMute();
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeInnerPhoto();
                        parcel2.writeNoException();
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeOuterPhoto();
                        parcel2.writeNoException();
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeInnerVideo();
                        parcel2.writeNoException();
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeOuterVideo();
                        parcel2.writeNoException();
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        onStopVideoRecord();
                        parcel2.writeNoException();
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakeStart();
                        parcel2.writeNoException();
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        onTakePhotoAgain();
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void closeCamera() throws RemoteException;

    void onStopVideoRecord() throws RemoteException;

    void onTakeInnerPhoto() throws RemoteException;

    void onTakeInnerVideo() throws RemoteException;

    void onTakeOuterPhoto() throws RemoteException;

    void onTakeOuterVideo() throws RemoteException;

    void onTakePhoto() throws RemoteException;

    void onTakePhotoAgain() throws RemoteException;

    void onTakeStart() throws RemoteException;

    void onTakeTimeLapseRecording() throws RemoteException;

    void onTakeTimeTakenPhoto() throws RemoteException;

    void onTakeVideo() throws RemoteException;

    void onVideoMute() throws RemoteException;

    void onVideoUnMute() throws RemoteException;

    void openCamera() throws RemoteException;
}
