package com.geely.lib.oneosapi.device;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IDevice extends IInterface {

    public static class Default implements IDevice {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.device.IDevice
        public String getVIN() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.device.IDevice
        public String getVehicleType() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IDevice {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.device.IDevice";
        public static final int TRANSACTION_getVIN = 1;
        public static final int TRANSACTION_getVehicleType = 2;

        public static class Proxy implements IDevice {
            public static IDevice sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.device.IDevice
            public String getVIN() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getVIN();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.device.IDevice
            public String getVehicleType() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getVehicleType();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IDevice asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IDevice)) {
                return new Proxy(iBinder);
            }
            return (IDevice) queryLocalInterface;
        }

        public static IDevice getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IDevice iDevice) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iDevice == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iDevice;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String vin = getVIN();
                parcel2.writeNoException();
                parcel2.writeString(vin);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String vehicleType = getVehicleType();
                parcel2.writeNoException();
                parcel2.writeString(vehicleType);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    String getVIN() throws RemoteException;

    String getVehicleType() throws RemoteException;
}
