package com.geely.lib.oneosapi.gesture;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IGestureEventNotifyCallback extends IInterface {

    public static class Default implements IGestureEventNotifyCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.gesture.IGestureEventNotifyCallback
        public String getUID() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.gesture.IGestureEventNotifyCallback
        public void onGestureNotify(GestureModel gestureModel) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IGestureEventNotifyCallback {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.gesture.IGestureEventNotifyCallback";
        public static final int TRANSACTION_getUID = 1;
        public static final int TRANSACTION_onGestureNotify = 2;

        public static class Proxy implements IGestureEventNotifyCallback {
            public static IGestureEventNotifyCallback sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.gesture.IGestureEventNotifyCallback
            public String getUID() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUID();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.gesture.IGestureEventNotifyCallback
            public void onGestureNotify(GestureModel gestureModel) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (gestureModel != null) {
                        obtain.writeInt(1);
                        gestureModel.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onGestureNotify(gestureModel);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IGestureEventNotifyCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IGestureEventNotifyCallback)) {
                return new Proxy(iBinder);
            }
            return (IGestureEventNotifyCallback) queryLocalInterface;
        }

        public static IGestureEventNotifyCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IGestureEventNotifyCallback iGestureEventNotifyCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iGestureEventNotifyCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iGestureEventNotifyCallback;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String uid = getUID();
                parcel2.writeNoException();
                parcel2.writeString(uid);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                onGestureNotify(parcel.readInt() != 0 ? GestureModel.CREATOR.createFromParcel(parcel) : null);
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    String getUID() throws RemoteException;

    void onGestureNotify(GestureModel gestureModel) throws RemoteException;
}
