package com.geely.lib.oneosapi.gesture;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.gesture.IGestureEventNotifyCallback;

public interface IGestureManager extends IInterface {

    public static class Default implements IGestureManager {
        @Override // com.geely.lib.oneosapi.gesture.IGestureManager
        public boolean addGestureDetectEventNotify(IGestureEventNotifyCallback iGestureEventNotifyCallback) throws RemoteException {
            return false;
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.gesture.IGestureManager
        public boolean removeGestureDetectEventNotify(IGestureEventNotifyCallback iGestureEventNotifyCallback) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IGestureManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.gesture.IGestureManager";
        public static final int TRANSACTION_addGestureDetectEventNotify = 1;
        public static final int TRANSACTION_removeGestureDetectEventNotify = 2;

        public static class Proxy implements IGestureManager {
            public static IGestureManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.gesture.IGestureManager
            public boolean addGestureDetectEventNotify(IGestureEventNotifyCallback iGestureEventNotifyCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iGestureEventNotifyCallback != null ? iGestureEventNotifyCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().addGestureDetectEventNotify(iGestureEventNotifyCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.gesture.IGestureManager
            public boolean removeGestureDetectEventNotify(IGestureEventNotifyCallback iGestureEventNotifyCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iGestureEventNotifyCallback != null ? iGestureEventNotifyCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().removeGestureDetectEventNotify(iGestureEventNotifyCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IGestureManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IGestureManager)) {
                return new Proxy(iBinder);
            }
            return (IGestureManager) queryLocalInterface;
        }

        public static IGestureManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IGestureManager iGestureManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iGestureManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iGestureManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean addGestureDetectEventNotify = addGestureDetectEventNotify(IGestureEventNotifyCallback.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                parcel2.writeInt(addGestureDetectEventNotify ? 1 : 0);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean removeGestureDetectEventNotify = removeGestureDetectEventNotify(IGestureEventNotifyCallback.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                parcel2.writeInt(removeGestureDetectEventNotify ? 1 : 0);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    boolean addGestureDetectEventNotify(IGestureEventNotifyCallback iGestureEventNotifyCallback) throws RemoteException;

    boolean removeGestureDetectEventNotify(IGestureEventNotifyCallback iGestureEventNotifyCallback) throws RemoteException;
}
