package com.geely.lib.oneosapi.input;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.input.IInputListener;

public interface IInputManager extends IInterface {

    public static class Default implements IInputManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.input.IInputManager
        public int getControlIndex() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.input.IInputManager
        public boolean interceptKeyCode(int i, String str) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.input.IInputManager
        public void registerListener(IInputListener iInputListener, String str, int[] iArr) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.input.IInputManager
        public boolean releaseKeyCode(int i, String str) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.input.IInputManager
        public void unregisterListener(IInputListener iInputListener, String str) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IInputManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.input.IInputManager";
        public static final int TRANSACTION_getControlIndex = 5;
        public static final int TRANSACTION_interceptKeyCode = 1;
        public static final int TRANSACTION_registerListener = 3;
        public static final int TRANSACTION_releaseKeyCode = 2;
        public static final int TRANSACTION_unregisterListener = 4;

        public static class Proxy implements IInputManager {
            public static IInputManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.input.IInputManager
            public int getControlIndex() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getControlIndex();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.input.IInputManager
            public boolean interceptKeyCode(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().interceptKeyCode(i, str);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.input.IInputManager
            public void registerListener(IInputListener iInputListener, String str, int[] iArr) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iInputListener != null ? iInputListener.asBinder() : null);
                    obtain.writeString(str);
                    obtain.writeIntArray(iArr);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerListener(iInputListener, str, iArr);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.input.IInputManager
            public boolean releaseKeyCode(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().releaseKeyCode(i, str);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.input.IInputManager
            public void unregisterListener(IInputListener iInputListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iInputListener != null ? iInputListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterListener(iInputListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IInputManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IInputManager)) {
                return new Proxy(iBinder);
            }
            return (IInputManager) queryLocalInterface;
        }

        public static IInputManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IInputManager iInputManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iInputManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iInputManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean interceptKeyCode = interceptKeyCode(parcel.readInt(), parcel.readString());
                parcel2.writeNoException();
                parcel2.writeInt(interceptKeyCode ? 1 : 0);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean releaseKeyCode = releaseKeyCode(parcel.readInt(), parcel.readString());
                parcel2.writeNoException();
                parcel2.writeInt(releaseKeyCode ? 1 : 0);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                registerListener(IInputListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString(), parcel.createIntArray());
                parcel2.writeNoException();
                return true;
            } else if (i == 4) {
                parcel.enforceInterface(DESCRIPTOR);
                unregisterListener(IInputListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i != 5) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                int controlIndex = getControlIndex();
                parcel2.writeNoException();
                parcel2.writeInt(controlIndex);
                return true;
            }
        }
    }

    int getControlIndex() throws RemoteException;

    boolean interceptKeyCode(int i, String str) throws RemoteException;

    void registerListener(IInputListener iInputListener, String str, int[] iArr) throws RemoteException;

    boolean releaseKeyCode(int i, String str) throws RemoteException;

    void unregisterListener(IInputListener iInputListener, String str) throws RemoteException;
}
