package com.geely.lib.oneosapi.input;

import android.os.Parcel;
import android.os.Parcelable;

public class KeyCodeEvent implements Parcelable {
    public static final int ACTION_CANCEL = 3;
    public static final int ACTION_DOWN = 0;
    public static final int ACTION_UP = 1;
    public static final Parcelable.Creator<KeyCodeEvent> CREATOR = new Parcelable.Creator<KeyCodeEvent>() {
        /* class com.geely.lib.oneosapi.input.KeyCodeEvent.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public KeyCodeEvent createFromParcel(Parcel parcel) {
            return new KeyCodeEvent(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public KeyCodeEvent[] newArray(int i) {
            return new KeyCodeEvent[i];
        }
    };
    private int action;
    private int keyCode;
    private int softKeyFunction;

    public KeyCodeEvent() {
    }

    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public int getKeyCode() {
        return this.keyCode;
    }

    public int getSoftKeyFunction() {
        return this.softKeyFunction;
    }

    public void setAction(int i) {
        this.action = i;
    }

    public void setKeyCode(int i) {
        this.keyCode = i;
    }

    public void setSoftKeyFunction(int i) {
        this.softKeyFunction = i;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.keyCode);
        parcel.writeInt(this.softKeyFunction);
        parcel.writeInt(this.action);
    }

    public KeyCodeEvent(int i, int i2) {
        this.keyCode = i;
        this.action = i2;
    }

    public KeyCodeEvent(Parcel parcel) {
        this.keyCode = parcel.readInt();
        this.softKeyFunction = parcel.readInt();
        this.action = parcel.readInt();
    }
}
