package com.geely.lib.oneosapi.launcher;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.launcher.listener.IEnterOrExitHomePageChangeListener;
import com.geely.lib.oneosapi.launcher.listener.ILauncherPageSwitchListener;
import com.geely.lib.oneosapi.launcher.listener.IMapWidgetChangeListener;
import com.geely.lib.oneosapi.launcher.listener.IWeatherWidgetChangeListener;
import com.geely.lib.oneosapi.launcher.listener.IWidgetListDisplayChangeListener;

public interface ILauncherService extends IInterface {

    public static class Default implements ILauncherService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void closeApplets(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void hvacMassageDisplay(boolean z, boolean z2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void mediaSourceListDisplay(boolean z, boolean z2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void openApplets(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void registerEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener iEnterOrExitHomePageChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void registerLauncherPageSwitchListener(ILauncherPageSwitchListener iLauncherPageSwitchListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void registerMapWidgetListener(IMapWidgetChangeListener iMapWidgetChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void registerWeatherWidgetListener(IWeatherWidgetChangeListener iWeatherWidgetChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void registerWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener iWidgetListDisplayChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void selectWidgetMap(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void showPsdMediaControlWidget(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void startGlobalSearch(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void togglePsdWidget() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void toggleWidget() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void unRegisterEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener iEnterOrExitHomePageChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void unRegisterLauncherPageSwitchListener(ILauncherPageSwitchListener iLauncherPageSwitchListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void unRegisterMapWidgetListener(IMapWidgetChangeListener iMapWidgetChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void unRegisterWeatherWidgetListener(IWeatherWidgetChangeListener iWeatherWidgetChangeListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.ILauncherService
        public void unRegisterWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener iWidgetListDisplayChangeListener) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ILauncherService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.launcher.ILauncherService";
        public static final int TRANSACTION_closeApplets = 18;
        public static final int TRANSACTION_hvacMassageDisplay = 19;
        public static final int TRANSACTION_mediaSourceListDisplay = 3;
        public static final int TRANSACTION_openApplets = 17;
        public static final int TRANSACTION_registerEnterOrExitHomePageChangeListener = 8;
        public static final int TRANSACTION_registerLauncherPageSwitchListener = 14;
        public static final int TRANSACTION_registerMapWidgetListener = 4;
        public static final int TRANSACTION_registerWeatherWidgetListener = 6;
        public static final int TRANSACTION_registerWidgetListDisplayChangeListener = 12;
        public static final int TRANSACTION_selectWidgetMap = 2;
        public static final int TRANSACTION_showPsdMediaControlWidget = 10;
        public static final int TRANSACTION_startGlobalSearch = 16;
        public static final int TRANSACTION_togglePsdWidget = 11;
        public static final int TRANSACTION_toggleWidget = 1;
        public static final int TRANSACTION_unRegisterEnterOrExitHomePageChangeListener = 9;
        public static final int TRANSACTION_unRegisterLauncherPageSwitchListener = 15;
        public static final int TRANSACTION_unRegisterMapWidgetListener = 5;
        public static final int TRANSACTION_unRegisterWeatherWidgetListener = 7;
        public static final int TRANSACTION_unRegisterWidgetListDisplayChangeListener = 13;

        public static class Proxy implements ILauncherService {
            public static ILauncherService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void closeApplets(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(18, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().closeApplets(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void hvacMassageDisplay(boolean z, boolean z2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeInt(z2 ? 1 : 0);
                    if (this.mRemote.transact(19, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().hvacMassageDisplay(z, z2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void mediaSourceListDisplay(boolean z, boolean z2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeInt(z2 ? 1 : 0);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().mediaSourceListDisplay(z, z2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void openApplets(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(17, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().openApplets(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void registerEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener iEnterOrExitHomePageChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iEnterOrExitHomePageChangeListener != null ? iEnterOrExitHomePageChangeListener.asBinder() : null);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerEnterOrExitHomePageChangeListener(iEnterOrExitHomePageChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void registerLauncherPageSwitchListener(ILauncherPageSwitchListener iLauncherPageSwitchListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLauncherPageSwitchListener != null ? iLauncherPageSwitchListener.asBinder() : null);
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerLauncherPageSwitchListener(iLauncherPageSwitchListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void registerMapWidgetListener(IMapWidgetChangeListener iMapWidgetChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iMapWidgetChangeListener != null ? iMapWidgetChangeListener.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerMapWidgetListener(iMapWidgetChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void registerWeatherWidgetListener(IWeatherWidgetChangeListener iWeatherWidgetChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWeatherWidgetChangeListener != null ? iWeatherWidgetChangeListener.asBinder() : null);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerWeatherWidgetListener(iWeatherWidgetChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void registerWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener iWidgetListDisplayChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWidgetListDisplayChangeListener != null ? iWidgetListDisplayChangeListener.asBinder() : null);
                    if (this.mRemote.transact(12, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerWidgetListDisplayChangeListener(iWidgetListDisplayChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void selectWidgetMap(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().selectWidgetMap(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void showPsdMediaControlWidget(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(10, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().showPsdMediaControlWidget(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void startGlobalSearch(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(16, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().startGlobalSearch(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void togglePsdWidget() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().togglePsdWidget();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void toggleWidget() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().toggleWidget();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void unRegisterEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener iEnterOrExitHomePageChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iEnterOrExitHomePageChangeListener != null ? iEnterOrExitHomePageChangeListener.asBinder() : null);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unRegisterEnterOrExitHomePageChangeListener(iEnterOrExitHomePageChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void unRegisterLauncherPageSwitchListener(ILauncherPageSwitchListener iLauncherPageSwitchListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLauncherPageSwitchListener != null ? iLauncherPageSwitchListener.asBinder() : null);
                    if (this.mRemote.transact(15, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unRegisterLauncherPageSwitchListener(iLauncherPageSwitchListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void unRegisterMapWidgetListener(IMapWidgetChangeListener iMapWidgetChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iMapWidgetChangeListener != null ? iMapWidgetChangeListener.asBinder() : null);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unRegisterMapWidgetListener(iMapWidgetChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void unRegisterWeatherWidgetListener(IWeatherWidgetChangeListener iWeatherWidgetChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWeatherWidgetChangeListener != null ? iWeatherWidgetChangeListener.asBinder() : null);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unRegisterWeatherWidgetListener(iWeatherWidgetChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.ILauncherService
            public void unRegisterWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener iWidgetListDisplayChangeListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWidgetListDisplayChangeListener != null ? iWidgetListDisplayChangeListener.asBinder() : null);
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unRegisterWidgetListDisplayChangeListener(iWidgetListDisplayChangeListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ILauncherService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ILauncherService)) {
                return new Proxy(iBinder);
            }
            return (ILauncherService) queryLocalInterface;
        }

        public static ILauncherService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ILauncherService iLauncherService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iLauncherService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iLauncherService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        toggleWidget();
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        selectWidgetMap(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean z2 = parcel.readInt() != 0;
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        mediaSourceListDisplay(z2, z);
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerMapWidgetListener(IMapWidgetChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        unRegisterMapWidgetListener(IMapWidgetChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerWeatherWidgetListener(IWeatherWidgetChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        unRegisterWeatherWidgetListener(IWeatherWidgetChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        unRegisterEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        showPsdMediaControlWidget(z);
                        parcel2.writeNoException();
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        togglePsdWidget();
                        parcel2.writeNoException();
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        unRegisterWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerLauncherPageSwitchListener(ILauncherPageSwitchListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        unRegisterLauncherPageSwitchListener(ILauncherPageSwitchListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        startGlobalSearch(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        openApplets(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        closeApplets(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean z3 = parcel.readInt() != 0;
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        hvacMassageDisplay(z3, z);
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void closeApplets(String str) throws RemoteException;

    void hvacMassageDisplay(boolean z, boolean z2) throws RemoteException;

    void mediaSourceListDisplay(boolean z, boolean z2) throws RemoteException;

    void openApplets(String str) throws RemoteException;

    void registerEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener iEnterOrExitHomePageChangeListener) throws RemoteException;

    void registerLauncherPageSwitchListener(ILauncherPageSwitchListener iLauncherPageSwitchListener) throws RemoteException;

    void registerMapWidgetListener(IMapWidgetChangeListener iMapWidgetChangeListener) throws RemoteException;

    void registerWeatherWidgetListener(IWeatherWidgetChangeListener iWeatherWidgetChangeListener) throws RemoteException;

    void registerWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener iWidgetListDisplayChangeListener) throws RemoteException;

    void selectWidgetMap(String str) throws RemoteException;

    void showPsdMediaControlWidget(boolean z) throws RemoteException;

    void startGlobalSearch(String str) throws RemoteException;

    void togglePsdWidget() throws RemoteException;

    void toggleWidget() throws RemoteException;

    void unRegisterEnterOrExitHomePageChangeListener(IEnterOrExitHomePageChangeListener iEnterOrExitHomePageChangeListener) throws RemoteException;

    void unRegisterLauncherPageSwitchListener(ILauncherPageSwitchListener iLauncherPageSwitchListener) throws RemoteException;

    void unRegisterMapWidgetListener(IMapWidgetChangeListener iMapWidgetChangeListener) throws RemoteException;

    void unRegisterWeatherWidgetListener(IWeatherWidgetChangeListener iWeatherWidgetChangeListener) throws RemoteException;

    void unRegisterWidgetListDisplayChangeListener(IWidgetListDisplayChangeListener iWidgetListDisplayChangeListener) throws RemoteException;
}
