package com.geely.lib.oneosapi.launcher;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.launcher.bean.ShortcutCompat;
import java.util.ArrayList;
import java.util.List;

public interface IShotCutsService extends IInterface {

    public static class Default implements IShotCutsService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.launcher.IShotCutsService
        public List<ShortcutCompat> getShortCuts(String str) throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IShotCutsService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.launcher.IShotCutsService";
        public static final int TRANSACTION_getShortCuts = 1;

        public static class Proxy implements IShotCutsService {
            public static IShotCutsService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.launcher.IShotCutsService
            public List<ShortcutCompat> getShortCuts(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getShortCuts(str);
                    }
                    obtain2.readException();
                    ArrayList createTypedArrayList = obtain2.createTypedArrayList(ShortcutCompat.CREATOR);
                    obtain2.recycle();
                    obtain.recycle();
                    return createTypedArrayList;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IShotCutsService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IShotCutsService)) {
                return new Proxy(iBinder);
            }
            return (IShotCutsService) queryLocalInterface;
        }

        public static IShotCutsService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IShotCutsService iShotCutsService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iShotCutsService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iShotCutsService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                List<ShortcutCompat> shortCuts = getShortCuts(parcel.readString());
                parcel2.writeNoException();
                parcel2.writeTypedList(shortCuts);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    List<ShortcutCompat> getShortCuts(String str) throws RemoteException;
}
