package com.geely.lib.oneosapi.launcher;

import android.content.Context;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import com.geely.lib.oneosapi.common.ServiceBaseManager;
import com.geely.lib.oneosapi.launcher.IShotCutsService;
import com.geely.lib.oneosapi.launcher.bean.ShortcutCompat;
import java.util.Collections;
import java.util.List;

public class ShortcutManager implements ServiceBaseManager {
    private static final String TAG = "ShortcutManager";
    private IShotCutsService mService;

    public ShortcutManager(Context context, IBinder iBinder) {
        this.mService = IShotCutsService.Stub.asInterface(iBinder);
    }

    private boolean isServiceAlive() {
        IShotCutsService iShotCutsService = this.mService;
        return iShotCutsService != null && iShotCutsService.asBinder().isBinderAlive();
    }

    public List<ShortcutCompat> getShortCuts(String str) {
        if (isServiceAlive()) {
            try {
                return this.mService.getShortCuts(str);
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        } else {
            Log.d(TAG, "getShortCuts: service is not alive");
            return Collections.emptyList();
        }
    }

    @Override // com.geely.lib.oneosapi.common.ServiceBaseManager
    public void setService(IBinder iBinder) {
        this.mService = IShotCutsService.Stub.asInterface(iBinder);
    }
}
