package com.geely.lib.oneosapi.launcher.listener;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ILauncherPageSwitchListener extends IInterface {

    public static class Default implements ILauncherPageSwitchListener {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.launcher.listener.ILauncherPageSwitchListener
        public void onPageSwitch(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.launcher.listener.ILauncherPageSwitchListener
        public void onPsdPageSwitch(int i) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ILauncherPageSwitchListener {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.launcher.listener.ILauncherPageSwitchListener";
        public static final int TRANSACTION_onPageSwitch = 1;
        public static final int TRANSACTION_onPsdPageSwitch = 2;

        public static class Proxy implements ILauncherPageSwitchListener {
            public static ILauncherPageSwitchListener sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.launcher.listener.ILauncherPageSwitchListener
            public void onPageSwitch(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onPageSwitch(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.launcher.listener.ILauncherPageSwitchListener
            public void onPsdPageSwitch(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onPsdPageSwitch(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ILauncherPageSwitchListener asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ILauncherPageSwitchListener)) {
                return new Proxy(iBinder);
            }
            return (ILauncherPageSwitchListener) queryLocalInterface;
        }

        public static ILauncherPageSwitchListener getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ILauncherPageSwitchListener iLauncherPageSwitchListener) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iLauncherPageSwitchListener == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iLauncherPageSwitchListener;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                onPageSwitch(parcel.readInt());
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                onPsdPageSwitch(parcel.readInt());
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void onPageSwitch(int i) throws RemoteException;

    void onPsdPageSwitch(int i) throws RemoteException;
}
