package com.geely.lib.oneosapi.linkmanager;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.linkmanager.ILinkListener;
import com.geely.lib.oneosapi.linkmanager.IModemCallStateListener;
import com.geely.lib.oneosapi.linkmanager.IMusicStateListener;
import com.geely.lib.oneosapi.linkmanager.ITryConnectCallback;

public interface ILinkManager extends IInterface {

    public static class Default implements ILinkManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void fastBackward() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void fastForward() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public int getConnectedSessionBrand() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public int getConnectedSessionType() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public boolean isSessionConnected() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public boolean isSourceActivated() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void next() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void play() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void previous() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void registerListener(ILinkListener iLinkListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void registerModemCallStateListener(IModemCallStateListener iModemCallStateListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void registerMusicStateListener(IMusicStateListener iMusicStateListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void sessionConnected(int i, int i2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void sessionDisconnected(int i, int i2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void setModemCallState(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void setMusicInfo(String str, String str2, String str3, String str4, long j, String str5, String str6, String str7, String str8, int i, boolean z, boolean z2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void stop() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void tryConnect(int i, int i2, ITryConnectCallback iTryConnectCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void unregisterListener(ILinkListener iLinkListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void unregisterModemCallStateListener(IModemCallStateListener iModemCallStateListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void unregisterMusicStateListener(IMusicStateListener iMusicStateListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
        public void updatePlayState(int i, int i2) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ILinkManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.linkmanager.ILinkManager";
        public static final int TRANSACTION_fastBackward = 16;
        public static final int TRANSACTION_fastForward = 15;
        public static final int TRANSACTION_getConnectedSessionBrand = 4;
        public static final int TRANSACTION_getConnectedSessionType = 5;
        public static final int TRANSACTION_isSessionConnected = 3;
        public static final int TRANSACTION_isSourceActivated = 10;
        public static final int TRANSACTION_next = 13;
        public static final int TRANSACTION_play = 11;
        public static final int TRANSACTION_previous = 14;
        public static final int TRANSACTION_registerListener = 6;
        public static final int TRANSACTION_registerModemCallStateListener = 19;
        public static final int TRANSACTION_registerMusicStateListener = 21;
        public static final int TRANSACTION_sessionConnected = 1;
        public static final int TRANSACTION_sessionDisconnected = 2;
        public static final int TRANSACTION_setModemCallState = 18;
        public static final int TRANSACTION_setMusicInfo = 17;
        public static final int TRANSACTION_stop = 12;
        public static final int TRANSACTION_tryConnect = 8;
        public static final int TRANSACTION_unregisterListener = 7;
        public static final int TRANSACTION_unregisterModemCallStateListener = 20;
        public static final int TRANSACTION_unregisterMusicStateListener = 22;
        public static final int TRANSACTION_updatePlayState = 9;

        public static class Proxy implements ILinkManager {
            public static ILinkManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void fastBackward() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(16, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().fastBackward();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void fastForward() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(15, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().fastForward();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public int getConnectedSessionBrand() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getConnectedSessionBrand();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public int getConnectedSessionType() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getConnectedSessionType();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public boolean isSessionConnected() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isSessionConnected();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public boolean isSourceActivated() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isSourceActivated();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void next() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().next();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void play() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().play();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void previous() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().previous();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void registerListener(ILinkListener iLinkListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLinkListener != null ? iLinkListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerListener(iLinkListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void registerModemCallStateListener(IModemCallStateListener iModemCallStateListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iModemCallStateListener != null ? iModemCallStateListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(19, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerModemCallStateListener(iModemCallStateListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void registerMusicStateListener(IMusicStateListener iMusicStateListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iMusicStateListener != null ? iMusicStateListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(21, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerMusicStateListener(iMusicStateListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void sessionConnected(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().sessionConnected(i, i2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void sessionDisconnected(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().sessionDisconnected(i, i2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void setModemCallState(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(18, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setModemCallState(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void setMusicInfo(String str, String str2, String str3, String str4, long j, String str5, String str6, String str7, String str8, int i, boolean z, boolean z2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeString(str3);
                    obtain.writeString(str4);
                    obtain.writeLong(j);
                    obtain.writeString(str5);
                    obtain.writeString(str6);
                    obtain.writeString(str7);
                    obtain.writeString(str8);
                    obtain.writeInt(i);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeInt(z2 ? 1 : 0);
                    if (this.mRemote.transact(17, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setMusicInfo(str, str2, str3, str4, j, str5, str6, str7, str8, i, z, z2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void stop() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(12, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().stop();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void tryConnect(int i, int i2, ITryConnectCallback iTryConnectCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeStrongBinder(iTryConnectCallback != null ? iTryConnectCallback.asBinder() : null);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().tryConnect(i, i2, iTryConnectCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void unregisterListener(ILinkListener iLinkListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLinkListener != null ? iLinkListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterListener(iLinkListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void unregisterModemCallStateListener(IModemCallStateListener iModemCallStateListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iModemCallStateListener != null ? iModemCallStateListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(20, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterModemCallStateListener(iModemCallStateListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void unregisterMusicStateListener(IMusicStateListener iMusicStateListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iMusicStateListener != null ? iMusicStateListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(22, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterMusicStateListener(iMusicStateListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.linkmanager.ILinkManager
            public void updatePlayState(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().updatePlayState(i, i2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ILinkManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ILinkManager)) {
                return new Proxy(iBinder);
            }
            return (ILinkManager) queryLocalInterface;
        }

        public static ILinkManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ILinkManager iLinkManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iLinkManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iLinkManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        sessionConnected(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        sessionDisconnected(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isSessionConnected = isSessionConnected();
                        parcel2.writeNoException();
                        parcel2.writeInt(isSessionConnected ? 1 : 0);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        int connectedSessionBrand = getConnectedSessionBrand();
                        parcel2.writeNoException();
                        parcel2.writeInt(connectedSessionBrand);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        int connectedSessionType = getConnectedSessionType();
                        parcel2.writeNoException();
                        parcel2.writeInt(connectedSessionType);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerListener(ILinkListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterListener(ILinkListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        tryConnect(parcel.readInt(), parcel.readInt(), ITryConnectCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        updatePlayState(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isSourceActivated = isSourceActivated();
                        parcel2.writeNoException();
                        parcel2.writeInt(isSourceActivated ? 1 : 0);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        play();
                        parcel2.writeNoException();
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        stop();
                        parcel2.writeNoException();
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        next();
                        parcel2.writeNoException();
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        previous();
                        parcel2.writeNoException();
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        fastForward();
                        parcel2.writeNoException();
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        fastBackward();
                        parcel2.writeNoException();
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        String readString = parcel.readString();
                        String readString2 = parcel.readString();
                        String readString3 = parcel.readString();
                        String readString4 = parcel.readString();
                        long readLong = parcel.readLong();
                        String readString5 = parcel.readString();
                        String readString6 = parcel.readString();
                        String readString7 = parcel.readString();
                        String readString8 = parcel.readString();
                        int readInt = parcel.readInt();
                        boolean z = false;
                        boolean z2 = parcel.readInt() != 0;
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setMusicInfo(readString, readString2, readString3, readString4, readLong, readString5, readString6, readString7, readString8, readInt, z2, z);
                        parcel2.writeNoException();
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        setModemCallState(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerModemCallStateListener(IModemCallStateListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 20:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterModemCallStateListener(IModemCallStateListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 21:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerMusicStateListener(IMusicStateListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 22:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterMusicStateListener(IMusicStateListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void fastBackward() throws RemoteException;

    void fastForward() throws RemoteException;

    int getConnectedSessionBrand() throws RemoteException;

    int getConnectedSessionType() throws RemoteException;

    boolean isSessionConnected() throws RemoteException;

    boolean isSourceActivated() throws RemoteException;

    void next() throws RemoteException;

    void play() throws RemoteException;

    void previous() throws RemoteException;

    void registerListener(ILinkListener iLinkListener, String str) throws RemoteException;

    void registerModemCallStateListener(IModemCallStateListener iModemCallStateListener, String str) throws RemoteException;

    void registerMusicStateListener(IMusicStateListener iMusicStateListener, String str) throws RemoteException;

    void sessionConnected(int i, int i2) throws RemoteException;

    void sessionDisconnected(int i, int i2) throws RemoteException;

    void setModemCallState(int i) throws RemoteException;

    void setMusicInfo(String str, String str2, String str3, String str4, long j, String str5, String str6, String str7, String str8, int i, boolean z, boolean z2) throws RemoteException;

    void stop() throws RemoteException;

    void tryConnect(int i, int i2, ITryConnectCallback iTryConnectCallback) throws RemoteException;

    void unregisterListener(ILinkListener iLinkListener, String str) throws RemoteException;

    void unregisterModemCallStateListener(IModemCallStateListener iModemCallStateListener, String str) throws RemoteException;

    void unregisterMusicStateListener(IMusicStateListener iMusicStateListener, String str) throws RemoteException;

    void updatePlayState(int i, int i2) throws RemoteException;
}
