package com.geely.lib.oneosapi.mediacenter;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.listener.ICarSpeedListener;

public interface ICarSpeedManager extends IInterface {

    public static class Default implements ICarSpeedManager {
        @Override // com.geely.lib.oneosapi.mediacenter.ICarSpeedManager
        public void addVehicleSpeedChangeListener(ICarSpeedListener iCarSpeedListener) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.ICarSpeedManager
        public boolean isTrad() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.ICarSpeedManager
        public void removeVehicleSpeedChangeListener(ICarSpeedListener iCarSpeedListener) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ICarSpeedManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.mediacenter.ICarSpeedManager";
        public static final int TRANSACTION_addVehicleSpeedChangeListener = 2;
        public static final int TRANSACTION_isTrad = 1;
        public static final int TRANSACTION_removeVehicleSpeedChangeListener = 3;

        public static class Proxy implements ICarSpeedManager {
            public static ICarSpeedManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.ICarSpeedManager
            public void addVehicleSpeedChangeListener(ICarSpeedListener iCarSpeedListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iCarSpeedListener != null ? iCarSpeedListener.asBinder() : null);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().addVehicleSpeedChangeListener(iCarSpeedListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.ICarSpeedManager
            public boolean isTrad() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isTrad();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.ICarSpeedManager
            public void removeVehicleSpeedChangeListener(ICarSpeedListener iCarSpeedListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iCarSpeedListener != null ? iCarSpeedListener.asBinder() : null);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().removeVehicleSpeedChangeListener(iCarSpeedListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICarSpeedManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICarSpeedManager)) {
                return new Proxy(iBinder);
            }
            return (ICarSpeedManager) queryLocalInterface;
        }

        public static ICarSpeedManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ICarSpeedManager iCarSpeedManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCarSpeedManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCarSpeedManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean isTrad = isTrad();
                parcel2.writeNoException();
                parcel2.writeInt(isTrad ? 1 : 0);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                addVehicleSpeedChangeListener(ICarSpeedListener.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                removeVehicleSpeedChangeListener(ICarSpeedListener.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void addVehicleSpeedChangeListener(ICarSpeedListener iCarSpeedListener) throws RemoteException;

    boolean isTrad() throws RemoteException;

    void removeVehicleSpeedChangeListener(ICarSpeedListener iCarSpeedListener) throws RemoteException;
}
