package com.geely.lib.oneosapi.mediacenter;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.ICarSpeedManager;
import com.geely.lib.oneosapi.mediacenter.IHeartbeatPacket;
import com.geely.lib.oneosapi.mediacenter.IMusicManager;
import com.geely.lib.oneosapi.mediacenter.IRadioManager;
import com.geely.lib.oneosapi.mediacenter.listener.ISourceStateListener;

public interface IMediaCenter extends IInterface {

    public static class Default implements IMediaCenter {
        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public void addPsdSourceStateListener(ISourceStateListener iSourceStateListener) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public void addSourceStateListener(ISourceStateListener iSourceStateListener) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public String getAppPackageName(int i, int i2) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public ICarSpeedManager getCarManager() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getCurrentAppSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getCurrentAudioSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getCurrentPsdAppSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getCurrentPsdAudioSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getFocusedAppSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getFocusedAudioSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public IMusicManager getMusicManager() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getPsdFocusedAppSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public int getPsdFocusedAudioSource() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public IRadioManager getRadioManager() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public boolean isPsdBtAudioSource(int i, int i2) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public boolean isPsdBtDeviceConnected() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public void requestAudioSource(int i, int i2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public void setHeartbeatPacket(IHeartbeatPacket iHeartbeatPacket) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public void setPsdBtAudioSource(int i, int i2, boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
        public void setPsdBtChannel(int i, boolean z) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IMediaCenter {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.mediacenter.IMediaCenter";
        public static final int TRANSACTION_addPsdSourceStateListener = 9;
        public static final int TRANSACTION_addSourceStateListener = 4;
        public static final int TRANSACTION_getAppPackageName = 20;
        public static final int TRANSACTION_getCarManager = 7;
        public static final int TRANSACTION_getCurrentAppSource = 2;
        public static final int TRANSACTION_getCurrentAudioSource = 1;
        public static final int TRANSACTION_getCurrentPsdAppSource = 13;
        public static final int TRANSACTION_getCurrentPsdAudioSource = 12;
        public static final int TRANSACTION_getFocusedAppSource = 17;
        public static final int TRANSACTION_getFocusedAudioSource = 16;
        public static final int TRANSACTION_getMusicManager = 5;
        public static final int TRANSACTION_getPsdFocusedAppSource = 19;
        public static final int TRANSACTION_getPsdFocusedAudioSource = 18;
        public static final int TRANSACTION_getRadioManager = 6;
        public static final int TRANSACTION_isPsdBtAudioSource = 10;
        public static final int TRANSACTION_isPsdBtDeviceConnected = 15;
        public static final int TRANSACTION_requestAudioSource = 3;
        public static final int TRANSACTION_setHeartbeatPacket = 8;
        public static final int TRANSACTION_setPsdBtAudioSource = 11;
        public static final int TRANSACTION_setPsdBtChannel = 14;

        public static class Proxy implements IMediaCenter {
            public static IMediaCenter sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public void addPsdSourceStateListener(ISourceStateListener iSourceStateListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSourceStateListener != null ? iSourceStateListener.asBinder() : null);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().addPsdSourceStateListener(iSourceStateListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public void addSourceStateListener(ISourceStateListener iSourceStateListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSourceStateListener != null ? iSourceStateListener.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().addSourceStateListener(iSourceStateListener);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public String getAppPackageName(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (!this.mRemote.transact(20, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAppPackageName(i, i2);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public ICarSpeedManager getCarManager() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCarManager();
                    }
                    obtain2.readException();
                    ICarSpeedManager asInterface = ICarSpeedManager.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getCurrentAppSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentAppSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getCurrentAudioSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentAudioSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getCurrentPsdAppSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(13, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentPsdAppSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getCurrentPsdAudioSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(12, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentPsdAudioSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getFocusedAppSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(17, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getFocusedAppSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getFocusedAudioSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(16, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getFocusedAudioSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public IMusicManager getMusicManager() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getMusicManager();
                    }
                    obtain2.readException();
                    IMusicManager asInterface = IMusicManager.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getPsdFocusedAppSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(19, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPsdFocusedAppSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public int getPsdFocusedAudioSource() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(18, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPsdFocusedAudioSource();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public IRadioManager getRadioManager() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getRadioManager();
                    }
                    obtain2.readException();
                    IRadioManager asInterface = IRadioManager.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public boolean isPsdBtAudioSource(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    boolean z = false;
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isPsdBtAudioSource(i, i2);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public boolean isPsdBtDeviceConnected() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(15, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isPsdBtDeviceConnected();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public void requestAudioSource(int i, int i2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().requestAudioSource(i, i2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public void setHeartbeatPacket(IHeartbeatPacket iHeartbeatPacket) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iHeartbeatPacket != null ? iHeartbeatPacket.asBinder() : null);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setHeartbeatPacket(iHeartbeatPacket);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public void setPsdBtAudioSource(int i, int i2, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setPsdBtAudioSource(i, i2, z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IMediaCenter
            public void setPsdBtChannel(int i, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setPsdBtChannel(i, z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IMediaCenter asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IMediaCenter)) {
                return new Proxy(iBinder);
            }
            return (IMediaCenter) queryLocalInterface;
        }

        public static IMediaCenter getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IMediaCenter iMediaCenter) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iMediaCenter == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iMediaCenter;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                IBinder iBinder = null;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        int currentAudioSource = getCurrentAudioSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(currentAudioSource);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        int currentAppSource = getCurrentAppSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(currentAppSource);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        requestAudioSource(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        addSourceStateListener(ISourceStateListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        IMusicManager musicManager = getMusicManager();
                        parcel2.writeNoException();
                        if (musicManager != null) {
                            iBinder = musicManager.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        IRadioManager radioManager = getRadioManager();
                        parcel2.writeNoException();
                        if (radioManager != null) {
                            iBinder = radioManager.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        ICarSpeedManager carManager = getCarManager();
                        parcel2.writeNoException();
                        if (carManager != null) {
                            iBinder = carManager.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        setHeartbeatPacket(IHeartbeatPacket.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        addPsdSourceStateListener(ISourceStateListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isPsdBtAudioSource = isPsdBtAudioSource(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(isPsdBtAudioSource ? 1 : 0);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt = parcel.readInt();
                        int readInt2 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setPsdBtAudioSource(readInt, readInt2, z);
                        parcel2.writeNoException();
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        int currentPsdAudioSource = getCurrentPsdAudioSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(currentPsdAudioSource);
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        int currentPsdAppSource = getCurrentPsdAppSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(currentPsdAppSource);
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        int readInt3 = parcel.readInt();
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        setPsdBtChannel(readInt3, z);
                        parcel2.writeNoException();
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isPsdBtDeviceConnected = isPsdBtDeviceConnected();
                        parcel2.writeNoException();
                        parcel2.writeInt(isPsdBtDeviceConnected ? 1 : 0);
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        int focusedAudioSource = getFocusedAudioSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(focusedAudioSource);
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        int focusedAppSource = getFocusedAppSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(focusedAppSource);
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        int psdFocusedAudioSource = getPsdFocusedAudioSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(psdFocusedAudioSource);
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        int psdFocusedAppSource = getPsdFocusedAppSource();
                        parcel2.writeNoException();
                        parcel2.writeInt(psdFocusedAppSource);
                        return true;
                    case 20:
                        parcel.enforceInterface(DESCRIPTOR);
                        String appPackageName = getAppPackageName(parcel.readInt(), parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeString(appPackageName);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void addPsdSourceStateListener(ISourceStateListener iSourceStateListener) throws RemoteException;

    void addSourceStateListener(ISourceStateListener iSourceStateListener) throws RemoteException;

    String getAppPackageName(int i, int i2) throws RemoteException;

    ICarSpeedManager getCarManager() throws RemoteException;

    int getCurrentAppSource() throws RemoteException;

    int getCurrentAudioSource() throws RemoteException;

    int getCurrentPsdAppSource() throws RemoteException;

    int getCurrentPsdAudioSource() throws RemoteException;

    int getFocusedAppSource() throws RemoteException;

    int getFocusedAudioSource() throws RemoteException;

    IMusicManager getMusicManager() throws RemoteException;

    int getPsdFocusedAppSource() throws RemoteException;

    int getPsdFocusedAudioSource() throws RemoteException;

    IRadioManager getRadioManager() throws RemoteException;

    boolean isPsdBtAudioSource(int i, int i2) throws RemoteException;

    boolean isPsdBtDeviceConnected() throws RemoteException;

    void requestAudioSource(int i, int i2) throws RemoteException;

    void setHeartbeatPacket(IHeartbeatPacket iHeartbeatPacket) throws RemoteException;

    void setPsdBtAudioSource(int i, int i2, boolean z) throws RemoteException;

    void setPsdBtChannel(int i, boolean z) throws RemoteException;
}
