package com.geely.lib.oneosapi.mediacenter;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.bean.Frequency;
import com.geely.lib.oneosapi.mediacenter.listener.IRadioStateListener;
import java.util.ArrayList;
import java.util.List;

public interface IRadioManager extends IInterface {

    public static class Default implements IRadioManager {
        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean addCollectionStation(int i, boolean z) throws RemoteException {
            return false;
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean closeRadio(IRadioStateListener iRadioStateListener) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public int getBand() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public List<Frequency> getCollectionStationsList() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public int getFrequency() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public List<Frequency> getRadioStationsNameList() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public int getRadioStatus() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public List<Frequency> getScanStationsList() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean isFirstUseRadio() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean openPsdRadioAsync(IRadioStateListener iRadioStateListener) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean openRadioAsync(IRadioStateListener iRadioStateListener) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean pause() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean play() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public int playRadioFavor() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean scanAsync() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean seekAsync(int i) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean setBandAsync(int i) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean setFrequency(int i) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean startCarouselPlay(int i) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean stopCarouselPlay() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean stopSeekOrScanAsync() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean toNextStation(int i) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
        public boolean tuneAsync(int i) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IRadioManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.mediacenter.IRadioManager";
        public static final int TRANSACTION_addCollectionStation = 20;
        public static final int TRANSACTION_closeRadio = 2;
        public static final int TRANSACTION_getBand = 12;
        public static final int TRANSACTION_getCollectionStationsList = 16;
        public static final int TRANSACTION_getFrequency = 13;
        public static final int TRANSACTION_getRadioStationsNameList = 17;
        public static final int TRANSACTION_getRadioStatus = 21;
        public static final int TRANSACTION_getScanStationsList = 14;
        public static final int TRANSACTION_isFirstUseRadio = 15;
        public static final int TRANSACTION_openPsdRadioAsync = 23;
        public static final int TRANSACTION_openRadioAsync = 1;
        public static final int TRANSACTION_pause = 19;
        public static final int TRANSACTION_play = 18;
        public static final int TRANSACTION_playRadioFavor = 22;
        public static final int TRANSACTION_scanAsync = 6;
        public static final int TRANSACTION_seekAsync = 5;
        public static final int TRANSACTION_setBandAsync = 3;
        public static final int TRANSACTION_setFrequency = 4;
        public static final int TRANSACTION_startCarouselPlay = 10;
        public static final int TRANSACTION_stopCarouselPlay = 11;
        public static final int TRANSACTION_stopSeekOrScanAsync = 7;
        public static final int TRANSACTION_toNextStation = 9;
        public static final int TRANSACTION_tuneAsync = 8;

        public static class Proxy implements IRadioManager {
            public static IRadioManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean addCollectionStation(int i, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(20, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().addCollectionStation(i, z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean closeRadio(IRadioStateListener iRadioStateListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iRadioStateListener != null ? iRadioStateListener.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().closeRadio(iRadioStateListener);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public int getBand() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(12, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getBand();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public List<Frequency> getCollectionStationsList() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(16, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCollectionStationsList();
                    }
                    obtain2.readException();
                    ArrayList createTypedArrayList = obtain2.createTypedArrayList(Frequency.CREATOR);
                    obtain2.recycle();
                    obtain.recycle();
                    return createTypedArrayList;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public int getFrequency() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(13, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getFrequency();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public List<Frequency> getRadioStationsNameList() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(17, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getRadioStationsNameList();
                    }
                    obtain2.readException();
                    ArrayList createTypedArrayList = obtain2.createTypedArrayList(Frequency.CREATOR);
                    obtain2.recycle();
                    obtain.recycle();
                    return createTypedArrayList;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public int getRadioStatus() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(21, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getRadioStatus();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public List<Frequency> getScanStationsList() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(14, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getScanStationsList();
                    }
                    obtain2.readException();
                    ArrayList createTypedArrayList = obtain2.createTypedArrayList(Frequency.CREATOR);
                    obtain2.recycle();
                    obtain.recycle();
                    return createTypedArrayList;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean isFirstUseRadio() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(15, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isFirstUseRadio();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean openPsdRadioAsync(IRadioStateListener iRadioStateListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iRadioStateListener != null ? iRadioStateListener.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(23, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().openPsdRadioAsync(iRadioStateListener);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean openRadioAsync(IRadioStateListener iRadioStateListener) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iRadioStateListener != null ? iRadioStateListener.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().openRadioAsync(iRadioStateListener);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean pause() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(19, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().pause();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean play() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(18, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().play();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public int playRadioFavor() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(22, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().playRadioFavor();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean scanAsync() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().scanAsync();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean seekAsync(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().seekAsync(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean setBandAsync(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setBandAsync(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean setFrequency(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setFrequency(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean startCarouselPlay(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().startCarouselPlay(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean stopCarouselPlay() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(11, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().stopCarouselPlay();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean stopSeekOrScanAsync() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().stopSeekOrScanAsync();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean toNextStation(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(9, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().toNextStation(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.mediacenter.IRadioManager
            public boolean tuneAsync(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    boolean z = false;
                    if (!this.mRemote.transact(8, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().tuneAsync(i);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IRadioManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IRadioManager)) {
                return new Proxy(iBinder);
            }
            return (IRadioManager) queryLocalInterface;
        }

        public static IRadioManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IRadioManager iRadioManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iRadioManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iRadioManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean openRadioAsync = openRadioAsync(IRadioStateListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(openRadioAsync ? 1 : 0);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean closeRadio = closeRadio(IRadioStateListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(closeRadio ? 1 : 0);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean bandAsync = setBandAsync(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(bandAsync ? 1 : 0);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean frequency = setFrequency(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(frequency ? 1 : 0);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean seekAsync = seekAsync(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(seekAsync ? 1 : 0);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean scanAsync = scanAsync();
                        parcel2.writeNoException();
                        parcel2.writeInt(scanAsync ? 1 : 0);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean stopSeekOrScanAsync = stopSeekOrScanAsync();
                        parcel2.writeNoException();
                        parcel2.writeInt(stopSeekOrScanAsync ? 1 : 0);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean tuneAsync = tuneAsync(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(tuneAsync ? 1 : 0);
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean nextStation = toNextStation(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(nextStation ? 1 : 0);
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean startCarouselPlay = startCarouselPlay(parcel.readInt());
                        parcel2.writeNoException();
                        parcel2.writeInt(startCarouselPlay ? 1 : 0);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean stopCarouselPlay = stopCarouselPlay();
                        parcel2.writeNoException();
                        parcel2.writeInt(stopCarouselPlay ? 1 : 0);
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        int band = getBand();
                        parcel2.writeNoException();
                        parcel2.writeInt(band);
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        int frequency2 = getFrequency();
                        parcel2.writeNoException();
                        parcel2.writeInt(frequency2);
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        List<Frequency> scanStationsList = getScanStationsList();
                        parcel2.writeNoException();
                        parcel2.writeTypedList(scanStationsList);
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isFirstUseRadio = isFirstUseRadio();
                        parcel2.writeNoException();
                        parcel2.writeInt(isFirstUseRadio ? 1 : 0);
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        List<Frequency> collectionStationsList = getCollectionStationsList();
                        parcel2.writeNoException();
                        parcel2.writeTypedList(collectionStationsList);
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        List<Frequency> radioStationsNameList = getRadioStationsNameList();
                        parcel2.writeNoException();
                        parcel2.writeTypedList(radioStationsNameList);
                        return true;
                    case 18:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean play = play();
                        parcel2.writeNoException();
                        parcel2.writeInt(play ? 1 : 0);
                        return true;
                    case 19:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean pause = pause();
                        parcel2.writeNoException();
                        parcel2.writeInt(pause ? 1 : 0);
                        return true;
                    case 20:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean addCollectionStation = addCollectionStation(parcel.readInt(), parcel.readInt() != 0);
                        parcel2.writeNoException();
                        parcel2.writeInt(addCollectionStation ? 1 : 0);
                        return true;
                    case 21:
                        parcel.enforceInterface(DESCRIPTOR);
                        int radioStatus = getRadioStatus();
                        parcel2.writeNoException();
                        parcel2.writeInt(radioStatus);
                        return true;
                    case 22:
                        parcel.enforceInterface(DESCRIPTOR);
                        int playRadioFavor = playRadioFavor();
                        parcel2.writeNoException();
                        parcel2.writeInt(playRadioFavor);
                        return true;
                    case 23:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean openPsdRadioAsync = openPsdRadioAsync(IRadioStateListener.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(openPsdRadioAsync ? 1 : 0);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    boolean addCollectionStation(int i, boolean z) throws RemoteException;

    boolean closeRadio(IRadioStateListener iRadioStateListener) throws RemoteException;

    int getBand() throws RemoteException;

    List<Frequency> getCollectionStationsList() throws RemoteException;

    int getFrequency() throws RemoteException;

    List<Frequency> getRadioStationsNameList() throws RemoteException;

    int getRadioStatus() throws RemoteException;

    List<Frequency> getScanStationsList() throws RemoteException;

    boolean isFirstUseRadio() throws RemoteException;

    boolean openPsdRadioAsync(IRadioStateListener iRadioStateListener) throws RemoteException;

    boolean openRadioAsync(IRadioStateListener iRadioStateListener) throws RemoteException;

    boolean pause() throws RemoteException;

    boolean play() throws RemoteException;

    int playRadioFavor() throws RemoteException;

    boolean scanAsync() throws RemoteException;

    boolean seekAsync(int i) throws RemoteException;

    boolean setBandAsync(int i) throws RemoteException;

    boolean setFrequency(int i) throws RemoteException;

    boolean startCarouselPlay(int i) throws RemoteException;

    boolean stopCarouselPlay() throws RemoteException;

    boolean stopSeekOrScanAsync() throws RemoteException;

    boolean toNextStation(int i) throws RemoteException;

    boolean tuneAsync(int i) throws RemoteException;
}
