package com.geely.lib.oneosapi.mediacenter.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.base.BaseCallback;
import com.geely.lib.oneosapi.mediacenter.bean.MediaData;
import com.geely.lib.oneosapi.mediacenter.callback.IMusicListCallback;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;
import java.util.List;

public abstract class MusicListCallback extends BaseCallback<IMusicListCallback> {
    public MusicListCallback() {
        setCallbackImpl(new IMusicListCallback.Stub() {
            /* class com.geely.lib.oneosapi.mediacenter.callback.MusicListCallback.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.callback.IMusicListCallback
            public void onPlayListChanged(final int i, final List<MediaData> list) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.MusicListCallback.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        MusicListCallback.this.onPlayListChanged(MediaCenterConstant.getAudioSourceEnum(i), list);
                    }
                });
            }
        });
    }

    public abstract void onPlayListChanged(MediaCenterConstant.AudioSource audioSource, List<MediaData> list);
}
