package com.geely.lib.oneosapi.mediacenter.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.base.BaseCallback;
import com.geely.lib.oneosapi.mediacenter.bean.MusicFileData;
import com.geely.lib.oneosapi.mediacenter.callback.IScanPathCallback;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;
import java.util.List;

public abstract class ScanPathCallback extends BaseCallback<IScanPathCallback> {
    public ScanPathCallback() {
        setCallbackImpl(new IScanPathCallback.Stub() {
            /* class com.geely.lib.oneosapi.mediacenter.callback.ScanPathCallback.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.callback.IScanPathCallback
            public void onScanPathFinish(final int i, final List<MusicFileData> list) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.ScanPathCallback.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        ScanPathCallback.this.onScanPathFinish(MediaCenterConstant.getAudioSourceEnum(i), list);
                    }
                });
            }
        });
    }

    public abstract void onScanPathFinish(MediaCenterConstant.AudioSource audioSource, List<MusicFileData> list);
}
