package com.geely.lib.oneosapi.mediacenter.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.base.BaseCallback;
import com.geely.lib.oneosapi.mediacenter.bean.SearchResult;
import com.geely.lib.oneosapi.mediacenter.callback.ISearchSongCallback;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;
import java.util.List;

public abstract class SearchSongCallback extends BaseCallback<ISearchSongCallback> {
    public SearchSongCallback() {
        setCallbackImpl(new ISearchSongCallback.Stub() {
            /* class com.geely.lib.oneosapi.mediacenter.callback.SearchSongCallback.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.callback.ISearchSongCallback
            public void onSearchSongResult(final int i, final int i2, final List<SearchResult> list) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.SearchSongCallback.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        SearchSongCallback.this.onSearchSongResult(MediaCenterConstant.getAudioSourceEnum(i), MediaCenterConstant.getAppSourceEnum(i2), list);
                    }
                });
            }
        });
    }

    public abstract void onSearchSongResult(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.AppSource appSource, List<SearchResult> list);
}
