package com.geely.lib.oneosapi.mediacenter.callback;

import android.os.Handler;
import android.os.Looper;
import android.os.RemoteException;
import com.geely.lib.oneosapi.mediacenter.base.BaseCallback;
import com.geely.lib.oneosapi.mediacenter.bean.OnlineUserInfo;
import com.geely.lib.oneosapi.mediacenter.callback.IUserInfoCallback;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;

public abstract class UserInfoCallback extends BaseCallback<IUserInfoCallback> {
    public UserInfoCallback() {
        setCallbackImpl(new IUserInfoCallback.Stub() {
            /* class com.geely.lib.oneosapi.mediacenter.callback.UserInfoCallback.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.callback.IUserInfoCallback
            public void onUserInfoResult(final int i, final int i2, final OnlineUserInfo onlineUserInfo) throws RemoteException {
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.geely.lib.oneosapi.mediacenter.callback.UserInfoCallback.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        UserInfoCallback.this.onUserInfoResult(MediaCenterConstant.getAudioSourceEnum(i), MediaCenterConstant.getAppSourceEnum(i2), onlineUserInfo);
                    }
                });
            }
        });
    }

    public abstract void onUserInfoResult(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.AppSource appSource, OnlineUserInfo onlineUserInfo);
}
