package com.geely.lib.oneosapi.navi;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.navi.ipc.ICommuteInfoBean;
import com.geely.lib.oneosapi.navi.ipc.IFavoritesInfoBean;
import com.geely.lib.oneosapi.navi.ipc.IGuidingInfoModelBean;
import com.geely.lib.oneosapi.navi.ipc.IHighwayExitInfoModelBean;
import com.geely.lib.oneosapi.navi.ipc.IHistoryPoisBean;
import com.geely.lib.oneosapi.navi.ipc.ILanesInfoBean;
import com.geely.lib.oneosapi.navi.ipc.ILocationInfoModelBean;
import com.geely.lib.oneosapi.navi.ipc.IParkingPoisBean;
import com.geely.lib.oneosapi.navi.ipc.IPoiInfoBean;
import com.geely.lib.oneosapi.navi.ipc.IRoutePlanInfoBean;
import com.geely.lib.oneosapi.navi.ipc.ITrafficConditionInfoBean;
import com.geely.lib.oneosapi.navi.ipc.ITripReporterBean;

public interface INaviCallback extends IInterface {

    public static class Default implements INaviCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onAdAreaChanged(ILocationInfoModelBean iLocationInfoModelBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onArrivedLastMile(IPoiInfoBean iPoiInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onCommutePush(ICommuteInfoBean iCommuteInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onDestinationParkingUpdate(IParkingPoisBean iParkingPoisBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onFavoriteChanged(IFavoritesInfoBean iFavoritesInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onGuideInfoChanged(IGuidingInfoModelBean iGuidingInfoModelBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onHighwayExitInfoUpdate(IHighwayExitInfoModelBean iHighwayExitInfoModelBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onHistoryPoisUpdateCallback(IHistoryPoisBean iHistoryPoisBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onLanesInfoChanged(ILanesInfoBean iLanesInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onMapStatusChanged(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onRouteInfoChanged(IRoutePlanInfoBean iRoutePlanInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onSendPOIToCar(IPoiInfoBean iPoiInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onTrafficConditionsChanged(ITrafficConditionInfoBean iTrafficConditionInfoBean) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.INaviCallback
        public void onTripReporterUpdate(ITripReporterBean iTripReporterBean) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements INaviCallback {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.navi.INaviCallback";
        public static final int TRANSACTION_onAdAreaChanged = 8;
        public static final int TRANSACTION_onArrivedLastMile = 7;
        public static final int TRANSACTION_onCommutePush = 11;
        public static final int TRANSACTION_onDestinationParkingUpdate = 12;
        public static final int TRANSACTION_onFavoriteChanged = 2;
        public static final int TRANSACTION_onGuideInfoChanged = 4;
        public static final int TRANSACTION_onHighwayExitInfoUpdate = 5;
        public static final int TRANSACTION_onHistoryPoisUpdateCallback = 14;
        public static final int TRANSACTION_onLanesInfoChanged = 10;
        public static final int TRANSACTION_onMapStatusChanged = 1;
        public static final int TRANSACTION_onRouteInfoChanged = 3;
        public static final int TRANSACTION_onSendPOIToCar = 6;
        public static final int TRANSACTION_onTrafficConditionsChanged = 9;
        public static final int TRANSACTION_onTripReporterUpdate = 13;

        public static class Proxy implements INaviCallback {
            public static INaviCallback sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onAdAreaChanged(ILocationInfoModelBean iLocationInfoModelBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iLocationInfoModelBean != null) {
                        obtain.writeInt(1);
                        iLocationInfoModelBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iLocationInfoModelBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onAdAreaChanged(iLocationInfoModelBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onArrivedLastMile(IPoiInfoBean iPoiInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iPoiInfoBean != null) {
                        obtain.writeInt(1);
                        iPoiInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iPoiInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onArrivedLastMile(iPoiInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onCommutePush(ICommuteInfoBean iCommuteInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iCommuteInfoBean != null) {
                        obtain.writeInt(1);
                        iCommuteInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iCommuteInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onCommutePush(iCommuteInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onDestinationParkingUpdate(IParkingPoisBean iParkingPoisBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iParkingPoisBean != null) {
                        obtain.writeInt(1);
                        iParkingPoisBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(12, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iParkingPoisBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onDestinationParkingUpdate(iParkingPoisBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onFavoriteChanged(IFavoritesInfoBean iFavoritesInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iFavoritesInfoBean != null) {
                        obtain.writeInt(1);
                        iFavoritesInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iFavoritesInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onFavoriteChanged(iFavoritesInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onGuideInfoChanged(IGuidingInfoModelBean iGuidingInfoModelBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iGuidingInfoModelBean != null) {
                        obtain.writeInt(1);
                        iGuidingInfoModelBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iGuidingInfoModelBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onGuideInfoChanged(iGuidingInfoModelBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onHighwayExitInfoUpdate(IHighwayExitInfoModelBean iHighwayExitInfoModelBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iHighwayExitInfoModelBean != null) {
                        obtain.writeInt(1);
                        iHighwayExitInfoModelBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iHighwayExitInfoModelBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onHighwayExitInfoUpdate(iHighwayExitInfoModelBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onHistoryPoisUpdateCallback(IHistoryPoisBean iHistoryPoisBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iHistoryPoisBean != null) {
                        obtain.writeInt(1);
                        iHistoryPoisBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(14, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iHistoryPoisBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onHistoryPoisUpdateCallback(iHistoryPoisBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onLanesInfoChanged(ILanesInfoBean iLanesInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iLanesInfoBean != null) {
                        obtain.writeInt(1);
                        iLanesInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(10, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iLanesInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onLanesInfoChanged(iLanesInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onMapStatusChanged(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onMapStatusChanged(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onRouteInfoChanged(IRoutePlanInfoBean iRoutePlanInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iRoutePlanInfoBean != null) {
                        obtain.writeInt(1);
                        iRoutePlanInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iRoutePlanInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onRouteInfoChanged(iRoutePlanInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onSendPOIToCar(IPoiInfoBean iPoiInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iPoiInfoBean != null) {
                        obtain.writeInt(1);
                        iPoiInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iPoiInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onSendPOIToCar(iPoiInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onTrafficConditionsChanged(ITrafficConditionInfoBean iTrafficConditionInfoBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iTrafficConditionInfoBean != null) {
                        obtain.writeInt(1);
                        iTrafficConditionInfoBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iTrafficConditionInfoBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTrafficConditionsChanged(iTrafficConditionInfoBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviCallback
            public void onTripReporterUpdate(ITripReporterBean iTripReporterBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (iTripReporterBean != null) {
                        obtain.writeInt(1);
                        iTripReporterBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            iTripReporterBean.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onTripReporterUpdate(iTripReporterBean);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static INaviCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof INaviCallback)) {
                return new Proxy(iBinder);
            }
            return (INaviCallback) queryLocalInterface;
        }

        public static INaviCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(INaviCallback iNaviCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iNaviCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iNaviCallback;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                IFavoritesInfoBean iFavoritesInfoBean = null;
                IHistoryPoisBean iHistoryPoisBean = null;
                ITripReporterBean iTripReporterBean = null;
                IParkingPoisBean iParkingPoisBean = null;
                ICommuteInfoBean iCommuteInfoBean = null;
                ILanesInfoBean iLanesInfoBean = null;
                ITrafficConditionInfoBean iTrafficConditionInfoBean = null;
                ILocationInfoModelBean iLocationInfoModelBean = null;
                IPoiInfoBean iPoiInfoBean = null;
                IPoiInfoBean iPoiInfoBean2 = null;
                IHighwayExitInfoModelBean iHighwayExitInfoModelBean = null;
                IGuidingInfoModelBean iGuidingInfoModelBean = null;
                IRoutePlanInfoBean iRoutePlanInfoBean = null;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        onMapStatusChanged(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iFavoritesInfoBean = IFavoritesInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onFavoriteChanged(iFavoritesInfoBean);
                        parcel2.writeNoException();
                        if (iFavoritesInfoBean != null) {
                            parcel2.writeInt(1);
                            iFavoritesInfoBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iRoutePlanInfoBean = IRoutePlanInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onRouteInfoChanged(iRoutePlanInfoBean);
                        parcel2.writeNoException();
                        if (iRoutePlanInfoBean != null) {
                            parcel2.writeInt(1);
                            iRoutePlanInfoBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iGuidingInfoModelBean = IGuidingInfoModelBean.CREATOR.createFromParcel(parcel);
                        }
                        onGuideInfoChanged(iGuidingInfoModelBean);
                        parcel2.writeNoException();
                        if (iGuidingInfoModelBean != null) {
                            parcel2.writeInt(1);
                            iGuidingInfoModelBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iHighwayExitInfoModelBean = IHighwayExitInfoModelBean.CREATOR.createFromParcel(parcel);
                        }
                        onHighwayExitInfoUpdate(iHighwayExitInfoModelBean);
                        parcel2.writeNoException();
                        if (iHighwayExitInfoModelBean != null) {
                            parcel2.writeInt(1);
                            iHighwayExitInfoModelBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iPoiInfoBean2 = IPoiInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onSendPOIToCar(iPoiInfoBean2);
                        parcel2.writeNoException();
                        if (iPoiInfoBean2 != null) {
                            parcel2.writeInt(1);
                            iPoiInfoBean2.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iPoiInfoBean = IPoiInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onArrivedLastMile(iPoiInfoBean);
                        parcel2.writeNoException();
                        if (iPoiInfoBean != null) {
                            parcel2.writeInt(1);
                            iPoiInfoBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iLocationInfoModelBean = ILocationInfoModelBean.CREATOR.createFromParcel(parcel);
                        }
                        onAdAreaChanged(iLocationInfoModelBean);
                        parcel2.writeNoException();
                        if (iLocationInfoModelBean != null) {
                            parcel2.writeInt(1);
                            iLocationInfoModelBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iTrafficConditionInfoBean = ITrafficConditionInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onTrafficConditionsChanged(iTrafficConditionInfoBean);
                        parcel2.writeNoException();
                        if (iTrafficConditionInfoBean != null) {
                            parcel2.writeInt(1);
                            iTrafficConditionInfoBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iLanesInfoBean = ILanesInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onLanesInfoChanged(iLanesInfoBean);
                        parcel2.writeNoException();
                        if (iLanesInfoBean != null) {
                            parcel2.writeInt(1);
                            iLanesInfoBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iCommuteInfoBean = ICommuteInfoBean.CREATOR.createFromParcel(parcel);
                        }
                        onCommutePush(iCommuteInfoBean);
                        parcel2.writeNoException();
                        if (iCommuteInfoBean != null) {
                            parcel2.writeInt(1);
                            iCommuteInfoBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iParkingPoisBean = IParkingPoisBean.CREATOR.createFromParcel(parcel);
                        }
                        onDestinationParkingUpdate(iParkingPoisBean);
                        parcel2.writeNoException();
                        if (iParkingPoisBean != null) {
                            parcel2.writeInt(1);
                            iParkingPoisBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iTripReporterBean = ITripReporterBean.CREATOR.createFromParcel(parcel);
                        }
                        onTripReporterUpdate(iTripReporterBean);
                        parcel2.writeNoException();
                        if (iTripReporterBean != null) {
                            parcel2.writeInt(1);
                            iTripReporterBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            iHistoryPoisBean = IHistoryPoisBean.CREATOR.createFromParcel(parcel);
                        }
                        onHistoryPoisUpdateCallback(iHistoryPoisBean);
                        parcel2.writeNoException();
                        if (iHistoryPoisBean != null) {
                            parcel2.writeInt(1);
                            iHistoryPoisBean.writeToParcel(parcel2, 1);
                        } else {
                            parcel2.writeInt(0);
                        }
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void onAdAreaChanged(ILocationInfoModelBean iLocationInfoModelBean) throws RemoteException;

    void onArrivedLastMile(IPoiInfoBean iPoiInfoBean) throws RemoteException;

    void onCommutePush(ICommuteInfoBean iCommuteInfoBean) throws RemoteException;

    void onDestinationParkingUpdate(IParkingPoisBean iParkingPoisBean) throws RemoteException;

    void onFavoriteChanged(IFavoritesInfoBean iFavoritesInfoBean) throws RemoteException;

    void onGuideInfoChanged(IGuidingInfoModelBean iGuidingInfoModelBean) throws RemoteException;

    void onHighwayExitInfoUpdate(IHighwayExitInfoModelBean iHighwayExitInfoModelBean) throws RemoteException;

    void onHistoryPoisUpdateCallback(IHistoryPoisBean iHistoryPoisBean) throws RemoteException;

    void onLanesInfoChanged(ILanesInfoBean iLanesInfoBean) throws RemoteException;

    void onMapStatusChanged(int i) throws RemoteException;

    void onRouteInfoChanged(IRoutePlanInfoBean iRoutePlanInfoBean) throws RemoteException;

    void onSendPOIToCar(IPoiInfoBean iPoiInfoBean) throws RemoteException;

    void onTrafficConditionsChanged(ITrafficConditionInfoBean iTrafficConditionInfoBean) throws RemoteException;

    void onTripReporterUpdate(ITripReporterBean iTripReporterBean) throws RemoteException;
}
