package com.geely.lib.oneosapi.navi;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface INaviInfo extends IInterface {

    public static class Default implements INaviInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviInfo
        public double getLatitude() throws RemoteException {
            return 0.0d;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviInfo
        public double getLongitude() throws RemoteException {
            return 0.0d;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviInfo
        public String getMessageID() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviInfo
        public String getSender() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.INaviInfo
        public String getTitle() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements INaviInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.navi.INaviInfo";
        public static final int TRANSACTION_getLatitude = 4;
        public static final int TRANSACTION_getLongitude = 5;
        public static final int TRANSACTION_getMessageID = 1;
        public static final int TRANSACTION_getSender = 2;
        public static final int TRANSACTION_getTitle = 3;

        public static class Proxy implements INaviInfo {
            public static INaviInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.navi.INaviInfo
            public double getLatitude() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLatitude();
                    }
                    obtain2.readException();
                    double readDouble = obtain2.readDouble();
                    obtain2.recycle();
                    obtain.recycle();
                    return readDouble;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviInfo
            public double getLongitude() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLongitude();
                    }
                    obtain2.readException();
                    double readDouble = obtain2.readDouble();
                    obtain2.recycle();
                    obtain.recycle();
                    return readDouble;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviInfo
            public String getMessageID() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getMessageID();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviInfo
            public String getSender() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSender();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.INaviInfo
            public String getTitle() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getTitle();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static INaviInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof INaviInfo)) {
                return new Proxy(iBinder);
            }
            return (INaviInfo) queryLocalInterface;
        }

        public static INaviInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(INaviInfo iNaviInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iNaviInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iNaviInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String messageID = getMessageID();
                parcel2.writeNoException();
                parcel2.writeString(messageID);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String sender = getSender();
                parcel2.writeNoException();
                parcel2.writeString(sender);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                String title = getTitle();
                parcel2.writeNoException();
                parcel2.writeString(title);
                return true;
            } else if (i == 4) {
                parcel.enforceInterface(DESCRIPTOR);
                double latitude = getLatitude();
                parcel2.writeNoException();
                parcel2.writeDouble(latitude);
                return true;
            } else if (i != 5) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                double longitude = getLongitude();
                parcel2.writeNoException();
                parcel2.writeDouble(longitude);
                return true;
            }
        }
    }

    double getLatitude() throws RemoteException;

    double getLongitude() throws RemoteException;

    String getMessageID() throws RemoteException;

    String getSender() throws RemoteException;

    String getTitle() throws RemoteException;
}
