package com.geely.lib.oneosapi.navi;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.navi.INaviServer;

public interface IServerCallback extends IInterface {

    public static class Default implements IServerCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.IServerCallback
        public String getKey() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.IServerCallback
        public void initFailed(int i, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.IServerCallback
        public void initSuccess(INaviServer iNaviServer) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IServerCallback {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.navi.IServerCallback";
        public static final int TRANSACTION_getKey = 1;
        public static final int TRANSACTION_initFailed = 3;
        public static final int TRANSACTION_initSuccess = 2;

        public static class Proxy implements IServerCallback {
            public static IServerCallback sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.navi.IServerCallback
            public String getKey() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getKey();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.IServerCallback
            public void initFailed(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().initFailed(i, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.IServerCallback
            public void initSuccess(INaviServer iNaviServer) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iNaviServer != null ? iNaviServer.asBinder() : null);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().initSuccess(iNaviServer);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IServerCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IServerCallback)) {
                return new Proxy(iBinder);
            }
            return (IServerCallback) queryLocalInterface;
        }

        public static IServerCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IServerCallback iServerCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iServerCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iServerCallback;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String key = getKey();
                parcel2.writeNoException();
                parcel2.writeString(key);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                initSuccess(INaviServer.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                initFailed(parcel.readInt(), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    String getKey() throws RemoteException;

    void initFailed(int i, String str) throws RemoteException;

    void initSuccess(INaviServer iNaviServer) throws RemoteException;
}
