package com.geely.lib.oneosapi.navi;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.navi.IServerCallback;

public interface IServiceBinder extends IInterface {

    public static class Default implements IServiceBinder {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.navi.IServiceBinder
        public int getDefaultMap() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.navi.IServiceBinder
        public void getNaviServer(int i, boolean z, IServerCallback iServerCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.navi.IServiceBinder
        public int setDefaultMap(int i) throws RemoteException {
            return 0;
        }
    }

    public static abstract class Stub extends Binder implements IServiceBinder {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.navi.IServiceBinder";
        public static final int TRANSACTION_getDefaultMap = 3;
        public static final int TRANSACTION_getNaviServer = 1;
        public static final int TRANSACTION_setDefaultMap = 2;

        public static class Proxy implements IServiceBinder {
            public static IServiceBinder sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.navi.IServiceBinder
            public int getDefaultMap() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDefaultMap();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.navi.IServiceBinder
            public void getNaviServer(int i, boolean z, IServerCallback iServerCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeStrongBinder(iServerCallback != null ? iServerCallback.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getNaviServer(i, z, iServerCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.navi.IServiceBinder
            public int setDefaultMap(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setDefaultMap(i);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IServiceBinder asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IServiceBinder)) {
                return new Proxy(iBinder);
            }
            return (IServiceBinder) queryLocalInterface;
        }

        public static IServiceBinder getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IServiceBinder iServiceBinder) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iServiceBinder == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iServiceBinder;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                getNaviServer(parcel.readInt(), parcel.readInt() != 0, IServerCallback.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                int defaultMap = setDefaultMap(parcel.readInt());
                parcel2.writeNoException();
                parcel2.writeInt(defaultMap);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                int defaultMap2 = getDefaultMap();
                parcel2.writeNoException();
                parcel2.writeInt(defaultMap2);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    int getDefaultMap() throws RemoteException;

    void getNaviServer(int i, boolean z, IServerCallback iServerCallback) throws RemoteException;

    int setDefaultMap(int i) throws RemoteException;
}
