package com.geely.lib.oneosapi.navi.ipc;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

public class IParkingPoiInfoBean implements Parcelable {
    public static final Parcelable.Creator<IParkingPoiInfoBean> CREATOR = new Parcelable.Creator<IParkingPoiInfoBean>() {
        /* class com.geely.lib.oneosapi.navi.ipc.IParkingPoiInfoBean.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public IParkingPoiInfoBean createFromParcel(Parcel parcel) {
            return new IParkingPoiInfoBean(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public IParkingPoiInfoBean[] newArray(int i) {
            return new IParkingPoiInfoBean[i];
        }
    };
    private String address;
    private int distance;
    private Bundle extras;
    private ILatLngBean latLng;
    private String name;
    private String parkingPrice;
    private int parkingType;
    private String phoneNumber;
    private IPoiTypeBean poiType;
    private int remainParkingSpaces;
    private long requestTimeout;
    private String uid;

    public IParkingPoiInfoBean() {
    }

    public int describeContents() {
        return 0;
    }

    public String getAddress() {
        return this.address;
    }

    public int getDistance() {
        return this.distance;
    }

    public Bundle getExtras() {
        return this.extras;
    }

    public ILatLngBean getLatLng() {
        return this.latLng;
    }

    public String getName() {
        return this.name;
    }

    public String getParkingPrice() {
        return this.parkingPrice;
    }

    public int getParkingType() {
        return this.parkingType;
    }

    public String getPhoneNumber() {
        return this.phoneNumber;
    }

    public IPoiTypeBean getPoiType() {
        return this.poiType;
    }

    public int getRemainParkingSpaces() {
        return this.remainParkingSpaces;
    }

    public long getRequestTimeout() {
        return this.requestTimeout;
    }

    public String getUid() {
        return this.uid;
    }

    public void readFromParcel(Parcel parcel) {
        this.name = parcel.readString();
        this.uid = parcel.readString();
        this.distance = parcel.readInt();
        this.latLng = (ILatLngBean) parcel.readParcelable(ILatLngBean.class.getClassLoader());
        this.address = parcel.readString();
        this.poiType = (IPoiTypeBean) parcel.readParcelable(IPoiTypeBean.class.getClassLoader());
        this.phoneNumber = parcel.readString();
        this.parkingType = parcel.readInt();
        this.parkingPrice = parcel.readString();
        this.remainParkingSpaces = parcel.readInt();
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }

    public void setAddress(String str) {
        this.address = str;
    }

    public void setDistance(int i) {
        this.distance = i;
    }

    public void setExtras(Bundle bundle) {
        this.extras = bundle;
    }

    public void setLatLng(ILatLngBean iLatLngBean) {
        this.latLng = iLatLngBean;
    }

    public void setName(String str) {
        this.name = str;
    }

    public void setParkingPrice(String str) {
        this.parkingPrice = str;
    }

    public void setParkingType(int i) {
        this.parkingType = i;
    }

    public void setPhoneNumber(String str) {
        this.phoneNumber = str;
    }

    public void setPoiType(IPoiTypeBean iPoiTypeBean) {
        this.poiType = iPoiTypeBean;
    }

    public void setRemainParkingSpaces(int i) {
        this.remainParkingSpaces = i;
    }

    public void setRequestTimeout(long j) {
        this.requestTimeout = j;
    }

    public void setUid(String str) {
        this.uid = str;
    }

    public String toString() {
        return "IParkingPoiInfoBean{name='" + this.name + '\'' + ", uid='" + this.uid + '\'' + ", distance=" + this.distance + ", latLng=" + this.latLng + ", address='" + this.address + '\'' + ", poiType=" + this.poiType + ", phoneNumber='" + this.phoneNumber + '\'' + ", parkingType=" + this.parkingType + ", parkingPrice='" + this.parkingPrice + '\'' + ", remainParkingSpaces=" + this.remainParkingSpaces + ", requestTimeout=" + this.requestTimeout + ", extras=" + this.extras + '}';
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.name);
        parcel.writeString(this.uid);
        parcel.writeInt(this.distance);
        parcel.writeParcelable(this.latLng, i);
        parcel.writeString(this.address);
        parcel.writeParcelable(this.poiType, i);
        parcel.writeString(this.phoneNumber);
        parcel.writeInt(this.parkingType);
        parcel.writeString(this.parkingPrice);
        parcel.writeInt(this.remainParkingSpaces);
        parcel.writeLong(this.requestTimeout);
        parcel.writeBundle(this.extras);
    }

    public IParkingPoiInfoBean(Parcel parcel) {
        this.name = parcel.readString();
        this.uid = parcel.readString();
        this.distance = parcel.readInt();
        this.latLng = (ILatLngBean) parcel.readParcelable(ILatLngBean.class.getClassLoader());
        this.address = parcel.readString();
        this.poiType = (IPoiTypeBean) parcel.readParcelable(IPoiTypeBean.class.getClassLoader());
        this.phoneNumber = parcel.readString();
        this.parkingType = parcel.readInt();
        this.parkingPrice = parcel.readString();
        this.remainParkingSpaces = parcel.readInt();
        this.requestTimeout = parcel.readLong();
        this.extras = parcel.readBundle(Bundle.class.getClassLoader());
    }
}
