package com.geely.lib.oneosapi.navi.model.base;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import java.util.Random;

public class NaviBaseModel implements Parcelable, Cloneable {
    public static final Parcelable.Creator<NaviBaseModel> CREATOR = new Parcelable.Creator<NaviBaseModel>() {
        /* class com.geely.lib.oneosapi.navi.model.base.NaviBaseModel.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviBaseModel createFromParcel(Parcel parcel) {
            return new NaviBaseModel(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviBaseModel[] newArray(int i) {
            return new NaviBaseModel[i];
        }
    };
    private int callbackId = 0;
    private Bundle extraData = new Bundle();
    private int mapVendor = -1;
    private String packageName = "";
    private int protocolID = 0;
    private int protocolVersion = 1;

    public NaviBaseModel() {
    }

    public void copyBaseInfo(NaviBaseModel naviBaseModel) {
        if (naviBaseModel != null) {
            setPackageName(naviBaseModel.getPackageName());
            setProtocolID(naviBaseModel.getProtocolID());
            setCallbackId(naviBaseModel.getCallbackId());
            setMapVendor(naviBaseModel.getMapVendor());
        }
    }

    public int describeContents() {
        return 0;
    }

    public int genRandomId() {
        int i = this.protocolID * 31;
        String str = this.packageName;
        return ((i + (str != null ? str.hashCode() : 0)) * 31) + new Random(SystemClock.elapsedRealtimeNanos()).nextInt();
    }

    public int getCallbackId() {
        return this.callbackId;
    }

    public Bundle getExtraData() {
        return this.extraData;
    }

    public int getMapVendor() {
        return this.mapVendor;
    }

    public String getPackageName() {
        return this.packageName;
    }

    public int getProtocolID() {
        return this.protocolID;
    }

    public int getProtocolVersion() {
        return this.protocolVersion;
    }

    public void readFromParcel(Parcel parcel) {
        this.protocolID = parcel.readInt();
        this.callbackId = parcel.readInt();
        this.protocolVersion = parcel.readInt();
        this.packageName = parcel.readString();
        this.extraData = parcel.readBundle();
        this.mapVendor = parcel.readInt();
    }

    public void setCallbackId(int i) {
        this.callbackId = i;
    }

    public void setExtraData(Bundle bundle) {
        this.extraData = bundle;
    }

    public void setMapVendor(int i) {
        this.mapVendor = i;
    }

    public void setPackageName(String str) {
        this.packageName = str;
    }

    public void setProtocolID(int i) {
        this.protocolID = i;
    }

    public void setProtocolVersion(int i) {
        this.protocolVersion = i;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("NaviBaseModel{");
        sb.append("protocolID=").append(this.protocolID);
        sb.append(", callbackId=").append(this.callbackId);
        sb.append(", protocolVersion='").append(this.protocolVersion).append('\'');
        sb.append(", packageName='").append(this.packageName).append('\'');
        sb.append(", mapVendor='").append(this.mapVendor).append('\'');
        sb.append(", extraData=").append(this.extraData);
        sb.append('}');
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.protocolID);
        parcel.writeInt(this.callbackId);
        parcel.writeInt(this.protocolVersion);
        parcel.writeString(this.packageName);
        parcel.writeBundle(this.extraData);
        parcel.writeInt(this.mapVendor);
    }

    @Override // java.lang.Object
    public NaviBaseModel clone() {
        try {
            NaviBaseModel naviBaseModel = (NaviBaseModel) super.clone();
            Bundle bundle = this.extraData;
            if (bundle == null) {
                return naviBaseModel;
            }
            naviBaseModel.extraData = (Bundle) bundle.clone();
            return naviBaseModel;
        } catch (CloneNotSupportedException unused) {
            return new NaviBaseModel();
        }
    }

    public NaviBaseModel(Parcel parcel) {
        this.protocolID = parcel.readInt();
        this.callbackId = parcel.readInt();
        this.protocolVersion = parcel.readInt();
        this.packageName = parcel.readString();
        this.extraData = parcel.readBundle();
        this.mapVendor = parcel.readInt();
    }
}
