package com.geely.lib.oneosapi.navi.model.base;

import android.os.Parcel;
import android.os.Parcelable;

public class PoiInfo implements Parcelable {
    public static final Parcelable.Creator<PoiInfo> CREATOR = new Parcelable.Creator<PoiInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.base.PoiInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public PoiInfo createFromParcel(Parcel parcel) {
            return new PoiInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public PoiInfo[] newArray(int i) {
            return new PoiInfo[i];
        }
    };
    private String address;
    private int distance;
    private LatLng latLng;
    private String name;
    private PoiType type;
    private String uid;

    public PoiInfo() {
    }

    public int describeContents() {
        return 0;
    }

    public String getAddress() {
        return this.address;
    }

    public int getDistance() {
        return this.distance;
    }

    public LatLng getLatLng() {
        return this.latLng;
    }

    public String getName() {
        return this.name;
    }

    public PoiType getType() {
        return this.type;
    }

    public String getUid() {
        return this.uid;
    }

    public PoiInfo setAddress(String str) {
        this.address = str;
        return this;
    }

    public PoiInfo setDistance(int i) {
        this.distance = i;
        return this;
    }

    public PoiInfo setLatLng(LatLng latLng2) {
        this.latLng = latLng2;
        return this;
    }

    public PoiInfo setName(String str) {
        this.name = str;
        return this;
    }

    public PoiInfo setType(PoiType poiType) {
        this.type = poiType;
        return this;
    }

    public PoiInfo setUid(String str) {
        this.uid = str;
        return this;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("PoiInfo{");
        sb.append("name='").append(this.name).append('\'');
        sb.append(", uid='").append(this.uid).append('\'');
        sb.append(", type=").append(this.type);
        sb.append(", address='").append(this.address).append('\'');
        sb.append(", distance=").append(this.distance);
        sb.append(", latLng=").append(this.latLng);
        sb.append('}');
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.name);
        parcel.writeString(this.uid);
        parcel.writeParcelable(this.type, i);
        parcel.writeString(this.address);
        parcel.writeInt(this.distance);
        parcel.writeParcelable(this.latLng, i);
    }

    public PoiInfo(Parcel parcel) {
        this.name = parcel.readString();
        this.uid = parcel.readString();
        this.type = (PoiType) parcel.readParcelable(PoiType.class.getClassLoader());
        this.address = parcel.readString();
        this.distance = parcel.readInt();
        this.latLng = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
    }
}
