package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class MapOperaViewMode extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<MapOperaViewMode> CREATOR = new Parcelable.Creator<MapOperaViewMode>() {
        /* class com.geely.lib.oneosapi.navi.model.client.MapOperaViewMode.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public MapOperaViewMode createFromParcel(Parcel parcel) {
            return new MapOperaViewMode(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public MapOperaViewMode[] newArray(int i) {
            return new MapOperaViewMode[i];
        }
    };
    public static final int MODE_2D_FRONT_UP = 0;
    public static final int MODE_2D_NORTHWARD = 1;
    public static final int MODE_3D_FRONT_UP = 2;
    public static final int MODE_LOOP_SWITCH = 3;
    private int viewMode;

    public MapOperaViewMode() {
        this(0);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getViewMode() {
        return this.viewMode;
    }

    public void setViewMode(int i) {
        this.viewMode = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("MapOperaViewMode{");
        sb.append("viewMode=").append(this.viewMode);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.viewMode);
    }

    public MapOperaViewMode(int i) {
        this.viewMode = i;
        setProtocolID(NaviProtocolID.MAP_OP_VIEW_MODE);
    }

    public MapOperaViewMode(Parcel parcel) {
        super(parcel);
        this.viewMode = parcel.readInt();
    }
}
