package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviEventConfig extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<NaviEventConfig> CREATOR = new Parcelable.Creator<NaviEventConfig>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviEventConfig.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviEventConfig createFromParcel(Parcel parcel) {
            return new NaviEventConfig(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviEventConfig[] newArray(int i) {
            return new NaviEventConfig[i];
        }
    };
    public static final int NAVI_GUIDE_EVENT_ON = 1;
    public static final int NAVI_LANES_EVENT_ON = 2;
    public static final int NAVI_ROAD_CONDITION_EVENT_ON = 8;
    public static final int NAVI_SPEED_LIMMITED_EVENT_ON = 4;
    private long highFrequencyEventConfig;

    public NaviEventConfig() {
        setProtocolID(NaviProtocolID.NTF_NAVI_EVENT_CONFIG);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public long getHighFrequencyEventConfig() {
        return this.highFrequencyEventConfig;
    }

    public void setHighFrequencyEventConfig(long j) {
        this.highFrequencyEventConfig = j;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviEventConfig{");
        sb.append("highFrequencyEventConfig=").append(this.highFrequencyEventConfig);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeLong(this.highFrequencyEventConfig);
    }

    public NaviEventConfig(Parcel parcel) {
        super(parcel);
        this.highFrequencyEventConfig = parcel.readLong();
    }
}
