package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class NaviPushMSGData extends NaviBaseModel {
    public static final Parcelable.Creator<NaviPushMSGData> CREATOR = new Parcelable.Creator<NaviPushMSGData>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviPushMSGData.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviPushMSGData createFromParcel(Parcel parcel) {
            return new NaviPushMSGData(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviPushMSGData[] newArray(int i) {
            return new NaviPushMSGData[i];
        }
    };
    public static final int PRIORITY_HIGH = 2;
    public static final int PRIORITY_LOW = 0;
    public static final int PRIORITY_MIDDLE = 1;
    private int countDownTime;
    private double poiLatitude;
    private double poiLongitude;
    private String poiName;
    private int priority;
    private String sender;
    private String subTitle;
    private String title;

    public NaviPushMSGData() {
        setProtocolID(NaviProtocolID.NAVI_PUSH_MESSAGE);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getCountDownTime() {
        return this.countDownTime;
    }

    public double getPoiLatitude() {
        return this.poiLatitude;
    }

    public double getPoiLongitude() {
        return this.poiLongitude;
    }

    public String getPoiName() {
        return this.poiName;
    }

    public int getPriority() {
        return this.priority;
    }

    public String getSender() {
        return this.sender;
    }

    public String getSubTitle() {
        return this.subTitle;
    }

    public String getTitle() {
        return this.title;
    }

    public NaviPushMSGData setCountDownTime(int i) {
        this.countDownTime = i;
        return this;
    }

    public NaviPushMSGData setPoiLatitude(double d) {
        this.poiLatitude = d;
        return this;
    }

    public NaviPushMSGData setPoiLongitude(double d) {
        this.poiLongitude = d;
        return this;
    }

    public NaviPushMSGData setPoiName(String str) {
        this.poiName = str;
        return this;
    }

    public NaviPushMSGData setPriority(int i) {
        this.priority = i;
        return this;
    }

    public NaviPushMSGData setSender(String str) {
        this.sender = str;
        return this;
    }

    public NaviPushMSGData setSubTitle(String str) {
        this.subTitle = str;
        return this;
    }

    public NaviPushMSGData setTitle(String str) {
        this.title = str;
        return this;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviPushMSGData{");
        sb.append("priority=").append(this.priority);
        sb.append(", priority='").append(this.priority).append('\'');
        sb.append(", countDownTime=").append(this.countDownTime);
        sb.append(", title='").append(this.title).append('\'');
        sb.append(", subTitle='").append(this.subTitle).append('\'');
        sb.append(", poiName='").append(this.poiName).append('\'');
        sb.append(", poiLatitude='").append(this.poiLatitude).append('\'');
        sb.append(", poiLongitude='").append(this.poiLongitude).append('\'');
        sb.append(", sender='").append(this.sender).append('\'');
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.priority);
        parcel.writeInt(this.countDownTime);
        parcel.writeString(this.title);
        parcel.writeString(this.subTitle);
        parcel.writeString(this.poiName);
        parcel.writeDouble(this.poiLatitude);
        parcel.writeDouble(this.poiLongitude);
        parcel.writeString(this.sender);
    }

    public NaviPushMSGData(Parcel parcel) {
        super(parcel);
        this.priority = parcel.readInt();
        this.countDownTime = parcel.readInt();
        this.title = parcel.readString();
        this.subTitle = parcel.readString();
        this.poiName = parcel.readString();
        this.poiLatitude = parcel.readDouble();
        this.poiLongitude = parcel.readDouble();
        this.sender = parcel.readString();
    }
}
