package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.LatLng;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

public class NaviSetCircleFence extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<NaviSetCircleFence> CREATOR = new Parcelable.Creator<NaviSetCircleFence>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviSetCircleFence.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviSetCircleFence createFromParcel(Parcel parcel) {
            return new NaviSetCircleFence(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviSetCircleFence[] newArray(int i) {
            return new NaviSetCircleFence[i];
        }
    };
    private int action;
    private LatLng latLng;
    private int radius;

    @Target({ElementType.FIELD, ElementType.METHOD, ElementType.PARAMETER})
    @Retention(RetentionPolicy.SOURCE)
    public @interface Actions {
        public static final int ADD = 0;
        public static final int CLEAR = 1;
    }

    public NaviSetCircleFence(int i) {
        this.action = i;
        setProtocolID(NaviProtocolID.NAVI_OP_SET_CIRCLE_FENCE);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public LatLng getLatLng() {
        return this.latLng;
    }

    public int getRadius() {
        return this.radius;
    }

    public void setAction(int i) {
        this.action = i;
    }

    public void setLatLng(LatLng latLng2) {
        this.latLng = latLng2;
    }

    public void setRadius(int i) {
        this.radius = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviSetCircleFence{");
        sb.append("action=").append(this.action);
        sb.append(", latLng=").append(this.latLng);
        sb.append(", radius=").append(this.radius);
        sb.append(",{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.action);
        parcel.writeParcelable(this.latLng, i);
        parcel.writeInt(this.radius);
    }

    public NaviSetCircleFence(Parcel parcel) {
        super(parcel);
        this.action = parcel.readInt();
        this.latLng = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
        this.radius = parcel.readInt();
    }
}
