package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;
import com.geely.lib.oneosapi.navi.model.base.PoiInfo;

public class NaviViaModify extends NaviBaseModel implements Parcelable {
    public static final int ACTION_ADD = 0;
    public static final int ACTION_REMOVE = 1;
    public static final int ACTION_REMOVE_ALL = -1;
    public static final Parcelable.Creator<NaviViaModify> CREATOR = new Parcelable.Creator<NaviViaModify>() {
        /* class com.geely.lib.oneosapi.navi.model.client.NaviViaModify.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public NaviViaModify createFromParcel(Parcel parcel) {
            return new NaviViaModify(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public NaviViaModify[] newArray(int i) {
            return new NaviViaModify[i];
        }
    };
    private int action;
    private int viaIndex;
    private PoiInfo viaPoi;

    public NaviViaModify(int i) {
        this.action = i;
        setProtocolID(NaviProtocolID.NAVI_OP_VIA_MODIFY);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public int getViaIndex() {
        return this.viaIndex;
    }

    public PoiInfo getViaPoi() {
        return this.viaPoi;
    }

    public void setViaIndex(int i) {
        this.viaIndex = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("NaviViaModify{");
        sb.append("action=").append(this.action);
        sb.append(", viaPoi=").append(this.viaPoi);
        sb.append(", viaIndex=").append(this.viaIndex);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.action);
        parcel.writeParcelable(this.viaPoi, i);
        parcel.writeInt(this.viaIndex);
    }

    public NaviViaModify(int i, PoiInfo poiInfo) {
        this.action = i;
        this.viaPoi = poiInfo;
        setProtocolID(NaviProtocolID.NAVI_OP_VIA_MODIFY);
    }

    public NaviViaModify(Parcel parcel) {
        super(parcel);
        this.action = parcel.readInt();
        this.viaPoi = (PoiInfo) parcel.readParcelable(PoiInfo.class.getClassLoader());
        this.viaIndex = parcel.readInt();
    }
}
