package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;
import com.geely.lib.oneosapi.navi.model.base.PoiTypeFilters;

public class RequestHistoryPois extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RequestHistoryPois> CREATOR = new Parcelable.Creator<RequestHistoryPois>() {
        /* class com.geely.lib.oneosapi.navi.model.client.RequestHistoryPois.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RequestHistoryPois createFromParcel(Parcel parcel) {
            return new RequestHistoryPois(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RequestHistoryPois[] newArray(int i) {
            return new RequestHistoryPois[i];
        }
    };
    private int maxCount = 30;
    private long poiTypeFilter = PoiTypeFilters.ALL;

    public RequestHistoryPois() {
        setProtocolID(NaviProtocolID.NAVI_OP_GET_HISTORY_POI);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getMaxCount() {
        return this.maxCount;
    }

    public long getPoiTypeFilter() {
        return this.poiTypeFilter;
    }

    public RequestHistoryPois setMaxCount(int i) {
        this.maxCount = i;
        return this;
    }

    public RequestHistoryPois setPoiTypeFilter(long j) {
        this.poiTypeFilter = j;
        return this;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RequestHistoryPois{");
        sb.append("poiTypeFilter=").append(this.poiTypeFilter);
        sb.append(", maxCount=").append(this.maxCount);
        sb.append("; {base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeLong(this.poiTypeFilter);
        parcel.writeInt(this.maxCount);
    }

    public RequestHistoryPois(Parcel parcel) {
        super(parcel);
        this.poiTypeFilter = parcel.readLong();
        this.maxCount = parcel.readInt();
    }
}
