package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.LatLng;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;
import com.geely.lib.oneosapi.navi.model.base.PoiType;

public class SearchAround extends NaviBaseModel implements Parcelable {
    public static final int ACTION_JUST_INFO = 0;
    public static final int ACTION_SHOW_IN_MAP = 1;
    public static final Parcelable.Creator<SearchAround> CREATOR = new Parcelable.Creator<SearchAround>() {
        /* class com.geely.lib.oneosapi.navi.model.client.SearchAround.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SearchAround createFromParcel(Parcel parcel) {
            return new SearchAround(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SearchAround[] newArray(int i) {
            return new SearchAround[i];
        }
    };
    public static final int SEARCH_TYPE_AROUND = 1;
    public static final int SEARCH_TYPE_KEYWORD = 0;
    private int action;
    private LatLng centerLatLng;
    private int keyWordType;
    private String keywords;
    private PoiType poiType;
    private int searchRadius = 3000;
    private int searchType;
    private int sortRule;

    public SearchAround() {
        setProtocolID(NaviProtocolID.SEARCH_AROUND);
        setProtocolVersion(10);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getAction() {
        return this.action;
    }

    public LatLng getCenterLatLng() {
        return this.centerLatLng;
    }

    public int getKeyWordType() {
        return this.keyWordType;
    }

    public String getKeywords() {
        return this.keywords;
    }

    public PoiType getPoiType() {
        return this.poiType;
    }

    public int getSearchRadius() {
        return this.searchRadius;
    }

    public int getSearchType() {
        return this.searchType;
    }

    public int getSortRule() {
        return this.sortRule;
    }

    public void setAction(int i) {
        this.action = i;
    }

    public void setCenterLatLng(LatLng latLng) {
        this.centerLatLng = latLng;
    }

    public void setKeyWordType(int i) {
        this.keyWordType = i;
    }

    public void setKeywords(String str) {
        this.keywords = str;
    }

    public void setPoiType(PoiType poiType2) {
        this.poiType = poiType2;
    }

    public void setSearchRadius(int i) {
        this.searchRadius = i;
    }

    public void setSearchType(int i) {
        this.searchType = i;
    }

    public void setSortRule(int i) {
        this.sortRule = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        return "SearchAround{searchType=" + this.searchType + ", keywords='" + this.keywords + '\'' + ", searchRadius=" + this.searchRadius + ", action=" + this.action + ", centerLatLng=" + this.centerLatLng + ", poiType=" + this.poiType + ", sortRule=" + this.sortRule + ", keyWordType=" + this.keyWordType + '}';
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.searchType);
        parcel.writeString(this.keywords);
        parcel.writeInt(this.searchRadius);
        if (getProtocolVersion() >= 10) {
            parcel.writeInt(this.action);
        }
        parcel.writeParcelable(this.centerLatLng, i);
        parcel.writeParcelable(this.poiType, i);
        parcel.writeInt(this.sortRule);
        parcel.writeInt(this.keyWordType);
    }

    public SearchAround(Parcel parcel) {
        super(parcel);
        this.searchType = parcel.readInt();
        this.keywords = parcel.readString();
        this.searchRadius = parcel.readInt();
        if (getProtocolVersion() >= 10) {
            this.action = parcel.readInt();
        }
        this.centerLatLng = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
        this.poiType = (PoiType) parcel.readParcelable(PoiType.class.getClassLoader());
        this.sortRule = parcel.readInt();
        this.keyWordType = parcel.readInt();
    }
}
