package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class SpeedLimitInfo extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<SpeedLimitInfo> CREATOR = new Parcelable.Creator<SpeedLimitInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.client.SpeedLimitInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SpeedLimitInfo createFromParcel(Parcel parcel) {
            return new SpeedLimitInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SpeedLimitInfo[] newArray(int i) {
            return new SpeedLimitInfo[i];
        }
    };
    public static final int ROAD_COUNTY = 3;
    public static final int ROAD_EXPRESS = 6;
    public static final int ROAD_HIGH_SPEED = 0;
    public static final int ROAD_NATION = 1;
    public static final int ROAD_NOMAL = 9;
    public static final int ROAD_NO_NAV = 10;
    public static final int ROAD_PRIMARY = 7;
    public static final int ROAD_PROV = 2;
    public static final int ROAD_SECONDARY = 8;
    public static final int ROAD_TOWN = 4;
    public static final int ROAD_VILLAGE = 5;
    private ElecLimitingInfo elecLimitingInfo;
    private JctWayInfo jctWayInfo;
    private RoadInfo roadInfo;

    public static class ElecLimitingInfo implements Parcelable, Cloneable {
        public static final Parcelable.Creator<ElecLimitingInfo> CREATOR = new Parcelable.Creator<ElecLimitingInfo>() {
            /* class com.geely.lib.oneosapi.navi.model.client.SpeedLimitInfo.ElecLimitingInfo.AnonymousClass1 */

            @Override // android.os.Parcelable.Creator
            public ElecLimitingInfo createFromParcel(Parcel parcel) {
                return new ElecLimitingInfo(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public ElecLimitingInfo[] newArray(int i) {
                return new ElecLimitingInfo[i];
            }
        };
        private int dist;
        private double latitude;
        private double longitude;
        private int speed;

        public ElecLimitingInfo(double d, double d2, int i, int i2) {
            this.latitude = d;
            this.longitude = d2;
            this.dist = i;
            this.speed = i2;
        }

        public int describeContents() {
            return 0;
        }

        public int getDist() {
            return this.dist;
        }

        public double getLat() {
            return this.latitude;
        }

        public double getLong() {
            return this.longitude;
        }

        public double getLongitude() {
            return this.longitude;
        }

        public int getSpeed() {
            return this.speed;
        }

        public String toString() {
            StringBuilder sb = new StringBuilder("ElecLimitingInfo{");
            sb.append("latitude=").append(this.latitude);
            sb.append(", longitude=").append(this.longitude);
            sb.append(", speed=").append(this.speed);
            sb.append(", dist='").append(this.dist).append('\'');
            sb.append('}');
            return sb.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeDouble(this.latitude);
            parcel.writeDouble(this.longitude);
            parcel.writeInt(this.dist);
            parcel.writeInt(this.speed);
        }

        @Override // java.lang.Object
        public ElecLimitingInfo clone() {
            try {
                return (ElecLimitingInfo) super.clone();
            } catch (CloneNotSupportedException unused) {
                return new ElecLimitingInfo(0.0d, 0.0d, 0, 0);
            }
        }

        public ElecLimitingInfo(Parcel parcel) {
            this.latitude = parcel.readDouble();
            this.longitude = parcel.readDouble();
            this.dist = parcel.readInt();
            this.speed = parcel.readInt();
        }
    }

    public static class JctWayInfo implements Parcelable, Cloneable {
        public static final Parcelable.Creator<JctWayInfo> CREATOR = new Parcelable.Creator<JctWayInfo>() {
            /* class com.geely.lib.oneosapi.navi.model.client.SpeedLimitInfo.JctWayInfo.AnonymousClass1 */

            @Override // android.os.Parcelable.Creator
            public JctWayInfo createFromParcel(Parcel parcel) {
                return new JctWayInfo(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public JctWayInfo[] newArray(int i) {
                return new JctWayInfo[i];
            }
        };
        private int dist;
        private double latitude;
        private double longitude;

        public JctWayInfo(double d, double d2, int i) {
            this.latitude = d;
            this.longitude = d2;
            this.dist = i;
        }

        public int describeContents() {
            return 0;
        }

        public int getDist() {
            return this.dist;
        }

        public double getLat() {
            return this.latitude;
        }

        public double getLong() {
            return this.longitude;
        }

        public double getLongitude() {
            return this.longitude;
        }

        public String toString() {
            StringBuilder sb = new StringBuilder("JctWayInfo{");
            sb.append("latitude=").append(this.latitude);
            sb.append(", longitude=").append(this.longitude);
            sb.append(", dist='").append(this.dist).append('\'');
            sb.append('}');
            return sb.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeDouble(this.latitude);
            parcel.writeDouble(this.longitude);
            parcel.writeInt(this.dist);
        }

        @Override // java.lang.Object
        public JctWayInfo clone() {
            try {
                return (JctWayInfo) super.clone();
            } catch (CloneNotSupportedException unused) {
                return new JctWayInfo(0.0d, 0.0d, 0);
            }
        }

        public JctWayInfo(Parcel parcel) {
            this.latitude = parcel.readDouble();
            this.longitude = parcel.readDouble();
            this.dist = parcel.readInt();
        }
    }

    public static class RoadInfo implements Parcelable, Cloneable {
        public static final Parcelable.Creator<RoadInfo> CREATOR = new Parcelable.Creator<RoadInfo>() {
            /* class com.geely.lib.oneosapi.navi.model.client.SpeedLimitInfo.RoadInfo.AnonymousClass1 */

            @Override // android.os.Parcelable.Creator
            public RoadInfo createFromParcel(Parcel parcel) {
                return new RoadInfo(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public RoadInfo[] newArray(int i) {
                return new RoadInfo[i];
            }
        };
        private int roadType;
        private String roadname;

        public RoadInfo(String str, int i) {
            this.roadname = str;
            this.roadType = i;
        }

        public int describeContents() {
            return 0;
        }

        public int getRoadType() {
            return this.roadType;
        }

        public String getRoadname() {
            return this.roadname;
        }

        public String toString() {
            StringBuilder sb = new StringBuilder("RoadInfo{");
            sb.append("roadname=").append(this.roadname);
            sb.append(", roadType='").append(this.roadType).append('\'');
            sb.append('}');
            return sb.toString();
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeString(this.roadname);
            parcel.writeInt(this.roadType);
        }

        @Override // java.lang.Object
        public RoadInfo clone() {
            try {
                return (RoadInfo) super.clone();
            } catch (CloneNotSupportedException unused) {
                return new RoadInfo("", 0);
            }
        }

        public RoadInfo(Parcel parcel) {
            this.roadname = parcel.readString();
            this.roadType = parcel.readInt();
        }
    }

    public SpeedLimitInfo() {
        setProtocolID(NaviProtocolID.SPEED_LIMIT_INFO);
    }

    public ElecLimitingInfo getElecLimitingInfo() {
        return this.elecLimitingInfo;
    }

    public JctWayInfo getJctWayInfo() {
        return this.jctWayInfo;
    }

    public RoadInfo getRoadInfo() {
        return this.roadInfo;
    }

    public void setElecLimitingInfo(ElecLimitingInfo elecLimitingInfo2) {
        this.elecLimitingInfo = elecLimitingInfo2;
    }

    public void setJctWayInfo(JctWayInfo jctWayInfo2) {
        this.jctWayInfo = jctWayInfo2;
    }

    public void setRoadInfo(RoadInfo roadInfo2) {
        this.roadInfo = roadInfo2;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        StringBuilder sb = new StringBuilder("SpeedLimitInfo{");
        StringBuilder append = sb.append("elecLimitingInfo=");
        ElecLimitingInfo elecLimitingInfo2 = this.elecLimitingInfo;
        String str = "";
        append.append(elecLimitingInfo2 == null ? str : elecLimitingInfo2.toString());
        StringBuilder append2 = sb.append(", jctWayInfo='");
        JctWayInfo jctWayInfo2 = this.jctWayInfo;
        append2.append(jctWayInfo2 == null ? str : jctWayInfo2.toString());
        StringBuilder append3 = sb.append(", roadInfo='");
        RoadInfo roadInfo2 = this.roadInfo;
        if (roadInfo2 != null) {
            str = roadInfo2.toString();
        }
        append3.append(str);
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.elecLimitingInfo, i);
        parcel.writeParcelable(this.jctWayInfo, i);
        parcel.writeParcelable(this.roadInfo, i);
    }

    public SpeedLimitInfo(Parcel parcel) {
        super(parcel);
        this.elecLimitingInfo = (ElecLimitingInfo) parcel.readParcelable(ElecLimitingInfo.class.getClassLoader());
        this.jctWayInfo = (JctWayInfo) parcel.readParcelable(JctWayInfo.class.getClassLoader());
        this.roadInfo = (RoadInfo) parcel.readParcelable(RoadInfo.class.getClassLoader());
    }
}
