package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class SwitchMapPresentation extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<SwitchMapPresentation> CREATOR = new Parcelable.Creator<SwitchMapPresentation>() {
        /* class com.geely.lib.oneosapi.navi.model.client.SwitchMapPresentation.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SwitchMapPresentation createFromParcel(Parcel parcel) {
            return new SwitchMapPresentation(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public SwitchMapPresentation[] newArray(int i) {
            return new SwitchMapPresentation[i];
        }
    };
    private int operateType;
    private int screenMode;
    private int screenWindow;

    public SwitchMapPresentation() {
        setProtocolID(NaviProtocolID.NAVI_OP_SWITCH_MAP_PRESENTATION);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getOperateType() {
        return this.operateType;
    }

    public int getScreenMode() {
        return this.screenMode;
    }

    public int getScreenWindow() {
        return this.screenWindow;
    }

    public void setOperateType(int i) {
        this.operateType = i;
    }

    public void setScreenMode(int i) {
        this.screenMode = i;
    }

    public void setScreenWindow(int i) {
        this.screenWindow = i;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        super.toString();
        return "SwitchMapPresentation{operateType=" + this.operateType + ", screenMode=" + this.screenMode + ", screenWindow=" + this.screenWindow + '}';
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.operateType);
        parcel.writeInt(this.screenMode);
        parcel.writeInt(this.screenWindow);
    }

    public SwitchMapPresentation(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
        setProtocolID(NaviProtocolID.NAVI_OP_SWITCH_MAP_PRESENTATION);
    }

    public SwitchMapPresentation(Parcel parcel) {
        super(parcel);
        this.operateType = parcel.readInt();
        this.screenMode = parcel.readInt();
        this.screenWindow = parcel.readInt();
    }
}
