package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.LatLng;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class UserFavoritePoiEdit extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<UserFavoritePoiEdit> CREATOR = new Parcelable.Creator<UserFavoritePoiEdit>() {
        /* class com.geely.lib.oneosapi.navi.model.client.UserFavoritePoiEdit.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public UserFavoritePoiEdit createFromParcel(Parcel parcel) {
            return new UserFavoritePoiEdit(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public UserFavoritePoiEdit[] newArray(int i) {
            return new UserFavoritePoiEdit[i];
        }
    };
    public static final int FAVORITE_TYPE_COMPANY = 2;
    public static final int FAVORITE_TYPE_HOME = 1;
    public static final int FAVORITE_TYPE_NORMAL = 0;
    private String address;
    private int favoriteType;
    private LatLng latLng;
    private String poiName;

    public UserFavoritePoiEdit(int i) {
        this.favoriteType = i;
        setProtocolID(NaviProtocolID.USER_FAVORITE_EDIT);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public String getAddress() {
        return this.address;
    }

    public int getFavoriteType() {
        return this.favoriteType;
    }

    public LatLng getLatLng() {
        return this.latLng;
    }

    public String getPoiName() {
        return this.poiName;
    }

    public void setAddress(String str) {
        this.address = str;
    }

    public void setLatLng(LatLng latLng2) {
        this.latLng = latLng2;
    }

    public void setPoiName(String str) {
        this.poiName = str;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("UserFavoritePoiEdit{");
        sb.append("favoriteType=").append(this.favoriteType);
        sb.append(", poiName='").append(this.poiName).append('\'');
        sb.append(", latLng=").append(this.latLng);
        sb.append(", address='").append(this.address).append('\'');
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.favoriteType);
        parcel.writeString(this.poiName);
        parcel.writeParcelable(this.latLng, i);
        parcel.writeString(this.address);
    }

    public UserFavoritePoiEdit(Parcel parcel) {
        super(parcel);
        this.favoriteType = parcel.readInt();
        this.poiName = parcel.readString();
        this.latLng = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
        this.address = parcel.readString();
    }
}
