package com.geely.lib.oneosapi.navi.model.client;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;

public class UserGetFavoritePois extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<UserGetFavoritePois> CREATOR = new Parcelable.Creator<UserGetFavoritePois>() {
        /* class com.geely.lib.oneosapi.navi.model.client.UserGetFavoritePois.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public UserGetFavoritePois createFromParcel(Parcel parcel) {
            return new UserGetFavoritePois(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public UserGetFavoritePois[] newArray(int i) {
            return new UserGetFavoritePois[i];
        }
    };
    public static final int FAVORITE_TYPE_ALL = 3;
    public static final int FAVORITE_TYPE_COMPANY = 2;
    public static final int FAVORITE_TYPE_HOME = 1;
    public static final int FAVORITE_TYPE_HOME_AND_COMPANY = 4;
    public static final int FAVORITE_TYPE_NORMAL = 0;
    private int favoriteType;

    public UserGetFavoritePois(int i) {
        this.favoriteType = i;
        setProtocolID(NaviProtocolID.USER_GET_FAVORITE_INFO);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public int getFavoriteType() {
        return this.favoriteType;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("UserGetFavoritePois{");
        sb.append("favoriteType=").append(this.favoriteType);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.favoriteType);
    }

    public UserGetFavoritePois(Parcel parcel) {
        super(parcel);
        this.favoriteType = parcel.readInt();
    }
}
