package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import java.util.ArrayList;
import java.util.List;

public class RouteInfo implements Parcelable {
    public static final Parcelable.Creator<RouteInfo> CREATOR = new Parcelable.Creator<RouteInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RouteInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RouteInfo createFromParcel(Parcel parcel) {
            return new RouteInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RouteInfo[] newArray(int i) {
            return new RouteInfo[i];
        }
    };
    private double distance;
    private String distanceAuto = "";
    private String routeTag;
    private int strategy;
    private double time;
    private String timeAuto = "";
    private int tolls;
    private List<TrafficInfo> trafficInfos = new ArrayList();
    private int trafficLights;

    public RouteInfo() {
    }

    public int describeContents() {
        return 0;
    }

    public double getDistance() {
        return this.distance;
    }

    public String getDistanceAuto() {
        return this.distanceAuto;
    }

    public String getRouteTag() {
        return this.routeTag;
    }

    public int getStrategy() {
        return this.strategy;
    }

    public double getTime() {
        return this.time;
    }

    public String getTimeAuto() {
        return this.timeAuto;
    }

    public int getTolls() {
        return this.tolls;
    }

    public List<TrafficInfo> getTrafficInfos() {
        return this.trafficInfos;
    }

    public int getTrafficLights() {
        return this.trafficLights;
    }

    public void setDistance(double d) {
        this.distance = d;
    }

    public void setDistanceAuto(String str) {
        this.distanceAuto = str;
    }

    public void setRouteTag(String str) {
        this.routeTag = str;
    }

    public void setStrategy(int i) {
        this.strategy = i;
    }

    public void setTime(double d) {
        this.time = d;
    }

    public void setTimeAuto(String str) {
        this.timeAuto = str;
    }

    public void setTolls(int i) {
        this.tolls = i;
    }

    public void setTrafficInfos(List<TrafficInfo> list) {
        this.trafficInfos = list;
    }

    public void setTrafficLights(int i) {
        this.trafficLights = i;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("RouteInfo{");
        sb.append("routeTag='").append(this.routeTag).append('\'');
        sb.append(", strategy=").append(this.strategy);
        sb.append(", time=").append(this.time);
        sb.append(", distance=").append(this.distance);
        sb.append(", timeAuto='").append(this.timeAuto).append('\'');
        sb.append(", distanceAuto='").append(this.distanceAuto).append('\'');
        sb.append(", trafficLights=").append(this.trafficLights);
        sb.append(", tolls=").append(this.tolls);
        sb.append(", trafficInfos=").append(this.trafficInfos);
        sb.append('}');
        return sb.toString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(this.routeTag);
        parcel.writeInt(this.strategy);
        parcel.writeDouble(this.time);
        parcel.writeDouble(this.distance);
        parcel.writeString(this.timeAuto);
        parcel.writeString(this.distanceAuto);
        parcel.writeInt(this.trafficLights);
        parcel.writeInt(this.tolls);
        parcel.writeList(this.trafficInfos);
    }

    public RouteInfo(Parcel parcel) {
        this.routeTag = parcel.readString();
        this.strategy = parcel.readInt();
        this.time = parcel.readDouble();
        this.distance = parcel.readDouble();
        this.timeAuto = parcel.readString();
        this.distanceAuto = parcel.readString();
        this.trafficLights = parcel.readInt();
        this.tolls = parcel.readInt();
        ArrayList arrayList = new ArrayList();
        this.trafficInfos = arrayList;
        parcel.readList(arrayList, TrafficInfo.class.getClassLoader());
    }
}
