package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.PoiInfo;
import java.util.ArrayList;
import java.util.List;

public class RspCurrentRoute extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspCurrentRoute> CREATOR = new Parcelable.Creator<RspCurrentRoute>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspCurrentRoute.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspCurrentRoute createFromParcel(Parcel parcel) {
            return new RspCurrentRoute(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspCurrentRoute[] newArray(int i) {
            return new RspCurrentRoute[i];
        }
    };
    private PoiInfo endPoi;
    private RouteInfo routeInfo;
    private PoiInfo startPoi;
    private List<PoiInfo> viaPois;

    public RspCurrentRoute(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public PoiInfo getEndPoi() {
        return this.endPoi;
    }

    public RouteInfo getRouteInfo() {
        return this.routeInfo;
    }

    public PoiInfo getStartPoi() {
        return this.startPoi;
    }

    public List<PoiInfo> getViaPois() {
        return this.viaPois;
    }

    public void setEndPoi(PoiInfo poiInfo) {
        this.endPoi = poiInfo;
    }

    public void setRouteInfo(RouteInfo routeInfo2) {
        this.routeInfo = routeInfo2;
    }

    public void setStartPoi(PoiInfo poiInfo) {
        this.startPoi = poiInfo;
    }

    public void setViaPois(List<PoiInfo> list) {
        this.viaPois = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspCurrentRoute{");
        sb.append("routeInfo=").append(this.routeInfo);
        sb.append(", startPoi=").append(this.startPoi);
        sb.append(", endPoi=").append(this.endPoi);
        sb.append(", viaPois=").append(this.viaPois);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.routeInfo, i);
        parcel.writeParcelable(this.startPoi, i);
        parcel.writeParcelable(this.endPoi, i);
        parcel.writeList(this.viaPois);
    }

    public RspCurrentRoute(Parcel parcel) {
        super(parcel);
        this.routeInfo = (RouteInfo) parcel.readParcelable(RouteInfo.class.getClassLoader());
        this.startPoi = (PoiInfo) parcel.readParcelable(PoiInfo.class.getClassLoader());
        this.endPoi = (PoiInfo) parcel.readParcelable(PoiInfo.class.getClassLoader());
        ArrayList arrayList = new ArrayList();
        this.viaPois = arrayList;
        parcel.readList(arrayList, RspCurrentRoute.class.getClassLoader());
    }
}
