package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.LaneInfo;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import java.util.ArrayList;
import java.util.List;

public class RspLanesInfo extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspLanesInfo> CREATOR = new Parcelable.Creator<RspLanesInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspLanesInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspLanesInfo createFromParcel(Parcel parcel) {
            return new RspLanesInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspLanesInfo[] newArray(int i) {
            return new RspLanesInfo[i];
        }
    };
    public boolean bLanesEnable;
    private List<LaneInfo> laneInfos = new ArrayList();

    public RspLanesInfo(Parcel parcel) {
        super(parcel);
        this.bLanesEnable = parcel.readByte() != 0;
        this.laneInfos = parcel.createTypedArrayList(LaneInfo.CREATOR);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public List<LaneInfo> getLaneInfos() {
        return this.laneInfos;
    }

    public boolean isLanesEnable() {
        return this.bLanesEnable;
    }

    public void setLaneInfos(List<LaneInfo> list) {
        this.laneInfos = list;
    }

    public void setLanesEnable(boolean z) {
        this.bLanesEnable = z;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspLanesInfo{");
        sb.append("bLanesEnable=").append(this.bLanesEnable);
        sb.append(", laneInfos=").append(this.laneInfos);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeByte(this.bLanesEnable ? (byte) 1 : 0);
        parcel.writeTypedList(this.laneInfos);
    }

    public RspLanesInfo(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }
}
