package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspLocation extends NaviBaseModel implements Parcelable, Cloneable {
    public static final Parcelable.Creator<RspLocation> CREATOR = new Parcelable.Creator<RspLocation>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspLocation.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspLocation createFromParcel(Parcel parcel) {
            return new RspLocation(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspLocation[] newArray(int i) {
            return new RspLocation[i];
        }
    };
    private LocationInfo locationInfo;

    public RspLocation(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public LocationInfo getLocationInfo() {
        return this.locationInfo;
    }

    public void setLocationInfo(LocationInfo locationInfo2) {
        this.locationInfo = locationInfo2;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspLocation{");
        sb.append("locationInfo=").append(this.locationInfo);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.locationInfo, i);
    }

    public RspLocation(Parcel parcel) {
        super(parcel);
        this.locationInfo = (LocationInfo) parcel.readParcelable(LocationInfo.class.getClassLoader());
    }

    @Override // java.lang.Object, com.geely.lib.oneosapi.navi.model.base.NaviBaseModel, com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public RspLocation clone() {
        RspLocation rspLocation = (RspLocation) super.clone();
        LocationInfo locationInfo2 = this.locationInfo;
        if (locationInfo2 != null) {
            rspLocation.locationInfo = locationInfo2.clone();
        }
        return rspLocation;
    }
}
