package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;

public class RspNaviStatus extends NaviBaseModel implements Parcelable, Cloneable {
    public static final Parcelable.Creator<RspNaviStatus> CREATOR = new Parcelable.Creator<RspNaviStatus>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspNaviStatus.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspNaviStatus createFromParcel(Parcel parcel) {
            return new RspNaviStatus(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspNaviStatus[] newArray(int i) {
            return new RspNaviStatus[i];
        }
    };
    private NaviStatus naviStatus;

    public RspNaviStatus(Parcel parcel) {
        super(parcel);
        this.naviStatus = (NaviStatus) parcel.readParcelable(NaviStatus.class.getClassLoader());
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public NaviStatus getNaviStatus() {
        return this.naviStatus;
    }

    public void setNaviStatus(NaviStatus naviStatus2) {
        this.naviStatus = naviStatus2;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspNaviStatus{");
        sb.append("naviStatus=").append(this.naviStatus);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.naviStatus, i);
    }

    public RspNaviStatus(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }

    @Override // java.lang.Object, com.geely.lib.oneosapi.navi.model.base.NaviBaseModel, com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public RspNaviStatus clone() {
        RspNaviStatus rspNaviStatus = (RspNaviStatus) super.clone();
        NaviStatus naviStatus2 = this.naviStatus;
        if (naviStatus2 != null) {
            rspNaviStatus.naviStatus = naviStatus2.clone();
        }
        return rspNaviStatus;
    }
}
