package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.SearchPoi;
import com.geely.lib.oneosapi.navi.model.base.SuggestionCity;
import java.util.List;

public class RspPoiSearchResult extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspPoiSearchResult> CREATOR = new Parcelable.Creator<RspPoiSearchResult>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspPoiSearchResult.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspPoiSearchResult createFromParcel(Parcel parcel) {
            return new RspPoiSearchResult(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspPoiSearchResult[] newArray(int i) {
            return new RspPoiSearchResult[i];
        }
    };
    public List<SearchPoi> mPOIList;
    public List<SuggestionCity> mSuggestCities;

    public RspPoiSearchResult(Parcel parcel) {
        super(parcel);
        this.mSuggestCities = parcel.createTypedArrayList(SuggestionCity.CREATOR);
        this.mPOIList = parcel.createTypedArrayList(SearchPoi.CREATOR);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public List<SearchPoi> getPOIList() {
        return this.mPOIList;
    }

    public List<SuggestionCity> getSuggestCities() {
        return this.mSuggestCities;
    }

    public void setPOIList(List<SearchPoi> list) {
        this.mPOIList = list;
    }

    public void setSuggestCities(List<SuggestionCity> list) {
        this.mSuggestCities = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspPoiSearchResult{");
        sb.append("mSuggestCities=").append(this.mSuggestCities);
        sb.append("mPOIList=").append(this.mPOIList);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeTypedList(this.mSuggestCities);
        parcel.writeTypedList(this.mPOIList);
    }

    public RspPoiSearchResult(NaviBaseModel naviBaseModel) {
        copyBaseInfo(naviBaseModel);
    }
}
