package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import com.geely.lib.oneosapi.navi.model.base.NaviProtocolID;
import com.geely.lib.oneosapi.navi.model.base.PoiInfo;

public class RspSearchLastDeparture extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspSearchLastDeparture> CREATOR = new Parcelable.Creator<RspSearchLastDeparture>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspSearchLastDeparture.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspSearchLastDeparture createFromParcel(Parcel parcel) {
            return new RspSearchLastDeparture(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspSearchLastDeparture[] newArray(int i) {
            return new RspSearchLastDeparture[i];
        }
    };
    private PoiInfo poiInfo;

    public RspSearchLastDeparture(PoiInfo poiInfo2) {
        this.poiInfo = poiInfo2;
        setProtocolID(NaviProtocolID.SEARCH_LAST_DEPARTURE);
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return 0;
    }

    public PoiInfo getPoiInfo() {
        return this.poiInfo;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("SearchLastDeparture{");
        sb.append("poiName=").append(this.poiInfo.getName());
        sb.append(", LatLng=").append(this.poiInfo.getLatLng());
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeParcelable(this.poiInfo, i);
    }

    public RspSearchLastDeparture(Parcel parcel) {
        super(parcel);
        this.poiInfo = (PoiInfo) parcel.readParcelable(PoiInfo.class.getClassLoader());
    }
}
