package com.geely.lib.oneosapi.navi.model.service;

import android.os.Parcel;
import android.os.Parcelable;
import com.geely.lib.oneosapi.navi.ipc.ITrafficSegInfoBean;
import com.geely.lib.oneosapi.navi.model.base.NaviBaseModel;
import java.util.ArrayList;
import java.util.List;

public class RspTrafficConditionInfo extends NaviBaseModel implements Parcelable {
    public static final Parcelable.Creator<RspTrafficConditionInfo> CREATOR = new Parcelable.Creator<RspTrafficConditionInfo>() {
        /* class com.geely.lib.oneosapi.navi.model.service.RspTrafficConditionInfo.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public RspTrafficConditionInfo createFromParcel(Parcel parcel) {
            return new RspTrafficConditionInfo(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public RspTrafficConditionInfo[] newArray(int i) {
            return new RspTrafficConditionInfo[i];
        }
    };
    private int remainDistance;
    private int remainTime;
    private int totalDistance;
    private int totalTime;
    private List<ITrafficSegInfoBean> trafficSegInfos = new ArrayList();

    public RspTrafficConditionInfo() {
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public int describeContents() {
        return super.describeContents();
    }

    public int getRemainDistance() {
        return this.remainDistance;
    }

    public int getRemainTime() {
        return this.remainTime;
    }

    public int getTotalDistance() {
        return this.totalDistance;
    }

    public int getTotalTime() {
        return this.totalTime;
    }

    public List<ITrafficSegInfoBean> getTrafficSegInfos() {
        return this.trafficSegInfos;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void readFromParcel(Parcel parcel) {
        super.readFromParcel(parcel);
        this.totalDistance = parcel.readInt();
        this.remainDistance = parcel.readInt();
        this.totalTime = parcel.readInt();
        this.remainTime = parcel.readInt();
        this.trafficSegInfos = parcel.createTypedArrayList(ITrafficSegInfoBean.CREATOR);
    }

    public void setRemainDistance(int i) {
        this.remainDistance = i;
    }

    public void setRemainTime(int i) {
        this.remainTime = i;
    }

    public void setTotalDistance(int i) {
        this.totalDistance = i;
    }

    public void setTotalTime(int i) {
        this.totalTime = i;
    }

    public void setTrafficSegInfos(List<ITrafficSegInfoBean> list) {
        this.trafficSegInfos = list;
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public String toString() {
        StringBuilder sb = new StringBuilder("RspCurrPageHotWord{");
        sb.append("getTotalDistance=").append(this.totalDistance);
        sb.append("getRemainDistance=").append(this.remainDistance);
        sb.append("getTotalTime=").append(this.totalTime);
        sb.append("getRemainTime=").append(this.remainTime);
        sb.append("{base=").append(super.toString()).append("}; ");
        sb.append('}');
        return sb.toString();
    }

    @Override // com.geely.lib.oneosapi.navi.model.base.NaviBaseModel
    public void writeToParcel(Parcel parcel, int i) {
        super.writeToParcel(parcel, i);
        parcel.writeInt(this.totalDistance);
        parcel.writeInt(this.remainDistance);
        parcel.writeInt(this.totalTime);
        parcel.writeInt(this.remainTime);
        parcel.writeTypedList(this.trafficSegInfos);
    }

    public RspTrafficConditionInfo(Parcel parcel) {
        super(parcel);
        this.totalDistance = parcel.readInt();
        this.remainDistance = parcel.readInt();
        this.totalTime = parcel.readInt();
        this.remainTime = parcel.readInt();
        this.trafficSegInfos = parcel.createTypedArrayList(ITrafficSegInfoBean.CREATOR);
    }
}
