package com.geely.lib.oneosapi.ota;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IOtaService extends IInterface {

    public static class Default implements IOtaService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.ota.IOtaService
        public String getCurrentCarVersionName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.ota.IOtaService
        public String getUpgradeVersionName() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IOtaService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.ota.IOtaService";
        public static final int TRANSACTION_getCurrentCarVersionName = 2;
        public static final int TRANSACTION_getUpgradeVersionName = 1;

        public static class Proxy implements IOtaService {
            public static IOtaService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.ota.IOtaService
            public String getCurrentCarVersionName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentCarVersionName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.ota.IOtaService
            public String getUpgradeVersionName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUpgradeVersionName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IOtaService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IOtaService)) {
                return new Proxy(iBinder);
            }
            return (IOtaService) queryLocalInterface;
        }

        public static IOtaService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IOtaService iOtaService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iOtaService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iOtaService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String upgradeVersionName = getUpgradeVersionName();
                parcel2.writeNoException();
                parcel2.writeString(upgradeVersionName);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String currentCarVersionName = getCurrentCarVersionName();
                parcel2.writeNoException();
                parcel2.writeString(currentCarVersionName);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    String getCurrentCarVersionName() throws RemoteException;

    String getUpgradeVersionName() throws RemoteException;
}
