package com.geely.lib.oneosapi.payment;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IPaymentCallback extends IInterface {

    public static class Default implements IPaymentCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.payment.IPaymentCallback
        public void isPaySuccessCallback(int i, String str) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IPaymentCallback {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.payment.IPaymentCallback";
        public static final int TRANSACTION_isPaySuccessCallback = 1;

        public static class Proxy implements IPaymentCallback {
            public static IPaymentCallback sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.payment.IPaymentCallback
            public void isPaySuccessCallback(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().isPaySuccessCallback(i, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IPaymentCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IPaymentCallback)) {
                return new Proxy(iBinder);
            }
            return (IPaymentCallback) queryLocalInterface;
        }

        public static IPaymentCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IPaymentCallback iPaymentCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iPaymentCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iPaymentCallback;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                isPaySuccessCallback(parcel.readInt(), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void isPaySuccessCallback(int i, String str) throws RemoteException;
}
