package com.geely.lib.oneosapi.payment;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.payment.IPaymentCallback;

public interface IPaymentService extends IInterface {

    public static class Default implements IPaymentService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.payment.IPaymentService
        public void isPaySuccessCallback(int i, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.payment.IPaymentService
        public void startPayment(OrderRenderParam orderRenderParam, IPaymentCallback iPaymentCallback) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IPaymentService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.payment.IPaymentService";
        public static final int TRANSACTION_isPaySuccessCallback = 2;
        public static final int TRANSACTION_startPayment = 1;

        public static class Proxy implements IPaymentService {
            public static IPaymentService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.payment.IPaymentService
            public void isPaySuccessCallback(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().isPaySuccessCallback(i, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.payment.IPaymentService
            public void startPayment(OrderRenderParam orderRenderParam, IPaymentCallback iPaymentCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (orderRenderParam != null) {
                        obtain.writeInt(1);
                        orderRenderParam.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    obtain.writeStrongBinder(iPaymentCallback != null ? iPaymentCallback.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().startPayment(orderRenderParam, iPaymentCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IPaymentService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IPaymentService)) {
                return new Proxy(iBinder);
            }
            return (IPaymentService) queryLocalInterface;
        }

        public static IPaymentService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IPaymentService iPaymentService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iPaymentService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iPaymentService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                startPayment(parcel.readInt() != 0 ? OrderRenderParam.CREATOR.createFromParcel(parcel) : null, IPaymentCallback.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                isPaySuccessCallback(parcel.readInt(), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void isPaySuccessCallback(int i, String str) throws RemoteException;

    void startPayment(OrderRenderParam orderRenderParam, IPaymentCallback iPaymentCallback) throws RemoteException;
}
