package com.geely.lib.oneosapi.phone.inter;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.phone.telecom.GlyCallItem;

public interface IBluetoothServicesListener extends IInterface {

    public static class Default implements IBluetoothServicesListener {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener
        public void onCallAdded(GlyCallItem glyCallItem) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener
        public void onCallAddedOther(GlyCallItem glyCallItem, GlyCallItem glyCallItem2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener
        public void onCallViewStateChange(int i) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IBluetoothServicesListener {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener";
        public static final int TRANSACTION_onCallAdded = 1;
        public static final int TRANSACTION_onCallAddedOther = 3;
        public static final int TRANSACTION_onCallViewStateChange = 2;

        public static class Proxy implements IBluetoothServicesListener {
            public static IBluetoothServicesListener sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener
            public void onCallAdded(GlyCallItem glyCallItem) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (glyCallItem != null) {
                        obtain.writeInt(1);
                        glyCallItem.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            glyCallItem.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onCallAdded(glyCallItem);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener
            public void onCallAddedOther(GlyCallItem glyCallItem, GlyCallItem glyCallItem2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (glyCallItem != null) {
                        obtain.writeInt(1);
                        glyCallItem.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (glyCallItem2 != null) {
                        obtain.writeInt(1);
                        glyCallItem2.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        if (obtain2.readInt() != 0) {
                            glyCallItem.readFromParcel(obtain2);
                        }
                        if (obtain2.readInt() != 0) {
                            glyCallItem2.readFromParcel(obtain2);
                        }
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onCallAddedOther(glyCallItem, glyCallItem2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.phone.inter.IBluetoothServicesListener
            public void onCallViewStateChange(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onCallViewStateChange(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IBluetoothServicesListener asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IBluetoothServicesListener)) {
                return new Proxy(iBinder);
            }
            return (IBluetoothServicesListener) queryLocalInterface;
        }

        public static IBluetoothServicesListener getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IBluetoothServicesListener iBluetoothServicesListener) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iBluetoothServicesListener == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iBluetoothServicesListener;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            GlyCallItem glyCallItem = null;
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                if (parcel.readInt() != 0) {
                    glyCallItem = GlyCallItem.CREATOR.createFromParcel(parcel);
                }
                onCallAdded(glyCallItem);
                parcel2.writeNoException();
                if (glyCallItem != null) {
                    parcel2.writeInt(1);
                    glyCallItem.writeToParcel(parcel2, 1);
                } else {
                    parcel2.writeInt(0);
                }
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                onCallViewStateChange(parcel.readInt());
                parcel2.writeNoException();
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                GlyCallItem createFromParcel = parcel.readInt() != 0 ? GlyCallItem.CREATOR.createFromParcel(parcel) : null;
                if (parcel.readInt() != 0) {
                    glyCallItem = GlyCallItem.CREATOR.createFromParcel(parcel);
                }
                onCallAddedOther(createFromParcel, glyCallItem);
                parcel2.writeNoException();
                if (createFromParcel != null) {
                    parcel2.writeInt(1);
                    createFromParcel.writeToParcel(parcel2, 1);
                } else {
                    parcel2.writeInt(0);
                }
                if (glyCallItem != null) {
                    parcel2.writeInt(1);
                    glyCallItem.writeToParcel(parcel2, 1);
                } else {
                    parcel2.writeInt(0);
                }
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void onCallAdded(GlyCallItem glyCallItem) throws RemoteException;

    void onCallAddedOther(GlyCallItem glyCallItem, GlyCallItem glyCallItem2) throws RemoteException;

    void onCallViewStateChange(int i) throws RemoteException;
}
