package com.geely.lib.oneosapi.phone.inter;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.phone.telecom.GlyCallLogInfo;
import java.util.ArrayList;
import java.util.List;

public interface ICallLogDateListener extends IInterface {

    public static class Default implements ICallLogDateListener {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.phone.inter.ICallLogDateListener
        public void onCallLogDate(List<GlyCallLogInfo> list) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ICallLogDateListener {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.phone.inter.ICallLogDateListener";
        public static final int TRANSACTION_onCallLogDate = 1;

        public static class Proxy implements ICallLogDateListener {
            public static ICallLogDateListener sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.phone.inter.ICallLogDateListener
            public void onCallLogDate(List<GlyCallLogInfo> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeTypedList(list);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.readTypedList(list, GlyCallLogInfo.CREATOR);
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onCallLogDate(list);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICallLogDateListener asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICallLogDateListener)) {
                return new Proxy(iBinder);
            }
            return (ICallLogDateListener) queryLocalInterface;
        }

        public static ICallLogDateListener getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ICallLogDateListener iCallLogDateListener) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCallLogDateListener == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCallLogDateListener;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                ArrayList createTypedArrayList = parcel.createTypedArrayList(GlyCallLogInfo.CREATOR);
                onCallLogDate(createTypedArrayList);
                parcel2.writeNoException();
                parcel2.writeTypedList(createTypedArrayList);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void onCallLogDate(List<GlyCallLogInfo> list) throws RemoteException;
}
