package com.geely.lib.oneosapi.recommendation;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.recommendation.callback.ICsdRecCallback;

public interface ICsdManager extends IInterface {

    public static class Default implements ICsdManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
        public void getCsdPullInfos(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
        public void getCsdRecInfos() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
        public boolean subscribeCsdRecCallback(ICsdRecCallback iCsdRecCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
        public boolean unSubscribeCsdRecCallback(ICsdRecCallback iCsdRecCallback) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements ICsdManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.recommendation.ICsdManager";
        public static final int TRANSACTION_getCsdPullInfos = 4;
        public static final int TRANSACTION_getCsdRecInfos = 1;
        public static final int TRANSACTION_subscribeCsdRecCallback = 2;
        public static final int TRANSACTION_unSubscribeCsdRecCallback = 3;

        public static class Proxy implements ICsdManager {
            public static ICsdManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
            public void getCsdPullInfos(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getCsdPullInfos(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
            public void getCsdRecInfos() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getCsdRecInfos();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
            public boolean subscribeCsdRecCallback(ICsdRecCallback iCsdRecCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iCsdRecCallback != null ? iCsdRecCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().subscribeCsdRecCallback(iCsdRecCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.ICsdManager
            public boolean unSubscribeCsdRecCallback(ICsdRecCallback iCsdRecCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iCsdRecCallback != null ? iCsdRecCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unSubscribeCsdRecCallback(iCsdRecCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICsdManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICsdManager)) {
                return new Proxy(iBinder);
            }
            return (ICsdManager) queryLocalInterface;
        }

        public static ICsdManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ICsdManager iCsdManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCsdManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCsdManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                getCsdRecInfos();
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean subscribeCsdRecCallback = subscribeCsdRecCallback(ICsdRecCallback.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                parcel2.writeInt(subscribeCsdRecCallback ? 1 : 0);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                boolean unSubscribeCsdRecCallback = unSubscribeCsdRecCallback(ICsdRecCallback.Stub.asInterface(parcel.readStrongBinder()));
                parcel2.writeNoException();
                parcel2.writeInt(unSubscribeCsdRecCallback ? 1 : 0);
                return true;
            } else if (i != 4) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                getCsdPullInfos(parcel.readInt() != 0);
                parcel2.writeNoException();
                return true;
            }
        }
    }

    void getCsdPullInfos(boolean z) throws RemoteException;

    void getCsdRecInfos() throws RemoteException;

    boolean subscribeCsdRecCallback(ICsdRecCallback iCsdRecCallback) throws RemoteException;

    boolean unSubscribeCsdRecCallback(ICsdRecCallback iCsdRecCallback) throws RemoteException;
}
