package com.geely.lib.oneosapi.recommendation;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.recommendation.callback.IPsdRecCallback;
import com.geely.lib.oneosapi.recommendation.callback.IWidgetCallback;

public interface IPsdManager extends IInterface {

    public static class Default implements IPsdManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public void getPsdPullInfos(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public void getPsdRecInfos() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public void getWidgetInfos() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public void getWidgetPullInfos(boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public boolean subscribePsdRecCallback(IPsdRecCallback iPsdRecCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public boolean subscribeWidgetCallback(IWidgetCallback iWidgetCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public boolean unSubscribePsdRecCallback(IPsdRecCallback iPsdRecCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
        public boolean unSubscribeWidgetCallback(IWidgetCallback iWidgetCallback) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IPsdManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.recommendation.IPsdManager";
        public static final int TRANSACTION_getPsdPullInfos = 7;
        public static final int TRANSACTION_getPsdRecInfos = 1;
        public static final int TRANSACTION_getWidgetInfos = 4;
        public static final int TRANSACTION_getWidgetPullInfos = 8;
        public static final int TRANSACTION_subscribePsdRecCallback = 2;
        public static final int TRANSACTION_subscribeWidgetCallback = 5;
        public static final int TRANSACTION_unSubscribePsdRecCallback = 3;
        public static final int TRANSACTION_unSubscribeWidgetCallback = 6;

        public static class Proxy implements IPsdManager {
            public static IPsdManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public void getPsdPullInfos(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getPsdPullInfos(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public void getPsdRecInfos() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getPsdRecInfos();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public void getWidgetInfos() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getWidgetInfos();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public void getWidgetPullInfos(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getWidgetPullInfos(z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public boolean subscribePsdRecCallback(IPsdRecCallback iPsdRecCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iPsdRecCallback != null ? iPsdRecCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().subscribePsdRecCallback(iPsdRecCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public boolean subscribeWidgetCallback(IWidgetCallback iWidgetCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWidgetCallback != null ? iWidgetCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().subscribeWidgetCallback(iWidgetCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public boolean unSubscribePsdRecCallback(IPsdRecCallback iPsdRecCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iPsdRecCallback != null ? iPsdRecCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unSubscribePsdRecCallback(iPsdRecCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IPsdManager
            public boolean unSubscribeWidgetCallback(IWidgetCallback iWidgetCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWidgetCallback != null ? iWidgetCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unSubscribeWidgetCallback(iWidgetCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IPsdManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IPsdManager)) {
                return new Proxy(iBinder);
            }
            return (IPsdManager) queryLocalInterface;
        }

        public static IPsdManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IPsdManager iPsdManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iPsdManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iPsdManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        getPsdRecInfos();
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean subscribePsdRecCallback = subscribePsdRecCallback(IPsdRecCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(subscribePsdRecCallback ? 1 : 0);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean unSubscribePsdRecCallback = unSubscribePsdRecCallback(IPsdRecCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(unSubscribePsdRecCallback ? 1 : 0);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        getWidgetInfos();
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean subscribeWidgetCallback = subscribeWidgetCallback(IWidgetCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(subscribeWidgetCallback ? 1 : 0);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean unSubscribeWidgetCallback = unSubscribeWidgetCallback(IWidgetCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(unSubscribeWidgetCallback ? 1 : 0);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        getPsdPullInfos(z);
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        getWidgetPullInfos(z);
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void getPsdPullInfos(boolean z) throws RemoteException;

    void getPsdRecInfos() throws RemoteException;

    void getWidgetInfos() throws RemoteException;

    void getWidgetPullInfos(boolean z) throws RemoteException;

    boolean subscribePsdRecCallback(IPsdRecCallback iPsdRecCallback) throws RemoteException;

    boolean subscribeWidgetCallback(IWidgetCallback iWidgetCallback) throws RemoteException;

    boolean unSubscribePsdRecCallback(IPsdRecCallback iPsdRecCallback) throws RemoteException;

    boolean unSubscribeWidgetCallback(IWidgetCallback iWidgetCallback) throws RemoteException;
}
