package com.geely.lib.oneosapi.recommendation;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.recommendation.IAnalyticsManager;
import com.geely.lib.oneosapi.recommendation.ICsdManager;
import com.geely.lib.oneosapi.recommendation.IPsdManager;
import com.geely.lib.oneosapi.recommendation.callback.IWithdrawCallback;

public interface IRecommendService extends IInterface {

    public static class Default implements IRecommendService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
        public IAnalyticsManager getAnalyticsManager() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
        public ICsdManager getCsdManager() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
        public IPsdManager getPsdManager() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
        public boolean subscribeWithdrawCallback(IWithdrawCallback iWithdrawCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
        public boolean unSubscribeWithdrawCallback(IWithdrawCallback iWithdrawCallback) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IRecommendService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.recommendation.IRecommendService";
        public static final int TRANSACTION_getAnalyticsManager = 3;
        public static final int TRANSACTION_getCsdManager = 1;
        public static final int TRANSACTION_getPsdManager = 2;
        public static final int TRANSACTION_subscribeWithdrawCallback = 4;
        public static final int TRANSACTION_unSubscribeWithdrawCallback = 5;

        public static class Proxy implements IRecommendService {
            public static IRecommendService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
            public IAnalyticsManager getAnalyticsManager() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAnalyticsManager();
                    }
                    obtain2.readException();
                    IAnalyticsManager asInterface = IAnalyticsManager.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
            public ICsdManager getCsdManager() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCsdManager();
                    }
                    obtain2.readException();
                    ICsdManager asInterface = ICsdManager.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
            public IPsdManager getPsdManager() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPsdManager();
                    }
                    obtain2.readException();
                    IPsdManager asInterface = IPsdManager.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
            public boolean subscribeWithdrawCallback(IWithdrawCallback iWithdrawCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWithdrawCallback != null ? iWithdrawCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().subscribeWithdrawCallback(iWithdrawCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.recommendation.IRecommendService
            public boolean unSubscribeWithdrawCallback(IWithdrawCallback iWithdrawCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iWithdrawCallback != null ? iWithdrawCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unSubscribeWithdrawCallback(iWithdrawCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IRecommendService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IRecommendService)) {
                return new Proxy(iBinder);
            }
            return (IRecommendService) queryLocalInterface;
        }

        public static IRecommendService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IRecommendService iRecommendService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iRecommendService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iRecommendService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                IBinder iBinder = null;
                if (i == 1) {
                    parcel.enforceInterface(DESCRIPTOR);
                    ICsdManager csdManager = getCsdManager();
                    parcel2.writeNoException();
                    if (csdManager != null) {
                        iBinder = csdManager.asBinder();
                    }
                    parcel2.writeStrongBinder(iBinder);
                    return true;
                } else if (i == 2) {
                    parcel.enforceInterface(DESCRIPTOR);
                    IPsdManager psdManager = getPsdManager();
                    parcel2.writeNoException();
                    if (psdManager != null) {
                        iBinder = psdManager.asBinder();
                    }
                    parcel2.writeStrongBinder(iBinder);
                    return true;
                } else if (i == 3) {
                    parcel.enforceInterface(DESCRIPTOR);
                    IAnalyticsManager analyticsManager = getAnalyticsManager();
                    parcel2.writeNoException();
                    if (analyticsManager != null) {
                        iBinder = analyticsManager.asBinder();
                    }
                    parcel2.writeStrongBinder(iBinder);
                    return true;
                } else if (i == 4) {
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean subscribeWithdrawCallback = subscribeWithdrawCallback(IWithdrawCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(subscribeWithdrawCallback ? 1 : 0);
                    return true;
                } else if (i != 5) {
                    return super.onTransact(i, parcel, parcel2, i2);
                } else {
                    parcel.enforceInterface(DESCRIPTOR);
                    boolean unSubscribeWithdrawCallback = unSubscribeWithdrawCallback(IWithdrawCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    parcel2.writeInt(unSubscribeWithdrawCallback ? 1 : 0);
                    return true;
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    IAnalyticsManager getAnalyticsManager() throws RemoteException;

    ICsdManager getCsdManager() throws RemoteException;

    IPsdManager getPsdManager() throws RemoteException;

    boolean subscribeWithdrawCallback(IWithdrawCallback iWithdrawCallback) throws RemoteException;

    boolean unSubscribeWithdrawCallback(IWithdrawCallback iWithdrawCallback) throws RemoteException;
}
