package com.geely.lib.oneosapi.scenemode;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ISceneModeService extends IInterface {

    public static class Default implements ISceneModeService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.scenemode.ISceneModeService
        public void enterIntoModeById(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.scenemode.ISceneModeService
        public void executeModeById(String str, boolean z) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.scenemode.ISceneModeService
        public int executeSceneModeById(String str, boolean z) throws RemoteException {
            return 0;
        }
    }

    public static abstract class Stub extends Binder implements ISceneModeService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.scenemode.ISceneModeService";
        public static final int TRANSACTION_enterIntoModeById = 3;
        public static final int TRANSACTION_executeModeById = 1;
        public static final int TRANSACTION_executeSceneModeById = 2;

        public static class Proxy implements ISceneModeService {
            public static ISceneModeService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.scenemode.ISceneModeService
            public void enterIntoModeById(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().enterIntoModeById(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.scenemode.ISceneModeService
            public void executeModeById(String str, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(z ? 1 : 0);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().executeModeById(str, z);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.scenemode.ISceneModeService
            public int executeSceneModeById(String str, boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(z ? 1 : 0);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().executeSceneModeById(str, z);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISceneModeService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISceneModeService)) {
                return new Proxy(iBinder);
            }
            return (ISceneModeService) queryLocalInterface;
        }

        public static ISceneModeService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISceneModeService iSceneModeService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSceneModeService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSceneModeService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            boolean z = false;
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String readString = parcel.readString();
                if (parcel.readInt() != 0) {
                    z = true;
                }
                executeModeById(readString, z);
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String readString2 = parcel.readString();
                if (parcel.readInt() != 0) {
                    z = true;
                }
                int executeSceneModeById = executeSceneModeById(readString2, z);
                parcel2.writeNoException();
                parcel2.writeInt(executeSceneModeById);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                enterIntoModeById(parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void enterIntoModeById(String str) throws RemoteException;

    void executeModeById(String str, boolean z) throws RemoteException;

    int executeSceneModeById(String str, boolean z) throws RemoteException;
}
