package com.geely.lib.oneosapi.schedule;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.schedule.bean.CPHolidayInfo;
import com.geely.lib.oneosapi.schedule.bean.CPScheduleInfo;
import java.util.ArrayList;
import java.util.List;

public interface CPCallbackInterface extends IInterface {

    public static class Default implements CPCallbackInterface {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.schedule.CPCallbackInterface
        public void callbackCalendarEventInfo(List<CPScheduleInfo> list) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.CPCallbackInterface
        public void callbackCalendarImportInfo(List<CPHolidayInfo> list) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements CPCallbackInterface {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.schedule.CPCallbackInterface";
        public static final int TRANSACTION_callbackCalendarEventInfo = 1;
        public static final int TRANSACTION_callbackCalendarImportInfo = 2;

        public static class Proxy implements CPCallbackInterface {
            public static CPCallbackInterface sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.schedule.CPCallbackInterface
            public void callbackCalendarEventInfo(List<CPScheduleInfo> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeTypedList(list);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.readTypedList(list, CPScheduleInfo.CREATOR);
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().callbackCalendarEventInfo(list);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.CPCallbackInterface
            public void callbackCalendarImportInfo(List<CPHolidayInfo> list) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeTypedList(list);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.readTypedList(list, CPHolidayInfo.CREATOR);
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().callbackCalendarImportInfo(list);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static CPCallbackInterface asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof CPCallbackInterface)) {
                return new Proxy(iBinder);
            }
            return (CPCallbackInterface) queryLocalInterface;
        }

        public static CPCallbackInterface getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(CPCallbackInterface cPCallbackInterface) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (cPCallbackInterface == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = cPCallbackInterface;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                ArrayList createTypedArrayList = parcel.createTypedArrayList(CPScheduleInfo.CREATOR);
                callbackCalendarEventInfo(createTypedArrayList);
                parcel2.writeNoException();
                parcel2.writeTypedList(createTypedArrayList);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                ArrayList createTypedArrayList2 = parcel.createTypedArrayList(CPHolidayInfo.CREATOR);
                callbackCalendarImportInfo(createTypedArrayList2);
                parcel2.writeNoException();
                parcel2.writeTypedList(createTypedArrayList2);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void callbackCalendarEventInfo(List<CPScheduleInfo> list) throws RemoteException;

    void callbackCalendarImportInfo(List<CPHolidayInfo> list) throws RemoteException;
}
