package com.geely.lib.oneosapi.schedule;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.schedule.CPCallbackInterface;
import com.geely.lib.oneosapi.schedule.bean.CPAddScheduleBean;

public interface ICalendarInfoAPI extends IInterface {

    public static class Default implements ICalendarInfoAPI {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void getCalendarEvents(CPCallbackInterface cPCallbackInterface) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void getCalendarImportEvents(CPCallbackInterface cPCallbackInterface) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void launchAddImportSchedule() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void launchAddImportScheduleParameter(long j) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void launchAddSchedule() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void launchAddScheduleParameter(long j) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public void launchScheduleHome() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
        public int setAddCalendarEvent(CPAddScheduleBean cPAddScheduleBean) throws RemoteException {
            return 0;
        }
    }

    public static abstract class Stub extends Binder implements ICalendarInfoAPI {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.schedule.ICalendarInfoAPI";
        public static final int TRANSACTION_getCalendarEvents = 2;
        public static final int TRANSACTION_getCalendarImportEvents = 1;
        public static final int TRANSACTION_launchAddImportSchedule = 8;
        public static final int TRANSACTION_launchAddImportScheduleParameter = 7;
        public static final int TRANSACTION_launchAddSchedule = 6;
        public static final int TRANSACTION_launchAddScheduleParameter = 5;
        public static final int TRANSACTION_launchScheduleHome = 4;
        public static final int TRANSACTION_setAddCalendarEvent = 3;

        public static class Proxy implements ICalendarInfoAPI {
            public static ICalendarInfoAPI sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void getCalendarEvents(CPCallbackInterface cPCallbackInterface) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(cPCallbackInterface != null ? cPCallbackInterface.asBinder() : null);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getCalendarEvents(cPCallbackInterface);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void getCalendarImportEvents(CPCallbackInterface cPCallbackInterface) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(cPCallbackInterface != null ? cPCallbackInterface.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getCalendarImportEvents(cPCallbackInterface);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void launchAddImportSchedule() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().launchAddImportSchedule();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void launchAddImportScheduleParameter(long j) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeLong(j);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().launchAddImportScheduleParameter(j);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void launchAddSchedule() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().launchAddSchedule();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void launchAddScheduleParameter(long j) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeLong(j);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().launchAddScheduleParameter(j);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public void launchScheduleHome() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().launchScheduleHome();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.schedule.ICalendarInfoAPI
            public int setAddCalendarEvent(CPAddScheduleBean cPAddScheduleBean) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (cPAddScheduleBean != null) {
                        obtain.writeInt(1);
                        cPAddScheduleBean.writeToParcel(obtain, 0);
                    } else {
                        obtain.writeInt(0);
                    }
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setAddCalendarEvent(cPAddScheduleBean);
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ICalendarInfoAPI asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ICalendarInfoAPI)) {
                return new Proxy(iBinder);
            }
            return (ICalendarInfoAPI) queryLocalInterface;
        }

        public static ICalendarInfoAPI getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ICalendarInfoAPI iCalendarInfoAPI) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iCalendarInfoAPI == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iCalendarInfoAPI;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        getCalendarImportEvents(CPCallbackInterface.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        getCalendarEvents(CPCallbackInterface.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        int addCalendarEvent = setAddCalendarEvent(parcel.readInt() != 0 ? CPAddScheduleBean.CREATOR.createFromParcel(parcel) : null);
                        parcel2.writeNoException();
                        parcel2.writeInt(addCalendarEvent);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        launchScheduleHome();
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        launchAddScheduleParameter(parcel.readLong());
                        parcel2.writeNoException();
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        launchAddSchedule();
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        launchAddImportScheduleParameter(parcel.readLong());
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        launchAddImportSchedule();
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void getCalendarEvents(CPCallbackInterface cPCallbackInterface) throws RemoteException;

    void getCalendarImportEvents(CPCallbackInterface cPCallbackInterface) throws RemoteException;

    void launchAddImportSchedule() throws RemoteException;

    void launchAddImportScheduleParameter(long j) throws RemoteException;

    void launchAddSchedule() throws RemoteException;

    void launchAddScheduleParameter(long j) throws RemoteException;

    void launchScheduleHome() throws RemoteException;

    int setAddCalendarEvent(CPAddScheduleBean cPAddScheduleBean) throws RemoteException;
}
