package com.geely.lib.oneosapi.smart;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IAirConditionerInfo extends IInterface {

    public static class Default implements IAirConditionerInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
        public String getId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
        public int getSwitchOpen() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
        public String getTemperature() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
        public int getWindSpeed() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
        public String getWorkModel() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IAirConditionerInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.smart.IAirConditionerInfo";
        public static final int TRANSACTION_getId = 5;
        public static final int TRANSACTION_getSwitchOpen = 1;
        public static final int TRANSACTION_getTemperature = 2;
        public static final int TRANSACTION_getWindSpeed = 4;
        public static final int TRANSACTION_getWorkModel = 3;

        public static class Proxy implements IAirConditionerInfo {
            public static IAirConditionerInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
            public String getId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
            public int getSwitchOpen() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSwitchOpen();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
            public String getTemperature() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getTemperature();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
            public int getWindSpeed() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getWindSpeed();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.IAirConditionerInfo
            public String getWorkModel() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getWorkModel();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IAirConditionerInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IAirConditionerInfo)) {
                return new Proxy(iBinder);
            }
            return (IAirConditionerInfo) queryLocalInterface;
        }

        public static IAirConditionerInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IAirConditionerInfo iAirConditionerInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iAirConditionerInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iAirConditionerInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                int switchOpen = getSwitchOpen();
                parcel2.writeNoException();
                parcel2.writeInt(switchOpen);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String temperature = getTemperature();
                parcel2.writeNoException();
                parcel2.writeString(temperature);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                String workModel = getWorkModel();
                parcel2.writeNoException();
                parcel2.writeString(workModel);
                return true;
            } else if (i == 4) {
                parcel.enforceInterface(DESCRIPTOR);
                int windSpeed = getWindSpeed();
                parcel2.writeNoException();
                parcel2.writeInt(windSpeed);
                return true;
            } else if (i != 5) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                String id = getId();
                parcel2.writeNoException();
                parcel2.writeString(id);
                return true;
            }
        }
    }

    String getId() throws RemoteException;

    int getSwitchOpen() throws RemoteException;

    String getTemperature() throws RemoteException;

    int getWindSpeed() throws RemoteException;

    String getWorkModel() throws RemoteException;
}
