package com.geely.lib.oneosapi.smart;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ISceneInfo extends IInterface {

    public static class Default implements ISceneInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISceneInfo
        public int getErrorStatus() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.smart.ISceneInfo
        public int getOpenStatus() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.smart.ISceneInfo
        public String getSceneId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISceneInfo
        public String getType() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements ISceneInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.smart.ISceneInfo";
        public static final int TRANSACTION_getErrorStatus = 4;
        public static final int TRANSACTION_getOpenStatus = 2;
        public static final int TRANSACTION_getSceneId = 1;
        public static final int TRANSACTION_getType = 3;

        public static class Proxy implements ISceneInfo {
            public static ISceneInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.smart.ISceneInfo
            public int getErrorStatus() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getErrorStatus();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.smart.ISceneInfo
            public int getOpenStatus() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getOpenStatus();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISceneInfo
            public String getSceneId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSceneId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISceneInfo
            public String getType() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getType();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISceneInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISceneInfo)) {
                return new Proxy(iBinder);
            }
            return (ISceneInfo) queryLocalInterface;
        }

        public static ISceneInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISceneInfo iSceneInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSceneInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSceneInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String sceneId = getSceneId();
                parcel2.writeNoException();
                parcel2.writeString(sceneId);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                int openStatus = getOpenStatus();
                parcel2.writeNoException();
                parcel2.writeInt(openStatus);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                String type = getType();
                parcel2.writeNoException();
                parcel2.writeString(type);
                return true;
            } else if (i != 4) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                int errorStatus = getErrorStatus();
                parcel2.writeNoException();
                parcel2.writeInt(errorStatus);
                return true;
            }
        }
    }

    int getErrorStatus() throws RemoteException;

    int getOpenStatus() throws RemoteException;

    String getSceneId() throws RemoteException;

    String getType() throws RemoteException;
}
