package com.geely.lib.oneosapi.smart;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.smart.IResultCallback;

public interface ISmartApi extends IInterface {

    public static class Default implements ISmartApi {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartApi
        public void controlACTemp(String str, String str2, int i, int i2, IResultCallback iResultCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartApi
        public void controlDeviceMode(String str, int i, int i2, IResultCallback iResultCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartApi
        public void controlDeviceSpeed(String str, int i, int i2, IResultCallback iResultCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartApi
        public void controlDeviceSwitch(String str, int i, boolean z, IResultCallback iResultCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartApi
        public void controlSceneMode(boolean z, String str, IResultCallback iResultCallback) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ISmartApi {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.smart.ISmartApi";
        public static final int TRANSACTION_controlACTemp = 4;
        public static final int TRANSACTION_controlDeviceMode = 2;
        public static final int TRANSACTION_controlDeviceSpeed = 3;
        public static final int TRANSACTION_controlDeviceSwitch = 1;
        public static final int TRANSACTION_controlSceneMode = 5;

        public static class Proxy implements ISmartApi {
            public static ISmartApi sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartApi
            public void controlACTemp(String str, String str2, int i, int i2, IResultCallback iResultCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeStrongBinder(iResultCallback != null ? iResultCallback.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().controlACTemp(str, str2, i, i2, iResultCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartApi
            public void controlDeviceMode(String str, int i, int i2, IResultCallback iResultCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeStrongBinder(iResultCallback != null ? iResultCallback.asBinder() : null);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().controlDeviceMode(str, i, i2, iResultCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartApi
            public void controlDeviceSpeed(String str, int i, int i2, IResultCallback iResultCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    obtain.writeInt(i2);
                    obtain.writeStrongBinder(iResultCallback != null ? iResultCallback.asBinder() : null);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().controlDeviceSpeed(str, i, i2, iResultCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartApi
            public void controlDeviceSwitch(String str, int i, boolean z, IResultCallback iResultCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeStrongBinder(iResultCallback != null ? iResultCallback.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().controlDeviceSwitch(str, i, z, iResultCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartApi
            public void controlSceneMode(boolean z, String str, IResultCallback iResultCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iResultCallback != null ? iResultCallback.asBinder() : null);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().controlSceneMode(z, str, iResultCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISmartApi asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISmartApi)) {
                return new Proxy(iBinder);
            }
            return (ISmartApi) queryLocalInterface;
        }

        public static ISmartApi getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISmartApi iSmartApi) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSmartApi == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSmartApi;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                if (i == 1) {
                    parcel.enforceInterface(DESCRIPTOR);
                    String readString = parcel.readString();
                    int readInt = parcel.readInt();
                    if (parcel.readInt() != 0) {
                        z = true;
                    }
                    controlDeviceSwitch(readString, readInt, z, IResultCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                } else if (i == 2) {
                    parcel.enforceInterface(DESCRIPTOR);
                    controlDeviceMode(parcel.readString(), parcel.readInt(), parcel.readInt(), IResultCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                } else if (i == 3) {
                    parcel.enforceInterface(DESCRIPTOR);
                    controlDeviceSpeed(parcel.readString(), parcel.readInt(), parcel.readInt(), IResultCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                } else if (i == 4) {
                    parcel.enforceInterface(DESCRIPTOR);
                    controlACTemp(parcel.readString(), parcel.readString(), parcel.readInt(), parcel.readInt(), IResultCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                } else if (i != 5) {
                    return super.onTransact(i, parcel, parcel2, i2);
                } else {
                    parcel.enforceInterface(DESCRIPTOR);
                    if (parcel.readInt() != 0) {
                        z = true;
                    }
                    controlSceneMode(z, parcel.readString(), IResultCallback.Stub.asInterface(parcel.readStrongBinder()));
                    parcel2.writeNoException();
                    return true;
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void controlACTemp(String str, String str2, int i, int i2, IResultCallback iResultCallback) throws RemoteException;

    void controlDeviceMode(String str, int i, int i2, IResultCallback iResultCallback) throws RemoteException;

    void controlDeviceSpeed(String str, int i, int i2, IResultCallback iResultCallback) throws RemoteException;

    void controlDeviceSwitch(String str, int i, boolean z, IResultCallback iResultCallback) throws RemoteException;

    void controlSceneMode(boolean z, String str, IResultCallback iResultCallback) throws RemoteException;
}
