package com.geely.lib.oneosapi.smart;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.smart.IAirConditionerInfo;
import com.geely.lib.oneosapi.smart.IAirPurificationInfo;
import com.geely.lib.oneosapi.smart.IElectricSocketInfo;
import com.geely.lib.oneosapi.smart.ILightInfo;
import com.geely.lib.oneosapi.smart.ISceneInfo;
import com.geely.lib.oneosapi.smart.ISweepingRobotInfo;

public interface ISmartCallback extends IInterface {

    public static class Default implements ISmartCallback {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onAirConditionerInfoChanged(IAirConditionerInfo iAirConditionerInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onAirPurificationInfoChanged(IAirPurificationInfo iAirPurificationInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onElectricSocketInfoChanged(IElectricSocketInfo iElectricSocketInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onGoHomeModeChanged(ISceneInfo iSceneInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onLeaveHomeModeChanged(ISceneInfo iSceneInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onLightInfoChanged(ILightInfo iLightInfo) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartCallback
        public void onSweepingRobotInfoChanged(ISweepingRobotInfo iSweepingRobotInfo) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements ISmartCallback {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.smart.ISmartCallback";
        public static final int TRANSACTION_onAirConditionerInfoChanged = 1;
        public static final int TRANSACTION_onAirPurificationInfoChanged = 2;
        public static final int TRANSACTION_onElectricSocketInfoChanged = 3;
        public static final int TRANSACTION_onGoHomeModeChanged = 6;
        public static final int TRANSACTION_onLeaveHomeModeChanged = 7;
        public static final int TRANSACTION_onLightInfoChanged = 4;
        public static final int TRANSACTION_onSweepingRobotInfoChanged = 5;

        public static class Proxy implements ISmartCallback {
            public static ISmartCallback sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onAirConditionerInfoChanged(IAirConditionerInfo iAirConditionerInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iAirConditionerInfo != null ? iAirConditionerInfo.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onAirConditionerInfoChanged(iAirConditionerInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onAirPurificationInfoChanged(IAirPurificationInfo iAirPurificationInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iAirPurificationInfo != null ? iAirPurificationInfo.asBinder() : null);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onAirPurificationInfoChanged(iAirPurificationInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onElectricSocketInfoChanged(IElectricSocketInfo iElectricSocketInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iElectricSocketInfo != null ? iElectricSocketInfo.asBinder() : null);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onElectricSocketInfoChanged(iElectricSocketInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onGoHomeModeChanged(ISceneInfo iSceneInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSceneInfo != null ? iSceneInfo.asBinder() : null);
                    if (this.mRemote.transact(6, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onGoHomeModeChanged(iSceneInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onLeaveHomeModeChanged(ISceneInfo iSceneInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSceneInfo != null ? iSceneInfo.asBinder() : null);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onLeaveHomeModeChanged(iSceneInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onLightInfoChanged(ILightInfo iLightInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iLightInfo != null ? iLightInfo.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onLightInfoChanged(iLightInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartCallback
            public void onSweepingRobotInfoChanged(ISweepingRobotInfo iSweepingRobotInfo) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSweepingRobotInfo != null ? iSweepingRobotInfo.asBinder() : null);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onSweepingRobotInfoChanged(iSweepingRobotInfo);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISmartCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISmartCallback)) {
                return new Proxy(iBinder);
            }
            return (ISmartCallback) queryLocalInterface;
        }

        public static ISmartCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISmartCallback iSmartCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSmartCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSmartCallback;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        onAirConditionerInfoChanged(IAirConditionerInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        onAirPurificationInfoChanged(IAirPurificationInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        onElectricSocketInfoChanged(IElectricSocketInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        onLightInfoChanged(ILightInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        onSweepingRobotInfoChanged(ISweepingRobotInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        onGoHomeModeChanged(ISceneInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        onLeaveHomeModeChanged(ISceneInfo.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void onAirConditionerInfoChanged(IAirConditionerInfo iAirConditionerInfo) throws RemoteException;

    void onAirPurificationInfoChanged(IAirPurificationInfo iAirPurificationInfo) throws RemoteException;

    void onElectricSocketInfoChanged(IElectricSocketInfo iElectricSocketInfo) throws RemoteException;

    void onGoHomeModeChanged(ISceneInfo iSceneInfo) throws RemoteException;

    void onLeaveHomeModeChanged(ISceneInfo iSceneInfo) throws RemoteException;

    void onLightInfoChanged(ILightInfo iLightInfo) throws RemoteException;

    void onSweepingRobotInfoChanged(ISweepingRobotInfo iSweepingRobotInfo) throws RemoteException;
}
