package com.geely.lib.oneosapi.smart;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.smart.IAirConditionerInfo;
import com.geely.lib.oneosapi.smart.IAirPurificationInfo;
import com.geely.lib.oneosapi.smart.IElectricSocketInfo;
import com.geely.lib.oneosapi.smart.ILightInfo;
import com.geely.lib.oneosapi.smart.ISmartApi;
import com.geely.lib.oneosapi.smart.ISmartCallback;
import com.geely.lib.oneosapi.smart.ISweepingRobotInfo;

public interface ISmartHomeService extends IInterface {

    public static class Default implements ISmartHomeService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public IAirConditionerInfo getAirConditionInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public IAirPurificationInfo getAirPurificationInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public IElectricSocketInfo getElectricSocketInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public ILightInfo getLightInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public ISmartApi getSmartApi() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public ISweepingRobotInfo getSweepingRobotInfo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public boolean registerSmartHomeListener(ISmartCallback iSmartCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
        public boolean unregisterSmartHomeListener(ISmartCallback iSmartCallback) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements ISmartHomeService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.smart.ISmartHomeService";
        public static final int TRANSACTION_getAirConditionInfo = 3;
        public static final int TRANSACTION_getAirPurificationInfo = 4;
        public static final int TRANSACTION_getElectricSocketInfo = 5;
        public static final int TRANSACTION_getLightInfo = 6;
        public static final int TRANSACTION_getSmartApi = 8;
        public static final int TRANSACTION_getSweepingRobotInfo = 7;
        public static final int TRANSACTION_registerSmartHomeListener = 1;
        public static final int TRANSACTION_unregisterSmartHomeListener = 2;

        public static class Proxy implements ISmartHomeService {
            public static ISmartHomeService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public IAirConditionerInfo getAirConditionInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAirConditionInfo();
                    }
                    obtain2.readException();
                    IAirConditionerInfo asInterface = IAirConditionerInfo.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public IAirPurificationInfo getAirPurificationInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAirPurificationInfo();
                    }
                    obtain2.readException();
                    IAirPurificationInfo asInterface = IAirPurificationInfo.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public IElectricSocketInfo getElectricSocketInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getElectricSocketInfo();
                    }
                    obtain2.readException();
                    IElectricSocketInfo asInterface = IElectricSocketInfo.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public ILightInfo getLightInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLightInfo();
                    }
                    obtain2.readException();
                    ILightInfo asInterface = ILightInfo.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public ISmartApi getSmartApi() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(8, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSmartApi();
                    }
                    obtain2.readException();
                    ISmartApi asInterface = ISmartApi.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public ISweepingRobotInfo getSweepingRobotInfo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSweepingRobotInfo();
                    }
                    obtain2.readException();
                    ISweepingRobotInfo asInterface = ISweepingRobotInfo.Stub.asInterface(obtain2.readStrongBinder());
                    obtain2.recycle();
                    obtain.recycle();
                    return asInterface;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public boolean registerSmartHomeListener(ISmartCallback iSmartCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSmartCallback != null ? iSmartCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().registerSmartHomeListener(iSmartCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISmartHomeService
            public boolean unregisterSmartHomeListener(ISmartCallback iSmartCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iSmartCallback != null ? iSmartCallback.asBinder() : null);
                    boolean z = false;
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().unregisterSmartHomeListener(iSmartCallback);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISmartHomeService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISmartHomeService)) {
                return new Proxy(iBinder);
            }
            return (ISmartHomeService) queryLocalInterface;
        }

        public static ISmartHomeService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISmartHomeService iSmartHomeService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSmartHomeService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSmartHomeService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                IBinder iBinder = null;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean registerSmartHomeListener = registerSmartHomeListener(ISmartCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(registerSmartHomeListener ? 1 : 0);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean unregisterSmartHomeListener = unregisterSmartHomeListener(ISmartCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(unregisterSmartHomeListener ? 1 : 0);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        IAirConditionerInfo airConditionInfo = getAirConditionInfo();
                        parcel2.writeNoException();
                        if (airConditionInfo != null) {
                            iBinder = airConditionInfo.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        IAirPurificationInfo airPurificationInfo = getAirPurificationInfo();
                        parcel2.writeNoException();
                        if (airPurificationInfo != null) {
                            iBinder = airPurificationInfo.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        IElectricSocketInfo electricSocketInfo = getElectricSocketInfo();
                        parcel2.writeNoException();
                        if (electricSocketInfo != null) {
                            iBinder = electricSocketInfo.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        ILightInfo lightInfo = getLightInfo();
                        parcel2.writeNoException();
                        if (lightInfo != null) {
                            iBinder = lightInfo.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        ISweepingRobotInfo sweepingRobotInfo = getSweepingRobotInfo();
                        parcel2.writeNoException();
                        if (sweepingRobotInfo != null) {
                            iBinder = sweepingRobotInfo.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        ISmartApi smartApi = getSmartApi();
                        parcel2.writeNoException();
                        if (smartApi != null) {
                            iBinder = smartApi.asBinder();
                        }
                        parcel2.writeStrongBinder(iBinder);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    IAirConditionerInfo getAirConditionInfo() throws RemoteException;

    IAirPurificationInfo getAirPurificationInfo() throws RemoteException;

    IElectricSocketInfo getElectricSocketInfo() throws RemoteException;

    ILightInfo getLightInfo() throws RemoteException;

    ISmartApi getSmartApi() throws RemoteException;

    ISweepingRobotInfo getSweepingRobotInfo() throws RemoteException;

    boolean registerSmartHomeListener(ISmartCallback iSmartCallback) throws RemoteException;

    boolean unregisterSmartHomeListener(ISmartCallback iSmartCallback) throws RemoteException;
}
