package com.geely.lib.oneosapi.smart;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ISweepingRobotInfo extends IInterface {

    public static class Default implements ISweepingRobotInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISweepingRobotInfo
        public int getEnergyValue() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.smart.ISweepingRobotInfo
        public String getId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.smart.ISweepingRobotInfo
        public int getSwitchOpen() throws RemoteException {
            return 0;
        }
    }

    public static abstract class Stub extends Binder implements ISweepingRobotInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.smart.ISweepingRobotInfo";
        public static final int TRANSACTION_getEnergyValue = 2;
        public static final int TRANSACTION_getId = 3;
        public static final int TRANSACTION_getSwitchOpen = 1;

        public static class Proxy implements ISweepingRobotInfo {
            public static ISweepingRobotInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.smart.ISweepingRobotInfo
            public int getEnergyValue() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEnergyValue();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.smart.ISweepingRobotInfo
            public String getId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.smart.ISweepingRobotInfo
            public int getSwitchOpen() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSwitchOpen();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISweepingRobotInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISweepingRobotInfo)) {
                return new Proxy(iBinder);
            }
            return (ISweepingRobotInfo) queryLocalInterface;
        }

        public static ISweepingRobotInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISweepingRobotInfo iSweepingRobotInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSweepingRobotInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSweepingRobotInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                int switchOpen = getSwitchOpen();
                parcel2.writeNoException();
                parcel2.writeInt(switchOpen);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                int energyValue = getEnergyValue();
                parcel2.writeNoException();
                parcel2.writeInt(energyValue);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                String id = getId();
                parcel2.writeNoException();
                parcel2.writeString(id);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    int getEnergyValue() throws RemoteException;

    String getId() throws RemoteException;

    int getSwitchOpen() throws RemoteException;
}
