package com.geely.lib.oneosapi.systemui;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IStatusBarService extends IInterface {

    public static class Default implements IStatusBarService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public void closeDialogByName(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public int getPsdStatusBarVisibility() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public void setCsdActivity(IBinder iBinder) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public void setLeftTempStateVisibility(String str, int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public void setPsdActivity(IBinder iBinder) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public void setPsdStatusVisibility(int i) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
        public void showDialogByName(String str) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IStatusBarService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.systemui.IStatusBarService";
        public static final int TRANSACTION_closeDialogByName = 5;
        public static final int TRANSACTION_getPsdStatusBarVisibility = 6;
        public static final int TRANSACTION_setCsdActivity = 3;
        public static final int TRANSACTION_setLeftTempStateVisibility = 7;
        public static final int TRANSACTION_setPsdActivity = 4;
        public static final int TRANSACTION_setPsdStatusVisibility = 2;
        public static final int TRANSACTION_showDialogByName = 1;

        public static class Proxy implements IStatusBarService {
            public static IStatusBarService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public void closeDialogByName(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(5, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().closeDialogByName(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public int getPsdStatusBarVisibility() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getPsdStatusBarVisibility();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public void setCsdActivity(IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setCsdActivity(iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public void setLeftTempStateVisibility(String str, int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setLeftTempStateVisibility(str, i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public void setPsdActivity(IBinder iBinder) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iBinder);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setPsdActivity(iBinder);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public void setPsdStatusVisibility(int i) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().setPsdStatusVisibility(i);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.systemui.IStatusBarService
            public void showDialogByName(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().showDialogByName(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IStatusBarService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IStatusBarService)) {
                return new Proxy(iBinder);
            }
            return (IStatusBarService) queryLocalInterface;
        }

        public static IStatusBarService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IStatusBarService iStatusBarService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iStatusBarService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iStatusBarService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        showDialogByName(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        setPsdStatusVisibility(parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        setCsdActivity(parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        setPsdActivity(parcel.readStrongBinder());
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        closeDialogByName(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        int psdStatusBarVisibility = getPsdStatusBarVisibility();
                        parcel2.writeNoException();
                        parcel2.writeInt(psdStatusBarVisibility);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        setLeftTempStateVisibility(parcel.readString(), parcel.readInt());
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void closeDialogByName(String str) throws RemoteException;

    int getPsdStatusBarVisibility() throws RemoteException;

    void setCsdActivity(IBinder iBinder) throws RemoteException;

    void setLeftTempStateVisibility(String str, int i) throws RemoteException;

    void setPsdActivity(IBinder iBinder) throws RemoteException;

    void setPsdStatusVisibility(int i) throws RemoteException;

    void showDialogByName(String str) throws RemoteException;
}
