package com.geely.lib.oneosapi.theme;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IDressApplyCallback extends IInterface {

    public static class Default implements IDressApplyCallback {
        @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
        public void applyCompletedCallback(String str, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
        public void applyErrorCallback(String str, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
        public void applyProgressCallback(String str, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
        public void applyStartedCallback(String str, String str2) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IDressApplyCallback {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.theme.IDressApplyCallback";
        public static final int TRANSACTION_applyCompletedCallback = 3;
        public static final int TRANSACTION_applyErrorCallback = 4;
        public static final int TRANSACTION_applyProgressCallback = 2;
        public static final int TRANSACTION_applyStartedCallback = 1;

        public static class Proxy implements IDressApplyCallback {
            public static IDressApplyCallback sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
            public void applyCompletedCallback(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyCompletedCallback(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
            public void applyErrorCallback(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyErrorCallback(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
            public void applyProgressCallback(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyProgressCallback(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IDressApplyCallback
            public void applyStartedCallback(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyStartedCallback(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IDressApplyCallback asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IDressApplyCallback)) {
                return new Proxy(iBinder);
            }
            return (IDressApplyCallback) queryLocalInterface;
        }

        public static IDressApplyCallback getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IDressApplyCallback iDressApplyCallback) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iDressApplyCallback == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iDressApplyCallback;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                applyStartedCallback(parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                applyProgressCallback(parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                applyCompletedCallback(parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                return true;
            } else if (i != 4) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                applyErrorCallback(parcel.readString(), parcel.readString());
                parcel2.writeNoException();
                return true;
            }
        }
    }

    void applyCompletedCallback(String str, String str2) throws RemoteException;

    void applyErrorCallback(String str, String str2) throws RemoteException;

    void applyProgressCallback(String str, String str2) throws RemoteException;

    void applyStartedCallback(String str, String str2) throws RemoteException;
}
