package com.geely.lib.oneosapi.theme;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.theme.IApplyByLauncherCallback;
import com.geely.lib.oneosapi.theme.IDressApplyCallback;
import com.geely.lib.oneosapi.theme.IDressDelCallback;
import com.geely.lib.oneosapi.theme.IDressDlCallback;
import com.geely.lib.oneosapi.theme.IGetOwnerStaticWallpaperCallback;
import com.geely.lib.oneosapi.theme.IGetOwnerVideoWallpaperCallback;

public interface IThemeService extends IInterface {

    public static class Default implements IThemeService {
        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void applyDress(String str, String str2, IDressApplyCallback iDressApplyCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void applyLiveWallpaper() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void applyStaticWallpaper() throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void applyWallpaperByLauncher(String str, IApplyByLauncherCallback iApplyByLauncherCallback) throws RemoteException {
        }

        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void delDressFile(String str, String str2, IDressDelCallback iDressDelCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void downloadDress(String str, String str2, IDressDlCallback iDressDlCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public int getCurrentWallpaperType() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void getOwnerStaticWallpaperData(IGetOwnerStaticWallpaperCallback iGetOwnerStaticWallpaperCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.theme.IThemeService
        public void getOwnerVideoWallpaperData(IGetOwnerVideoWallpaperCallback iGetOwnerVideoWallpaperCallback) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IThemeService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.theme.IThemeService";
        public static final int TRANSACTION_applyDress = 4;
        public static final int TRANSACTION_applyLiveWallpaper = 2;
        public static final int TRANSACTION_applyStaticWallpaper = 1;
        public static final int TRANSACTION_applyWallpaperByLauncher = 9;
        public static final int TRANSACTION_delDressFile = 5;
        public static final int TRANSACTION_downloadDress = 3;
        public static final int TRANSACTION_getCurrentWallpaperType = 6;
        public static final int TRANSACTION_getOwnerStaticWallpaperData = 7;
        public static final int TRANSACTION_getOwnerVideoWallpaperData = 8;

        public static class Proxy implements IThemeService {
            public static IThemeService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void applyDress(String str, String str2, IDressApplyCallback iDressApplyCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeStrongBinder(iDressApplyCallback != null ? iDressApplyCallback.asBinder() : null);
                    if (this.mRemote.transact(4, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().applyDress(str, str2, iDressApplyCallback);
                    }
                } finally {
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void applyLiveWallpaper() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyLiveWallpaper();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void applyStaticWallpaper() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyStaticWallpaper();
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void applyWallpaperByLauncher(String str, IApplyByLauncherCallback iApplyByLauncherCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iApplyByLauncherCallback != null ? iApplyByLauncherCallback.asBinder() : null);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().applyWallpaperByLauncher(str, iApplyByLauncherCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void delDressFile(String str, String str2, IDressDelCallback iDressDelCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeStrongBinder(iDressDelCallback != null ? iDressDelCallback.asBinder() : null);
                    if (this.mRemote.transact(5, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().delDressFile(str, str2, iDressDelCallback);
                    }
                } finally {
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void downloadDress(String str, String str2, IDressDlCallback iDressDlCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeStrongBinder(iDressDlCallback != null ? iDressDlCallback.asBinder() : null);
                    if (this.mRemote.transact(3, obtain, null, 1) || Stub.getDefaultImpl() == null) {
                        obtain.recycle();
                    } else {
                        Stub.getDefaultImpl().downloadDress(str, str2, iDressDlCallback);
                    }
                } finally {
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public int getCurrentWallpaperType() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentWallpaperType();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void getOwnerStaticWallpaperData(IGetOwnerStaticWallpaperCallback iGetOwnerStaticWallpaperCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iGetOwnerStaticWallpaperCallback != null ? iGetOwnerStaticWallpaperCallback.asBinder() : null);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getOwnerStaticWallpaperData(iGetOwnerStaticWallpaperCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.theme.IThemeService
            public void getOwnerVideoWallpaperData(IGetOwnerVideoWallpaperCallback iGetOwnerVideoWallpaperCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iGetOwnerVideoWallpaperCallback != null ? iGetOwnerVideoWallpaperCallback.asBinder() : null);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getOwnerVideoWallpaperData(iGetOwnerVideoWallpaperCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IThemeService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IThemeService)) {
                return new Proxy(iBinder);
            }
            return (IThemeService) queryLocalInterface;
        }

        public static IThemeService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IThemeService iThemeService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iThemeService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iThemeService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        applyStaticWallpaper();
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        applyLiveWallpaper();
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        downloadDress(parcel.readString(), parcel.readString(), IDressDlCallback.Stub.asInterface(parcel.readStrongBinder()));
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        applyDress(parcel.readString(), parcel.readString(), IDressApplyCallback.Stub.asInterface(parcel.readStrongBinder()));
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        delDressFile(parcel.readString(), parcel.readString(), IDressDelCallback.Stub.asInterface(parcel.readStrongBinder()));
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        int currentWallpaperType = getCurrentWallpaperType();
                        parcel2.writeNoException();
                        parcel2.writeInt(currentWallpaperType);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        getOwnerStaticWallpaperData(IGetOwnerStaticWallpaperCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        getOwnerVideoWallpaperData(IGetOwnerVideoWallpaperCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        applyWallpaperByLauncher(parcel.readString(), IApplyByLauncherCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void applyDress(String str, String str2, IDressApplyCallback iDressApplyCallback) throws RemoteException;

    void applyLiveWallpaper() throws RemoteException;

    void applyStaticWallpaper() throws RemoteException;

    void applyWallpaperByLauncher(String str, IApplyByLauncherCallback iApplyByLauncherCallback) throws RemoteException;

    void delDressFile(String str, String str2, IDressDelCallback iDressDelCallback) throws RemoteException;

    void downloadDress(String str, String str2, IDressDlCallback iDressDlCallback) throws RemoteException;

    int getCurrentWallpaperType() throws RemoteException;

    void getOwnerStaticWallpaperData(IGetOwnerStaticWallpaperCallback iGetOwnerStaticWallpaperCallback) throws RemoteException;

    void getOwnerVideoWallpaperData(IGetOwnerVideoWallpaperCallback iGetOwnerVideoWallpaperCallback) throws RemoteException;
}
