package com.geely.lib.oneosapi.user;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IAccountInfo extends IInterface {

    public static class Default implements IAccountInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAccountInfo
        public String getDeviceId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAccountInfo
        public String getDeviceVin() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAccountInfo
        public String getNickName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAccountInfo
        public String getOpenId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAccountInfo
        public String getToken() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements IAccountInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.user.IAccountInfo";
        public static final int TRANSACTION_getDeviceId = 2;
        public static final int TRANSACTION_getDeviceVin = 3;
        public static final int TRANSACTION_getNickName = 4;
        public static final int TRANSACTION_getOpenId = 1;
        public static final int TRANSACTION_getToken = 5;

        public static class Proxy implements IAccountInfo {
            public static IAccountInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.user.IAccountInfo
            public String getDeviceId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDeviceId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IAccountInfo
            public String getDeviceVin() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDeviceVin();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.user.IAccountInfo
            public String getNickName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getNickName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IAccountInfo
            public String getOpenId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getOpenId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IAccountInfo
            public String getToken() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getToken();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IAccountInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IAccountInfo)) {
                return new Proxy(iBinder);
            }
            return (IAccountInfo) queryLocalInterface;
        }

        public static IAccountInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IAccountInfo iAccountInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iAccountInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iAccountInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String openId = getOpenId();
                parcel2.writeNoException();
                parcel2.writeString(openId);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String deviceId = getDeviceId();
                parcel2.writeNoException();
                parcel2.writeString(deviceId);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                String deviceVin = getDeviceVin();
                parcel2.writeNoException();
                parcel2.writeString(deviceVin);
                return true;
            } else if (i == 4) {
                parcel.enforceInterface(DESCRIPTOR);
                String nickName = getNickName();
                parcel2.writeNoException();
                parcel2.writeString(nickName);
                return true;
            } else if (i != 5) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                String token = getToken();
                parcel2.writeNoException();
                parcel2.writeString(token);
                return true;
            }
        }
    }

    String getDeviceId() throws RemoteException;

    String getDeviceVin() throws RemoteException;

    String getNickName() throws RemoteException;

    String getOpenId() throws RemoteException;

    String getToken() throws RemoteException;
}
