package com.geely.lib.oneosapi.user;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IAutoAccountInfo extends IInterface {

    public static class Default implements IAutoAccountInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
        public String getAutoUserAvatar() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
        public String getAutoUserId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
        public String getAutoUserName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
        public boolean isBindingSuccess() throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IAutoAccountInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.user.IAutoAccountInfo";
        public static final int TRANSACTION_getAutoUserAvatar = 2;
        public static final int TRANSACTION_getAutoUserId = 1;
        public static final int TRANSACTION_getAutoUserName = 3;
        public static final int TRANSACTION_isBindingSuccess = 4;

        public static class Proxy implements IAutoAccountInfo {
            public static IAutoAccountInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
            public String getAutoUserAvatar() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAutoUserAvatar();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
            public String getAutoUserId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAutoUserId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
            public String getAutoUserName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAutoUserName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.user.IAutoAccountInfo
            public boolean isBindingSuccess() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isBindingSuccess();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IAutoAccountInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IAutoAccountInfo)) {
                return new Proxy(iBinder);
            }
            return (IAutoAccountInfo) queryLocalInterface;
        }

        public static IAutoAccountInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IAutoAccountInfo iAutoAccountInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iAutoAccountInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iAutoAccountInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1598968902) {
                parcel2.writeString(DESCRIPTOR);
                return true;
            } else if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                String autoUserId = getAutoUserId();
                parcel2.writeNoException();
                parcel2.writeString(autoUserId);
                return true;
            } else if (i == 2) {
                parcel.enforceInterface(DESCRIPTOR);
                String autoUserAvatar = getAutoUserAvatar();
                parcel2.writeNoException();
                parcel2.writeString(autoUserAvatar);
                return true;
            } else if (i == 3) {
                parcel.enforceInterface(DESCRIPTOR);
                String autoUserName = getAutoUserName();
                parcel2.writeNoException();
                parcel2.writeString(autoUserName);
                return true;
            } else if (i != 4) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel.enforceInterface(DESCRIPTOR);
                boolean isBindingSuccess = isBindingSuccess();
                parcel2.writeNoException();
                parcel2.writeInt(isBindingSuccess ? 1 : 0);
                return true;
            }
        }
    }

    String getAutoUserAvatar() throws RemoteException;

    String getAutoUserId() throws RemoteException;

    String getAutoUserName() throws RemoteException;

    boolean isBindingSuccess() throws RemoteException;
}
