package com.geely.lib.oneosapi.user;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface ISourceAccountInfo extends IInterface {

    public static class Default implements ISourceAccountInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getAccountAvatar() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public int getAccountLoginStatus() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getBindingAck() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getBindingId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getCarLoginEnvironment() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getDeviceId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getDeviceNo() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceAccount() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceAccountId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceAccountName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceAccountToken() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceApp() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceAppName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getSourceAutoAccount() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
        public String getUserRequestTime() throws RemoteException {
            return null;
        }
    }

    public static abstract class Stub extends Binder implements ISourceAccountInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.user.ISourceAccountInfo";
        public static final int TRANSACTION_getAccountAvatar = 11;
        public static final int TRANSACTION_getAccountLoginStatus = 3;
        public static final int TRANSACTION_getBindingAck = 14;
        public static final int TRANSACTION_getBindingId = 13;
        public static final int TRANSACTION_getCarLoginEnvironment = 15;
        public static final int TRANSACTION_getDeviceId = 7;
        public static final int TRANSACTION_getDeviceNo = 8;
        public static final int TRANSACTION_getSourceAccount = 6;
        public static final int TRANSACTION_getSourceAccountId = 9;
        public static final int TRANSACTION_getSourceAccountName = 10;
        public static final int TRANSACTION_getSourceAccountToken = 4;
        public static final int TRANSACTION_getSourceApp = 1;
        public static final int TRANSACTION_getSourceAppName = 2;
        public static final int TRANSACTION_getSourceAutoAccount = 5;
        public static final int TRANSACTION_getUserRequestTime = 12;

        public static class Proxy implements ISourceAccountInfo {
            public static ISourceAccountInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getAccountAvatar() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(11, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAccountAvatar();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public int getAccountLoginStatus() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAccountLoginStatus();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getBindingAck() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(14, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getBindingAck();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getBindingId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(13, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getBindingId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getCarLoginEnvironment() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(15, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCarLoginEnvironment();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getDeviceId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDeviceId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getDeviceNo() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(8, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDeviceNo();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceAccount() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAccount();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceAccountId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(9, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAccountId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceAccountName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAccountName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceAccountToken() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAccountToken();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceApp() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceApp();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceAppName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAppName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getSourceAutoAccount() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSourceAutoAccount();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.ISourceAccountInfo
            public String getUserRequestTime() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(12, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUserRequestTime();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static ISourceAccountInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof ISourceAccountInfo)) {
                return new Proxy(iBinder);
            }
            return (ISourceAccountInfo) queryLocalInterface;
        }

        public static ISourceAccountInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(ISourceAccountInfo iSourceAccountInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iSourceAccountInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iSourceAccountInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceApp = getSourceApp();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceApp);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceAppName = getSourceAppName();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceAppName);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        int accountLoginStatus = getAccountLoginStatus();
                        parcel2.writeNoException();
                        parcel2.writeInt(accountLoginStatus);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceAccountToken = getSourceAccountToken();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceAccountToken);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceAutoAccount = getSourceAutoAccount();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceAutoAccount);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceAccount = getSourceAccount();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceAccount);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        String deviceId = getDeviceId();
                        parcel2.writeNoException();
                        parcel2.writeString(deviceId);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        String deviceNo = getDeviceNo();
                        parcel2.writeNoException();
                        parcel2.writeString(deviceNo);
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceAccountId = getSourceAccountId();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceAccountId);
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sourceAccountName = getSourceAccountName();
                        parcel2.writeNoException();
                        parcel2.writeString(sourceAccountName);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        String accountAvatar = getAccountAvatar();
                        parcel2.writeNoException();
                        parcel2.writeString(accountAvatar);
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        String userRequestTime = getUserRequestTime();
                        parcel2.writeNoException();
                        parcel2.writeString(userRequestTime);
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        String bindingId = getBindingId();
                        parcel2.writeNoException();
                        parcel2.writeString(bindingId);
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        String bindingAck = getBindingAck();
                        parcel2.writeNoException();
                        parcel2.writeString(bindingAck);
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        String carLoginEnvironment = getCarLoginEnvironment();
                        parcel2.writeNoException();
                        parcel2.writeString(carLoginEnvironment);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    String getAccountAvatar() throws RemoteException;

    int getAccountLoginStatus() throws RemoteException;

    String getBindingAck() throws RemoteException;

    String getBindingId() throws RemoteException;

    String getCarLoginEnvironment() throws RemoteException;

    String getDeviceId() throws RemoteException;

    String getDeviceNo() throws RemoteException;

    String getSourceAccount() throws RemoteException;

    String getSourceAccountId() throws RemoteException;

    String getSourceAccountName() throws RemoteException;

    String getSourceAccountToken() throws RemoteException;

    String getSourceApp() throws RemoteException;

    String getSourceAppName() throws RemoteException;

    String getSourceAutoAccount() throws RemoteException;

    String getUserRequestTime() throws RemoteException;
}
