package com.geely.lib.oneosapi.user;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IUserInfo extends IInterface {

    public static class Default implements IUserInfo {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getAddress() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public int getAge() throws RemoteException {
            return 0;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getAvatarURL() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getBirthday() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getCarModel() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getDateOfBirth() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getEmail() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getIsNoSecretLogin() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getLevel() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getLevelName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getLoginAccountType() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getMobile() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getName() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getNickname() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getSex() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public String getUserId() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.user.IUserInfo
        public boolean isGIDUser() throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IUserInfo {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.user.IUserInfo";
        public static final int TRANSACTION_getAddress = 12;
        public static final int TRANSACTION_getAge = 5;
        public static final int TRANSACTION_getAvatarURL = 3;
        public static final int TRANSACTION_getBirthday = 15;
        public static final int TRANSACTION_getCarModel = 9;
        public static final int TRANSACTION_getDateOfBirth = 6;
        public static final int TRANSACTION_getEmail = 14;
        public static final int TRANSACTION_getIsNoSecretLogin = 17;
        public static final int TRANSACTION_getLevel = 10;
        public static final int TRANSACTION_getLevelName = 11;
        public static final int TRANSACTION_getLoginAccountType = 16;
        public static final int TRANSACTION_getMobile = 1;
        public static final int TRANSACTION_getName = 2;
        public static final int TRANSACTION_getNickname = 13;
        public static final int TRANSACTION_getSex = 4;
        public static final int TRANSACTION_getUserId = 8;
        public static final int TRANSACTION_isGIDUser = 7;

        public static class Proxy implements IUserInfo {
            public static IUserInfo sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getAddress() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(12, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAddress();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public int getAge() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAge();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getAvatarURL() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getAvatarURL();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getBirthday() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(15, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getBirthday();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getCarModel() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(9, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCarModel();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getDateOfBirth() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getDateOfBirth();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getEmail() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(14, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getEmail();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getIsNoSecretLogin() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(17, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getIsNoSecretLogin();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getLevel() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(10, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLevel();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getLevelName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(11, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLevelName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getLoginAccountType() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(16, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLoginAccountType();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getMobile() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getMobile();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getName() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getName();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getNickname() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(13, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getNickname();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getSex() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getSex();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public String getUserId() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(8, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getUserId();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.user.IUserInfo
            public boolean isGIDUser() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().isGIDUser();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IUserInfo asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IUserInfo)) {
                return new Proxy(iBinder);
            }
            return (IUserInfo) queryLocalInterface;
        }

        public static IUserInfo getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IUserInfo iUserInfo) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iUserInfo == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iUserInfo;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        String mobile = getMobile();
                        parcel2.writeNoException();
                        parcel2.writeString(mobile);
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        String name = getName();
                        parcel2.writeNoException();
                        parcel2.writeString(name);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        String avatarURL = getAvatarURL();
                        parcel2.writeNoException();
                        parcel2.writeString(avatarURL);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        String sex = getSex();
                        parcel2.writeNoException();
                        parcel2.writeString(sex);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        int age = getAge();
                        parcel2.writeNoException();
                        parcel2.writeInt(age);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        String dateOfBirth = getDateOfBirth();
                        parcel2.writeNoException();
                        parcel2.writeString(dateOfBirth);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean isGIDUser = isGIDUser();
                        parcel2.writeNoException();
                        parcel2.writeInt(isGIDUser ? 1 : 0);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        String userId = getUserId();
                        parcel2.writeNoException();
                        parcel2.writeString(userId);
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        String carModel = getCarModel();
                        parcel2.writeNoException();
                        parcel2.writeString(carModel);
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        String level = getLevel();
                        parcel2.writeNoException();
                        parcel2.writeString(level);
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        String levelName = getLevelName();
                        parcel2.writeNoException();
                        parcel2.writeString(levelName);
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        String address = getAddress();
                        parcel2.writeNoException();
                        parcel2.writeString(address);
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        String nickname = getNickname();
                        parcel2.writeNoException();
                        parcel2.writeString(nickname);
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        String email = getEmail();
                        parcel2.writeNoException();
                        parcel2.writeString(email);
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        String birthday = getBirthday();
                        parcel2.writeNoException();
                        parcel2.writeString(birthday);
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        String loginAccountType = getLoginAccountType();
                        parcel2.writeNoException();
                        parcel2.writeString(loginAccountType);
                        return true;
                    case 17:
                        parcel.enforceInterface(DESCRIPTOR);
                        String isNoSecretLogin = getIsNoSecretLogin();
                        parcel2.writeNoException();
                        parcel2.writeString(isNoSecretLogin);
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    String getAddress() throws RemoteException;

    int getAge() throws RemoteException;

    String getAvatarURL() throws RemoteException;

    String getBirthday() throws RemoteException;

    String getCarModel() throws RemoteException;

    String getDateOfBirth() throws RemoteException;

    String getEmail() throws RemoteException;

    String getIsNoSecretLogin() throws RemoteException;

    String getLevel() throws RemoteException;

    String getLevelName() throws RemoteException;

    String getLoginAccountType() throws RemoteException;

    String getMobile() throws RemoteException;

    String getName() throws RemoteException;

    String getNickname() throws RemoteException;

    String getSex() throws RemoteException;

    String getUserId() throws RemoteException;

    boolean isGIDUser() throws RemoteException;
}
