package com.geely.lib.oneosapi.user.api;

import com.geely.lib.oneosapi.user.bean.AccountInfo;
import com.geely.lib.oneosapi.user.bean.SourceAccountInfo;
import com.geely.lib.oneosapi.user.bean.UserInfo;

public interface InternalUserAPI {
    boolean fastLogin(UserInfo userInfo);

    String getAccessToken();

    AccountInfo getAccountInfo();

    String getCommonData(int i);

    String getCurrentUserProfile();

    IUserInfo getLoginUser();

    String getPolicyContent(String str, String str2);

    SourceAccountInfo getSourceAccountInfo();

    String getToken();

    String getUserProfileName();

    boolean hasLogin();

    boolean hideBackView();

    boolean isAutoAccountAuthorized(IAuthorizeCallback iAuthorizeCallback);

    boolean isBackShow();

    boolean isThirdAppAuthorized(String str, IThirdAppAuthCallback iThirdAppAuthCallback);

    boolean launchLogin();

    boolean launchLogin(String str, String str2, boolean z);

    boolean launchToLogin(boolean z);

    boolean launchToUserFeedback(boolean z);

    String login(String str);

    Boolean logout();

    boolean notifyTokenExpired();

    String refreshToken();

    UserInfo refreshUserInfo();

    boolean saveUserProfile(String str);

    void sendAutoAccountInfo(IAutoAccountInfo iAutoAccountInfo);

    void setCommonData(String str, int i);

    boolean setCurrentUserProfile(String str);

    boolean setLoginCallback(ILoginCallback iLoginCallback);

    boolean showBackView();

    boolean unregisterLoginCallback(ILoginCallback iLoginCallback);
}
