package com.geely.lib.oneosapi.vr;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.vr.ISpeechRecognitionCallback;
import com.geely.lib.oneosapi.vr.ITtsCallback;
import com.geely.lib.oneosapi.vr.IVRDialogStatusChangedListener;

public interface IVrService extends IInterface {

    public static class Default implements IVrService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void closeDialogue(String str, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void disableVR(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void enableVR(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void onPageChange(String str, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void registerVRDialogStatusChangedListener(IVRDialogStatusChangedListener iVRDialogStatusChangedListener, String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void speak(String str, boolean z, int i, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void speakIncomingCall(String str, String str2) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public String startDialogWithCallback(String str, String str2, ITtsCallback iTtsCallback) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public String startDialogue(String str, String str2) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public String startDialogueByType(int i, String str) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public boolean startSpeechRecognition(String str, long j, long j2, ISpeechRecognitionCallback iSpeechRecognitionCallback) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void stopSpeechRecognition(String str) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void stopSpeechRecognitionByTime(String str, long j) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public String toggleDialogue(String str) throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void trackData(String str, String str2, String str3, String str4, String str5) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.vr.IVrService
        public void unregisterVRDialogStatusChangedListener(IVRDialogStatusChangedListener iVRDialogStatusChangedListener, String str) throws RemoteException {
        }
    }

    public static abstract class Stub extends Binder implements IVrService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.vr.IVrService";
        public static final int TRANSACTION_closeDialogue = 3;
        public static final int TRANSACTION_disableVR = 7;
        public static final int TRANSACTION_enableVR = 8;
        public static final int TRANSACTION_onPageChange = 10;
        public static final int TRANSACTION_registerVRDialogStatusChangedListener = 15;
        public static final int TRANSACTION_speak = 1;
        public static final int TRANSACTION_speakIncomingCall = 4;
        public static final int TRANSACTION_startDialogWithCallback = 6;
        public static final int TRANSACTION_startDialogue = 2;
        public static final int TRANSACTION_startDialogueByType = 5;
        public static final int TRANSACTION_startSpeechRecognition = 11;
        public static final int TRANSACTION_stopSpeechRecognition = 12;
        public static final int TRANSACTION_stopSpeechRecognitionByTime = 13;
        public static final int TRANSACTION_toggleDialogue = 14;
        public static final int TRANSACTION_trackData = 9;
        public static final int TRANSACTION_unregisterVRDialogStatusChangedListener = 16;

        public static class Proxy implements IVrService {
            public static IVrService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void closeDialogue(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(3, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().closeDialogue(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void disableVR(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(7, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().disableVR(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void enableVR(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().enableVR(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void onPageChange(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(10, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().onPageChange(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void registerVRDialogStatusChangedListener(IVRDialogStatusChangedListener iVRDialogStatusChangedListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iVRDialogStatusChangedListener != null ? iVRDialogStatusChangedListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(15, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().registerVRDialogStatusChangedListener(iVRDialogStatusChangedListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void speak(String str, boolean z, int i, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeInt(z ? 1 : 0);
                    obtain.writeInt(i);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().speak(str, z, i, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void speakIncomingCall(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (this.mRemote.transact(4, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().speakIncomingCall(str, str2);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public String startDialogWithCallback(String str, String str2, ITtsCallback iTtsCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeStrongBinder(iTtsCallback != null ? iTtsCallback.asBinder() : null);
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().startDialogWithCallback(str, str2, iTtsCallback);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public String startDialogue(String str, String str2) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    if (!this.mRemote.transact(2, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().startDialogue(str, str2);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public String startDialogueByType(int i, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(i);
                    obtain.writeString(str);
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().startDialogueByType(i, str);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public boolean startSpeechRecognition(String str, long j, long j2, ISpeechRecognitionCallback iSpeechRecognitionCallback) throws RemoteException {
                Throwable th;
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeLong(j);
                    obtain.writeLong(j2);
                    obtain.writeStrongBinder(iSpeechRecognitionCallback != null ? iSpeechRecognitionCallback.asBinder() : null);
                    try {
                        boolean z = false;
                        if (this.mRemote.transact(11, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                            obtain2.readException();
                            if (obtain2.readInt() != 0) {
                                z = true;
                            }
                            obtain2.recycle();
                            obtain.recycle();
                            return z;
                        }
                        boolean startSpeechRecognition = Stub.getDefaultImpl().startSpeechRecognition(str, j, j2, iSpeechRecognitionCallback);
                        obtain2.recycle();
                        obtain.recycle();
                        return startSpeechRecognition;
                    } catch (Throwable th2) {
                        th = th2;
                        obtain2.recycle();
                        obtain.recycle();
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    obtain2.recycle();
                    obtain.recycle();
                    throw th;
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void stopSpeechRecognition(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (this.mRemote.transact(12, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().stopSpeechRecognition(str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void stopSpeechRecognitionByTime(String str, long j) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeLong(j);
                    if (this.mRemote.transact(13, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().stopSpeechRecognitionByTime(str, j);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public String toggleDialogue(String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    if (!this.mRemote.transact(14, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().toggleDialogue(str);
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void trackData(String str, String str2, String str3, String str4, String str5) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeString(str2);
                    obtain.writeString(str3);
                    obtain.writeString(str4);
                    obtain.writeString(str5);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().trackData(str, str2, str3, str4, str5);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.vr.IVrService
            public void unregisterVRDialogStatusChangedListener(IVRDialogStatusChangedListener iVRDialogStatusChangedListener, String str) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeStrongBinder(iVRDialogStatusChangedListener != null ? iVRDialogStatusChangedListener.asBinder() : null);
                    obtain.writeString(str);
                    if (this.mRemote.transact(16, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().unregisterVRDialogStatusChangedListener(iVRDialogStatusChangedListener, str);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IVrService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IVrService)) {
                return new Proxy(iBinder);
            }
            return (IVrService) queryLocalInterface;
        }

        public static IVrService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IVrService iVrService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iVrService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iVrService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        speak(parcel.readString(), parcel.readInt() != 0, parcel.readInt(), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        String startDialogue = startDialogue(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeString(startDialogue);
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        closeDialogue(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        speakIncomingCall(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        String startDialogueByType = startDialogueByType(parcel.readInt(), parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeString(startDialogueByType);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        String startDialogWithCallback = startDialogWithCallback(parcel.readString(), parcel.readString(), ITtsCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeString(startDialogWithCallback);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        disableVR(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        enableVR(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        trackData(parcel.readString(), parcel.readString(), parcel.readString(), parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 10:
                        parcel.enforceInterface(DESCRIPTOR);
                        onPageChange(parcel.readString(), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 11:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean startSpeechRecognition = startSpeechRecognition(parcel.readString(), parcel.readLong(), parcel.readLong(), ISpeechRecognitionCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        parcel2.writeInt(startSpeechRecognition ? 1 : 0);
                        return true;
                    case 12:
                        parcel.enforceInterface(DESCRIPTOR);
                        stopSpeechRecognition(parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 13:
                        parcel.enforceInterface(DESCRIPTOR);
                        stopSpeechRecognitionByTime(parcel.readString(), parcel.readLong());
                        parcel2.writeNoException();
                        return true;
                    case 14:
                        parcel.enforceInterface(DESCRIPTOR);
                        String str = toggleDialogue(parcel.readString());
                        parcel2.writeNoException();
                        parcel2.writeString(str);
                        return true;
                    case 15:
                        parcel.enforceInterface(DESCRIPTOR);
                        registerVRDialogStatusChangedListener(IVRDialogStatusChangedListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    case 16:
                        parcel.enforceInterface(DESCRIPTOR);
                        unregisterVRDialogStatusChangedListener(IVRDialogStatusChangedListener.Stub.asInterface(parcel.readStrongBinder()), parcel.readString());
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    void closeDialogue(String str, String str2) throws RemoteException;

    void disableVR(String str) throws RemoteException;

    void enableVR(String str) throws RemoteException;

    void onPageChange(String str, String str2) throws RemoteException;

    void registerVRDialogStatusChangedListener(IVRDialogStatusChangedListener iVRDialogStatusChangedListener, String str) throws RemoteException;

    void speak(String str, boolean z, int i, String str2) throws RemoteException;

    void speakIncomingCall(String str, String str2) throws RemoteException;

    String startDialogWithCallback(String str, String str2, ITtsCallback iTtsCallback) throws RemoteException;

    String startDialogue(String str, String str2) throws RemoteException;

    String startDialogueByType(int i, String str) throws RemoteException;

    boolean startSpeechRecognition(String str, long j, long j2, ISpeechRecognitionCallback iSpeechRecognitionCallback) throws RemoteException;

    void stopSpeechRecognition(String str) throws RemoteException;

    void stopSpeechRecognitionByTime(String str, long j) throws RemoteException;

    String toggleDialogue(String str) throws RemoteException;

    void trackData(String str, String str2, String str3, String str4, String str5) throws RemoteException;

    void unregisterVRDialogStatusChangedListener(IVRDialogStatusChangedListener iVRDialogStatusChangedListener, String str) throws RemoteException;
}
