package com.geely.lib.oneosapi.weather;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;
import com.geely.lib.oneosapi.weather.IWeatherAPICallback;
import com.geely.lib.oneosapi.weather.IWeatherCallback;

public interface IWeatherService extends IInterface {

    public static class Default implements IWeatherService {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public boolean getCurrentCity() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public String getLocationCity() throws RemoteException {
            return null;
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public boolean getLocationPermission() throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public void getWeatherByCityId(String str, IWeatherAPICallback iWeatherAPICallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public void getWeatherByLocation(double d, double d2, IWeatherAPICallback iWeatherAPICallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public void getWeatherInfoByCityId(String str, IWeatherCallback iWeatherCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public void getWeatherInfoByLocation(double d, double d2, IWeatherCallback iWeatherCallback) throws RemoteException {
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public boolean setCurrentCity(boolean z) throws RemoteException {
            return false;
        }

        @Override // com.geely.lib.oneosapi.weather.IWeatherService
        public boolean setLocationPermission(boolean z) throws RemoteException {
            return false;
        }
    }

    public static abstract class Stub extends Binder implements IWeatherService {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.weather.IWeatherService";
        public static final int TRANSACTION_getCurrentCity = 6;
        public static final int TRANSACTION_getLocationCity = 7;
        public static final int TRANSACTION_getLocationPermission = 5;
        public static final int TRANSACTION_getWeatherByCityId = 2;
        public static final int TRANSACTION_getWeatherByLocation = 1;
        public static final int TRANSACTION_getWeatherInfoByCityId = 9;
        public static final int TRANSACTION_getWeatherInfoByLocation = 8;
        public static final int TRANSACTION_setCurrentCity = 4;
        public static final int TRANSACTION_setLocationPermission = 3;

        public static class Proxy implements IWeatherService {
            public static IWeatherService sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public boolean getCurrentCity() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(6, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getCurrentCity();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public String getLocationCity() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(7, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLocationCity();
                    }
                    obtain2.readException();
                    String readString = obtain2.readString();
                    obtain2.recycle();
                    obtain.recycle();
                    return readString;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public boolean getLocationPermission() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    boolean z = false;
                    if (!this.mRemote.transact(5, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getLocationPermission();
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public void getWeatherByCityId(String str, IWeatherAPICallback iWeatherAPICallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iWeatherAPICallback != null ? iWeatherAPICallback.asBinder() : null);
                    if (this.mRemote.transact(2, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getWeatherByCityId(str, iWeatherAPICallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public void getWeatherByLocation(double d, double d2, IWeatherAPICallback iWeatherAPICallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeDouble(d);
                    obtain.writeDouble(d2);
                    obtain.writeStrongBinder(iWeatherAPICallback != null ? iWeatherAPICallback.asBinder() : null);
                    if (this.mRemote.transact(1, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getWeatherByLocation(d, d2, iWeatherAPICallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public void getWeatherInfoByCityId(String str, IWeatherCallback iWeatherCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeString(str);
                    obtain.writeStrongBinder(iWeatherCallback != null ? iWeatherCallback.asBinder() : null);
                    if (this.mRemote.transact(9, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getWeatherInfoByCityId(str, iWeatherCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public void getWeatherInfoByLocation(double d, double d2, IWeatherCallback iWeatherCallback) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeDouble(d);
                    obtain.writeDouble(d2);
                    obtain.writeStrongBinder(iWeatherCallback != null ? iWeatherCallback.asBinder() : null);
                    if (this.mRemote.transact(8, obtain, obtain2, 0) || Stub.getDefaultImpl() == null) {
                        obtain2.readException();
                        obtain2.recycle();
                        obtain.recycle();
                        return;
                    }
                    Stub.getDefaultImpl().getWeatherInfoByLocation(d, d2, iWeatherCallback);
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public boolean setCurrentCity(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(4, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setCurrentCity(z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }

            @Override // com.geely.lib.oneosapi.weather.IWeatherService
            public boolean setLocationPermission(boolean z) throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    obtain.writeInt(z ? 1 : 0);
                    boolean z2 = false;
                    if (!this.mRemote.transact(3, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().setLocationPermission(z);
                    }
                    obtain2.readException();
                    if (obtain2.readInt() != 0) {
                        z2 = true;
                    }
                    obtain2.recycle();
                    obtain.recycle();
                    return z2;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IWeatherService asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IWeatherService)) {
                return new Proxy(iBinder);
            }
            return (IWeatherService) queryLocalInterface;
        }

        public static IWeatherService getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IWeatherService iWeatherService) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iWeatherService == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iWeatherService;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i != 1598968902) {
                boolean z = false;
                switch (i) {
                    case 1:
                        parcel.enforceInterface(DESCRIPTOR);
                        getWeatherByLocation(parcel.readDouble(), parcel.readDouble(), IWeatherAPICallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 2:
                        parcel.enforceInterface(DESCRIPTOR);
                        getWeatherByCityId(parcel.readString(), IWeatherAPICallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 3:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        boolean locationPermission = setLocationPermission(z);
                        parcel2.writeNoException();
                        parcel2.writeInt(locationPermission ? 1 : 0);
                        return true;
                    case 4:
                        parcel.enforceInterface(DESCRIPTOR);
                        if (parcel.readInt() != 0) {
                            z = true;
                        }
                        boolean currentCity = setCurrentCity(z);
                        parcel2.writeNoException();
                        parcel2.writeInt(currentCity ? 1 : 0);
                        return true;
                    case 5:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean locationPermission2 = getLocationPermission();
                        parcel2.writeNoException();
                        parcel2.writeInt(locationPermission2 ? 1 : 0);
                        return true;
                    case 6:
                        parcel.enforceInterface(DESCRIPTOR);
                        boolean currentCity2 = getCurrentCity();
                        parcel2.writeNoException();
                        parcel2.writeInt(currentCity2 ? 1 : 0);
                        return true;
                    case 7:
                        parcel.enforceInterface(DESCRIPTOR);
                        String locationCity = getLocationCity();
                        parcel2.writeNoException();
                        parcel2.writeString(locationCity);
                        return true;
                    case 8:
                        parcel.enforceInterface(DESCRIPTOR);
                        getWeatherInfoByLocation(parcel.readDouble(), parcel.readDouble(), IWeatherCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    case 9:
                        parcel.enforceInterface(DESCRIPTOR);
                        getWeatherInfoByCityId(parcel.readString(), IWeatherCallback.Stub.asInterface(parcel.readStrongBinder()));
                        parcel2.writeNoException();
                        return true;
                    default:
                        return super.onTransact(i, parcel, parcel2, i2);
                }
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    boolean getCurrentCity() throws RemoteException;

    String getLocationCity() throws RemoteException;

    boolean getLocationPermission() throws RemoteException;

    void getWeatherByCityId(String str, IWeatherAPICallback iWeatherAPICallback) throws RemoteException;

    void getWeatherByLocation(double d, double d2, IWeatherAPICallback iWeatherAPICallback) throws RemoteException;

    void getWeatherInfoByCityId(String str, IWeatherCallback iWeatherCallback) throws RemoteException;

    void getWeatherInfoByLocation(double d, double d2, IWeatherCallback iWeatherCallback) throws RemoteException;

    boolean setCurrentCity(boolean z) throws RemoteException;

    boolean setLocationPermission(boolean z) throws RemoteException;
}
