package com.geely.lib.oneosapi.wechat;

import android.os.Binder;
import android.os.IBinder;
import android.os.IInterface;
import android.os.Parcel;
import android.os.RemoteException;

public interface IWeChatManager extends IInterface {

    public static class Default implements IWeChatManager {
        public IBinder asBinder() {
            return null;
        }

        @Override // com.geely.lib.oneosapi.wechat.IWeChatManager
        public int getWeChatVoipState() throws RemoteException {
            return 0;
        }
    }

    public static abstract class Stub extends Binder implements IWeChatManager {
        private static final String DESCRIPTOR = "com.geely.lib.oneosapi.wechat.IWeChatManager";
        public static final int TRANSACTION_getWeChatVoipState = 1;

        public static class Proxy implements IWeChatManager {
            public static IWeChatManager sDefaultImpl;
            private IBinder mRemote;

            public Proxy(IBinder iBinder) {
                this.mRemote = iBinder;
            }

            public IBinder asBinder() {
                return this.mRemote;
            }

            public String getInterfaceDescriptor() {
                return Stub.DESCRIPTOR;
            }

            @Override // com.geely.lib.oneosapi.wechat.IWeChatManager
            public int getWeChatVoipState() throws RemoteException {
                Parcel obtain = Parcel.obtain();
                Parcel obtain2 = Parcel.obtain();
                try {
                    obtain.writeInterfaceToken(Stub.DESCRIPTOR);
                    if (!this.mRemote.transact(1, obtain, obtain2, 0) && Stub.getDefaultImpl() != null) {
                        return Stub.getDefaultImpl().getWeChatVoipState();
                    }
                    obtain2.readException();
                    int readInt = obtain2.readInt();
                    obtain2.recycle();
                    obtain.recycle();
                    return readInt;
                } finally {
                    obtain2.recycle();
                    obtain.recycle();
                }
            }
        }

        public Stub() {
            attachInterface(this, DESCRIPTOR);
        }

        public static IWeChatManager asInterface(IBinder iBinder) {
            if (iBinder == null) {
                return null;
            }
            IInterface queryLocalInterface = iBinder.queryLocalInterface(DESCRIPTOR);
            if (queryLocalInterface == null || !(queryLocalInterface instanceof IWeChatManager)) {
                return new Proxy(iBinder);
            }
            return (IWeChatManager) queryLocalInterface;
        }

        public static IWeChatManager getDefaultImpl() {
            return Proxy.sDefaultImpl;
        }

        public static boolean setDefaultImpl(IWeChatManager iWeChatManager) {
            if (Proxy.sDefaultImpl != null) {
                throw new IllegalStateException("setDefaultImpl() called twice");
            } else if (iWeChatManager == null) {
                return false;
            } else {
                Proxy.sDefaultImpl = iWeChatManager;
                return true;
            }
        }

        public IBinder asBinder() {
            return this;
        }

        @Override // android.os.Binder
        public boolean onTransact(int i, Parcel parcel, Parcel parcel2, int i2) throws RemoteException {
            if (i == 1) {
                parcel.enforceInterface(DESCRIPTOR);
                int weChatVoipState = getWeChatVoipState();
                parcel2.writeNoException();
                parcel2.writeInt(weChatVoipState);
                return true;
            } else if (i != 1598968902) {
                return super.onTransact(i, parcel, parcel2, i2);
            } else {
                parcel2.writeString(DESCRIPTOR);
                return true;
            }
        }
    }

    int getWeChatVoipState() throws RemoteException;
}
