package com.geely.lib.oneosapi.wechat;

import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import com.geely.lib.oneosapi.common.ServiceBaseManager;
import com.geely.lib.oneosapi.wechat.IWeChatManager;

public class WeChatManager implements ServiceBaseManager {
    private static final String TAG = "WeChatManager";
    private IWeChatManager mService;

    public WeChatManager(IBinder iBinder) {
        initService(iBinder);
    }

    private void initService(IBinder iBinder) {
        if (iBinder != null) {
            this.mService = IWeChatManager.Stub.asInterface(iBinder);
        }
    }

    public int getWeChatVoidState() {
        IWeChatManager iWeChatManager = this.mService;
        if (iWeChatManager != null) {
            try {
                return iWeChatManager.getWeChatVoipState();
            } catch (RemoteException e) {
                Log.e(TAG, Log.getStackTraceString(e));
            }
        }
        Log.d(TAG, "mService == null");
        return -1;
    }

    @Override // com.geely.lib.oneosapi.common.ServiceBaseManager
    public void setService(IBinder iBinder) {
        initService(iBinder);
    }
}
