package com.geely.toolchain.hmi.dialog;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;

public abstract class AbstractHmiLastMsgHandler extends Handler {
    private int count = 0;

    /* access modifiers changed from: protected */
    public abstract void handleLastMessage(Message message);

    public AbstractHmiLastMsgHandler(Looper looper) {
        super(looper);
    }

    public final synchronized void increaseCount() {
        this.count++;
    }

    public final void sendMsg() {
        sendMsgDelayed(0);
    }

    public final void sendMsgDelayed(long j) {
        increaseCount();
        if (j <= 0) {
            sendEmptyMessage(0);
        } else {
            sendEmptyMessageDelayed(0, j);
        }
    }

    public final synchronized void clearAll() {
        this.count = 0;
        removeCallbacksAndMessages(null);
    }

    public final synchronized void handleMessage(Message message) {
        super.handleMessage(message);
        int i = this.count - 1;
        this.count = i;
        if (i < 0) {
            throw new IllegalStateException("count数异常");
        } else if (i == 0) {
            handleLastMessage(message);
        }
    }
}
