package com.geely.toolchain.hmi.dialog;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.view.HmiImageView;
import com.geely.toolchain.hmi.view.HmiStateButton;
import com.geely.toolchain.hmi.view.HmiTextView;

public class HmiAddCustomViewDoubleButtonSmallDialog extends BaseHmiDialogFragment {
    private int hmiCloseResourceId = R.drawable.oneoshmi_ic_dialog_close;
    private String hmiLeftBtnText;
    private String hmiRightBtnText;
    private String hmiTitle;
    private View hmiView;
    private HmiImageView mCloseIcon;
    private LinearLayout mCustomView;
    private HmiCloseListener mHmiCloseListener;
    private HmiSelectListener mHmiSelectListener;
    private HmiStateButton mLeftBtn;
    private HmiStateButton mRightBtn;
    private FrameLayout mRootView;
    private HmiTextView mTitle;

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment
    public int setLayoutId() {
        return R.layout.hmi_add_custom_view_double_button_small_dialog;
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (bundle != null) {
            this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
            this.hmiCloseResourceId = bundle.getInt("hmiCloseResourceId", this.hmiCloseResourceId);
            this.hmiLeftBtnText = bundle.getString("hmiLeftBtnText", this.hmiLeftBtnText);
            this.hmiRightBtnText = bundle.getString("hmiRightBtnText", this.hmiRightBtnText);
        }
        initView(view);
        initData();
    }

    private void initView(View view) {
        this.mTitle = (HmiTextView) view.findViewById(R.id.title);
        this.mCloseIcon = (HmiImageView) view.findViewById(R.id.close);
        this.mLeftBtn = (HmiStateButton) view.findViewById(R.id.leftBtn);
        this.mRightBtn = (HmiStateButton) view.findViewById(R.id.rightBtn);
        this.mRootView = (FrameLayout) view.findViewById(R.id.rootView);
        this.mCustomView = (LinearLayout) view.findViewById(R.id.customView);
        this.mLeftBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiAddCustomViewDoubleButtonSmallDialog$qQ2ImEQhnh3UZS7l0edLZEhPeg */

            public final void onClick(View view) {
                HmiAddCustomViewDoubleButtonSmallDialog.this.lambda$initView$0$HmiAddCustomViewDoubleButtonSmallDialog(view);
            }
        });
        this.mRightBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiAddCustomViewDoubleButtonSmallDialog$d2GHQdkhsrVw8Yl1hiXZi4Rrkso */

            public final void onClick(View view) {
                HmiAddCustomViewDoubleButtonSmallDialog.this.lambda$initView$1$HmiAddCustomViewDoubleButtonSmallDialog(view);
            }
        });
        this.mCloseIcon.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiAddCustomViewDoubleButtonSmallDialog$juYxv0mlZEWMpWFT_fjDe_3D2IY */

            public final void onClick(View view) {
                HmiAddCustomViewDoubleButtonSmallDialog.this.lambda$initView$2$HmiAddCustomViewDoubleButtonSmallDialog(view);
            }
        });
    }

    public /* synthetic */ void lambda$initView$0$HmiAddCustomViewDoubleButtonSmallDialog(View view) {
        HmiSelectListener hmiSelectListener = this.mHmiSelectListener;
        if (hmiSelectListener != null) {
            hmiSelectListener.leftAction(this);
        } else {
            Log.d(this.TAG, "leftAction mHmiSelectListener is null");
        }
    }

    public /* synthetic */ void lambda$initView$1$HmiAddCustomViewDoubleButtonSmallDialog(View view) {
        HmiSelectListener hmiSelectListener = this.mHmiSelectListener;
        if (hmiSelectListener != null) {
            hmiSelectListener.rightAction(this);
        } else {
            Log.d(this.TAG, "rightAction mHmiSelectListener is null");
        }
    }

    public /* synthetic */ void lambda$initView$2$HmiAddCustomViewDoubleButtonSmallDialog(View view) {
        HmiCloseListener hmiCloseListener = this.mHmiCloseListener;
        if (hmiCloseListener != null) {
            hmiCloseListener.hmiClose(this);
            return;
        }
        Log.d(this.TAG, "initView: mHmiCloseListener is null");
        dismiss();
    }

    private void initData() {
        this.mTitle.setText(this.hmiTitle);
        this.mLeftBtn.setText(this.hmiLeftBtnText);
        this.mRightBtn.setText(this.hmiRightBtnText);
        this.mCloseIcon.setImageResource(this.hmiCloseResourceId);
        View view = this.hmiView;
        if (view != null) {
            this.mCustomView.addView(view);
        } else {
            Log.e(this.TAG, "initData: hmiView  is null");
        }
    }

    private void hmiConfigChange() {
        Context context = getContext();
        if (context != null) {
            this.mRootView.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_bg));
            this.mTitle.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_title_color));
            this.mLeftBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_color_click_default), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
            this.mRightBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_dialog_un_select_btn_bg_color), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
            this.mLeftBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_select_btn_text_color));
            this.mRightBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_unselect_btn_text_color));
        }
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        hmiConfigChange();
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Log.d(this.TAG, this.TAG + " onSaveInstanceState");
        bundle.putString("hmiTitle", this.hmiTitle);
        bundle.putInt("hmiCloseResourceId", this.hmiCloseResourceId);
        bundle.putString("hmiLeftBtnText", this.hmiLeftBtnText);
        bundle.putString("hmiRightBtnText", this.hmiRightBtnText);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewStateRestored(Bundle bundle) {
        super.onViewStateRestored(bundle);
        if (bundle == null) {
            Log.d(this.TAG, "onViewStateRestored: savedInstanceState is null");
            return;
        }
        this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
        this.hmiCloseResourceId = bundle.getInt("hmiCloseResourceId", this.hmiCloseResourceId);
        this.hmiLeftBtnText = bundle.getString("hmiLeftBtnText", this.hmiLeftBtnText);
        this.hmiRightBtnText = bundle.getString("hmiRightBtnText", this.hmiRightBtnText);
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiAddView(View view) {
        Log.d(this.TAG, "setHmiAddView: " + view.toString());
        this.hmiView = view;
        return this;
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiTitle(String str) {
        Log.d(this.TAG, "setHmiTitle: " + str);
        this.hmiTitle = str;
        return this;
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiCloseResourceId(int i) {
        Log.d(this.TAG, "setHmiCloseResourceId: " + i);
        this.hmiCloseResourceId = i;
        return this;
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiLeftBtnText(String str) {
        Log.d(this.TAG, "setHmiLeftBtnText: " + str);
        this.hmiLeftBtnText = str;
        return this;
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiRightBtnText(String str) {
        Log.d(this.TAG, "setHmiRightBtnText: " + str);
        this.hmiRightBtnText = str;
        return this;
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiSelectListener(HmiSelectListener hmiSelectListener) {
        Log.d(this.TAG, "setHmiSelectListener: run");
        this.mHmiSelectListener = hmiSelectListener;
        return this;
    }

    public HmiAddCustomViewDoubleButtonSmallDialog setHmiCloseListener(HmiCloseListener hmiCloseListener) {
        Log.d(this.TAG, "setHmiCloseListener: run");
        this.mHmiCloseListener = hmiCloseListener;
        return this;
    }
}
