package com.geely.toolchain.hmi.dialog;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.view.HmiImageView;
import com.geely.toolchain.hmi.view.HmiTextView;
import java.util.ArrayList;

public class HmiAddCustomViewLargeDialog extends BaseHmiDialogFragment {
    private int flagSelectIndex = 0;
    private int hmiCloseResourceId = R.drawable.oneoshmi_ic_dialog_close;
    private ArrayList<String> hmiTitles;
    private View hmiView;
    private HmiImageView mCloseIcon;
    private LinearLayout mCustomView;
    private HmiCloseListener mHmiCloseListener;
    private HmiSelectTitleListener mHmiSelectTitleListener;
    private FrameLayout mRootView;
    private HmiTextView[] mTitles;
    private int maxItems = 3;

    public interface HmiSelectTitleListener {
        void selectTab(int i);
    }

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment
    public int setLayoutId() {
        return R.layout.hmi_add_custom_view_large_dialog;
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        Log.i(this.TAG, "onViewCreated: run");
        if (bundle != null) {
            this.hmiTitles = bundle.getStringArrayList("hmiTitle");
            this.hmiCloseResourceId = bundle.getInt("hmiCloseResourceId", this.hmiCloseResourceId);
            this.flagSelectIndex = bundle.getInt("flagSelectIndex", this.flagSelectIndex);
        }
        this.mTitles = new HmiTextView[this.maxItems];
        initView(view);
        initData();
    }

    private void initView(View view) {
        Log.i(this.TAG, "initView: run");
        this.mTitles[0] = (HmiTextView) view.findViewById(R.id.title1);
        this.mTitles[1] = (HmiTextView) view.findViewById(R.id.title2);
        this.mTitles[2] = (HmiTextView) view.findViewById(R.id.title3);
        this.mCloseIcon = (HmiImageView) view.findViewById(R.id.close);
        this.mRootView = (FrameLayout) view.findViewById(R.id.rootView);
        this.mCustomView = (LinearLayout) view.findViewById(R.id.customView);
        setTitlesColor(this.flagSelectIndex);
        this.mCloseIcon.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiAddCustomViewLargeDialog$UGhacFFcK5Zkt9wrHUtrT61M_sA */

            public final void onClick(View view) {
                HmiAddCustomViewLargeDialog.this.lambda$initView$0$HmiAddCustomViewLargeDialog(view);
            }
        });
        for (int i = 0; i < this.hmiTitles.size(); i++) {
            this.mTitles[i].setVisibility(0);
            this.mTitles[i].setOnClickListener(new View.OnClickListener(i) {
                /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiAddCustomViewLargeDialog$4bvcCkxAX8ASX6SozpqizaEWTiY */
                public final /* synthetic */ int f$1;

                {
                    this.f$1 = r2;
                }

                public final void onClick(View view) {
                    HmiAddCustomViewLargeDialog.this.lambda$initView$1$HmiAddCustomViewLargeDialog(this.f$1, view);
                }
            });
        }
    }

    public /* synthetic */ void lambda$initView$0$HmiAddCustomViewLargeDialog(View view) {
        HmiCloseListener hmiCloseListener = this.mHmiCloseListener;
        if (hmiCloseListener != null) {
            hmiCloseListener.hmiClose(this);
            return;
        }
        Log.i(this.TAG, "initView: mHmiCloseListener is null");
        dismiss();
    }

    public /* synthetic */ void lambda$initView$1$HmiAddCustomViewLargeDialog(int i, View view) {
        setTitlesColor(i);
        if (this.flagSelectIndex == i) {
            Log.i(this.TAG, "initView: 标题不可重复点击");
            return;
        }
        this.flagSelectIndex = i;
        HmiSelectTitleListener hmiSelectTitleListener = this.mHmiSelectTitleListener;
        if (hmiSelectTitleListener != null) {
            hmiSelectTitleListener.selectTab(i);
        } else {
            Log.e(this.TAG, "onClick: mHmiSelectTitleListener is null");
        }
    }

    private void initData() {
        Log.i(this.TAG, "initData: run");
        if (!this.hmiTitles.isEmpty()) {
            for (int i = 0; i < this.hmiTitles.size(); i++) {
                this.mTitles[i].setText(this.hmiTitles.get(i));
            }
        }
        this.mCloseIcon.setImageResource(this.hmiCloseResourceId);
        View view = this.hmiView;
        if (view != null) {
            this.mCustomView.addView(view);
        } else {
            Log.e(this.TAG, "initData: hmiView  is null");
        }
    }

    private void hmiConfigChange() {
        Log.i(this.TAG, "hmiConfigChange: run");
        Context context = getContext();
        if (context == null) {
            Log.i(this.TAG, "hmiConfigChange: context is null");
            return;
        }
        this.mRootView.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_bg));
        setTitlesColor(this.flagSelectIndex);
        this.mCloseIcon.setImageResource(this.hmiCloseResourceId);
    }

    public void setTitlesColor(int i) {
        Context context = getContext();
        if (context == null) {
            Log.i(this.TAG, "hmiConfigChange: context is null");
        } else if (!this.hmiTitles.isEmpty()) {
            for (int i2 = 0; i2 < this.hmiTitles.size(); i2++) {
                if (i == i2) {
                    this.mTitles[i2].setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_text_color_90));
                } else {
                    this.mTitles[i2].setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_text_color_40));
                }
            }
        }
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        Log.i(this.TAG, "onConfigurationChanged: run");
        hmiConfigChange();
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Log.i(this.TAG, this.TAG + " onSaveInstanceState run");
        bundle.putStringArrayList("hmiTitle", this.hmiTitles);
        bundle.putInt("hmiCloseResourceId", this.hmiCloseResourceId);
        bundle.putInt("flagSelectIndex", this.flagSelectIndex);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewStateRestored(Bundle bundle) {
        super.onViewStateRestored(bundle);
        Log.i(this.TAG, "onViewStateRestored: run");
        if (bundle == null) {
            Log.i(this.TAG, "onViewStateRestored: savedInstanceState is null");
            return;
        }
        this.hmiTitles = bundle.getStringArrayList("hmiTitle");
        this.hmiCloseResourceId = bundle.getInt("hmiCloseResourceId", this.hmiCloseResourceId);
        this.flagSelectIndex = bundle.getInt("flagSelectIndex", this.flagSelectIndex);
    }

    public HmiAddCustomViewLargeDialog setHmiAddView(View view) {
        Log.i(this.TAG, "setHmiAddView: view = " + view);
        this.hmiView = view;
        return this;
    }

    public HmiAddCustomViewLargeDialog setHmiTitles(ArrayList arrayList) {
        Log.i(this.TAG, "setHmiTitle: title = " + arrayList);
        this.hmiTitles = arrayList;
        return this;
    }

    public HmiAddCustomViewLargeDialog setHmiCloseResourceId(int i) {
        Log.i(this.TAG, "setHmiCloseResourceId: closeResourceId = " + i);
        this.hmiCloseResourceId = i;
        return this;
    }

    public HmiAddCustomViewLargeDialog setHmiCloseListener(HmiCloseListener hmiCloseListener) {
        Log.i(this.TAG, "setHmiCloseListener: hmiCloseListener = " + hmiCloseListener);
        this.mHmiCloseListener = hmiCloseListener;
        return this;
    }

    public void setHmiSelectTitleListener(HmiSelectTitleListener hmiSelectTitleListener) {
        Log.i(this.TAG, "setHmiSelectTitleListener: hmiSelectTitleListener = " + hmiSelectTitleListener);
        this.mHmiSelectTitleListener = hmiSelectTitleListener;
    }
}
