package com.geely.toolchain.hmi.dialog;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.view.HmiImageView;
import com.geely.toolchain.hmi.view.HmiTextView;

public class HmiAddCustomViewNoButtonSmallDialog extends BaseHmiDialogFragment {
    private int hmiCloseResourceId = R.drawable.oneoshmi_ic_dialog_close;
    private String hmiTitle;
    private View hmiView;
    private HmiImageView mCloseIcon;
    private LinearLayout mCustomView;
    private HmiCloseListener mHmiCloseListener;
    private FrameLayout mRootView;
    private HmiTextView mTitle;

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment
    public int setLayoutId() {
        return R.layout.hmi_add_custom_view_no_button_small_dialog;
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (bundle != null) {
            this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
            this.hmiCloseResourceId = bundle.getInt("hmiCloseResourceId", this.hmiCloseResourceId);
        }
        initView(view);
        initData();
    }

    private void initView(View view) {
        Log.i(this.TAG, "initView: run");
        this.mTitle = (HmiTextView) view.findViewById(R.id.title);
        this.mCloseIcon = (HmiImageView) view.findViewById(R.id.close);
        this.mRootView = (FrameLayout) view.findViewById(R.id.rootView);
        this.mCustomView = (LinearLayout) view.findViewById(R.id.customView);
        this.mCloseIcon.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiAddCustomViewNoButtonSmallDialog$PNVHJzbPKzgd_iImc8PBk3pC8S8 */

            public final void onClick(View view) {
                HmiAddCustomViewNoButtonSmallDialog.this.lambda$initView$0$HmiAddCustomViewNoButtonSmallDialog(view);
            }
        });
    }

    public /* synthetic */ void lambda$initView$0$HmiAddCustomViewNoButtonSmallDialog(View view) {
        HmiCloseListener hmiCloseListener = this.mHmiCloseListener;
        if (hmiCloseListener != null) {
            hmiCloseListener.hmiClose(this);
            return;
        }
        Log.i(this.TAG, "initView: mHmiCloseListener is null");
        dismiss();
    }

    private void initData() {
        Log.i(this.TAG, "initData: run");
        this.mTitle.setText(this.hmiTitle);
        this.mCloseIcon.setImageResource(this.hmiCloseResourceId);
        View view = this.hmiView;
        if (view != null) {
            this.mCustomView.addView(view);
        } else {
            Log.e(this.TAG, "initData: hmiView  is null");
        }
    }

    private void hmiConfigChange() {
        Log.i(this.TAG, "hmiConfigChange: run");
        Context context = getContext();
        if (context == null) {
            Log.i(this.TAG, "hmiConfigChange: context is null");
            return;
        }
        this.mRootView.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_bg));
        this.mTitle.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_title_color));
        this.mCloseIcon.setImageResource(this.hmiCloseResourceId);
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        Log.i(this.TAG, "onConfigurationChanged: run");
        hmiConfigChange();
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Log.i(this.TAG, this.TAG + " onSaveInstanceState run");
        bundle.putString("hmiTitle", this.hmiTitle);
        bundle.putInt("hmiCloseResourceId", this.hmiCloseResourceId);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewStateRestored(Bundle bundle) {
        super.onViewStateRestored(bundle);
        Log.i(this.TAG, "onViewStateRestored: run");
        if (bundle == null) {
            Log.i(this.TAG, "onViewStateRestored: savedInstanceState is null");
            return;
        }
        this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
        this.hmiCloseResourceId = bundle.getInt("hmiCloseResourceId", this.hmiCloseResourceId);
    }

    public HmiAddCustomViewNoButtonSmallDialog setHmiAddView(View view) {
        Log.i(this.TAG, "setHmiAddView: run " + view.toString());
        this.hmiView = view;
        return this;
    }

    public HmiAddCustomViewNoButtonSmallDialog setHmiTitle(String str) {
        Log.i(this.TAG, "setHmiTitle: title = " + str);
        this.hmiTitle = str;
        return this;
    }

    public HmiAddCustomViewNoButtonSmallDialog setHmiCloseResourceId(int i) {
        Log.i(this.TAG, "setHmiCloseResourceId: closeResourceId = " + i);
        this.hmiCloseResourceId = i;
        return this;
    }

    public HmiAddCustomViewNoButtonSmallDialog setHmiCloseListener(HmiCloseListener hmiCloseListener) {
        Log.i(this.TAG, "setHmiCloseListener: run");
        this.mHmiCloseListener = hmiCloseListener;
        return this;
    }
}
