package com.geely.toolchain.hmi.dialog;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.view.HmiStateButton;
import com.geely.toolchain.hmi.view.HmiStateCheckBox;
import com.geely.toolchain.hmi.view.HmiTextView;

public class HmiHasCheckBoxDoubleButtonDialog extends BaseHmiDialogFragment {
    private String hmiContent;
    private String hmiDesc;
    private String hmiLeftBtnText;
    private String hmiRightBtnText;
    private String hmiTitle;
    private HmiStateCheckBox mBox;
    private HmiTextView mContent;
    private HmiTextView mDesc;
    private LinearLayout mDescLinearLayout;
    private HmiSelectListener mHmiSelectListener;
    private HmiStateButton mLeftBtn;
    private HmiStateButton mRightBtn;
    private FrameLayout mRootView;
    private HmiTextView mTitle;

    public interface HmiSelectListener {
        void leftAction(HmiHasCheckBoxDoubleButtonDialog hmiHasCheckBoxDoubleButtonDialog, boolean z);

        void rightAction(HmiHasCheckBoxDoubleButtonDialog hmiHasCheckBoxDoubleButtonDialog, boolean z);
    }

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment
    public int setLayoutId() {
        return R.layout.hmi_has_check_box_double_button_dialog;
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (bundle != null) {
            this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
            this.hmiContent = bundle.getString("hmiContent", this.hmiContent);
            this.hmiDesc = bundle.getString("hmiDesc", this.hmiDesc);
            this.hmiLeftBtnText = bundle.getString("hmiLeftBtnText", this.hmiLeftBtnText);
            this.hmiRightBtnText = bundle.getString("hmiRightBtnText", this.hmiRightBtnText);
        }
        initView(view);
        initData();
    }

    private void initView(View view) {
        this.mTitle = (HmiTextView) view.findViewById(R.id.title);
        this.mContent = (HmiTextView) view.findViewById(R.id.content);
        this.mDesc = (HmiTextView) view.findViewById(R.id.desc);
        this.mLeftBtn = (HmiStateButton) view.findViewById(R.id.leftBtn);
        this.mRightBtn = (HmiStateButton) view.findViewById(R.id.rightBtn);
        this.mBox = (HmiStateCheckBox) view.findViewById(R.id.box);
        this.mRootView = (FrameLayout) view.findViewById(R.id.rootView);
        this.mDescLinearLayout = (LinearLayout) view.findViewById(R.id.ll);
        this.mLeftBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiHasCheckBoxDoubleButtonDialog$nVsQ5winWCgxkmueqowu4ANx1gE */

            public final void onClick(View view) {
                HmiHasCheckBoxDoubleButtonDialog.this.lambda$initView$0$HmiHasCheckBoxDoubleButtonDialog(view);
            }
        });
        this.mRightBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiHasCheckBoxDoubleButtonDialog$ma8im4BJwuNGjY_2__mDyIWecc */

            public final void onClick(View view) {
                HmiHasCheckBoxDoubleButtonDialog.this.lambda$initView$1$HmiHasCheckBoxDoubleButtonDialog(view);
            }
        });
    }

    public /* synthetic */ void lambda$initView$0$HmiHasCheckBoxDoubleButtonDialog(View view) {
        HmiSelectListener hmiSelectListener = this.mHmiSelectListener;
        if (hmiSelectListener != null) {
            hmiSelectListener.leftAction(this, this.mBox.isChecked());
        } else {
            Log.i(this.TAG, "leftAction mHmiSelectListener is null");
        }
    }

    public /* synthetic */ void lambda$initView$1$HmiHasCheckBoxDoubleButtonDialog(View view) {
        HmiSelectListener hmiSelectListener = this.mHmiSelectListener;
        if (hmiSelectListener != null) {
            hmiSelectListener.rightAction(this, this.mBox.isChecked());
        } else {
            Log.i(this.TAG, "rightAction mHmiSelectListener is null");
        }
    }

    private void initData() {
        this.mTitle.setText(this.hmiTitle);
        this.mContent.setText(this.hmiContent);
        this.mContent.getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() {
            /* class com.geely.toolchain.hmi.dialog.HmiHasCheckBoxDoubleButtonDialog.AnonymousClass1 */

            public boolean onPreDraw() {
                if (HmiHasCheckBoxDoubleButtonDialog.this.mContent.getLineCount() > 1) {
                    HmiHasCheckBoxDoubleButtonDialog.this.mDescLinearLayout.setGravity(8388627);
                }
                HmiHasCheckBoxDoubleButtonDialog.this.mContent.getViewTreeObserver().removeOnPreDrawListener(this);
                return false;
            }
        });
        this.mDesc.setText(this.hmiDesc);
        this.mLeftBtn.setText(this.hmiLeftBtnText);
        this.mRightBtn.setText(this.hmiRightBtnText);
    }

    private void hmiConfigChange() {
        Context context = getContext();
        if (context != null) {
            this.mRootView.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_bg));
            this.mTitle.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_title_color));
            this.mContent.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_content_color));
            this.mDesc.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_desc_color));
            this.mLeftBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_color_click_default), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
            this.mRightBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_dialog_un_select_btn_bg_color), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
            this.mLeftBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_select_btn_text_color));
            this.mRightBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_unselect_btn_text_color));
        }
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        hmiConfigChange();
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Log.i(this.TAG, this.TAG + " onSaveInstanceState");
        bundle.putString("hmiTitle", this.hmiTitle);
        bundle.putString("hmiContent", this.hmiContent);
        bundle.putString("hmiDesc", this.hmiDesc);
        bundle.putString("hmiLeftBtnText", this.hmiLeftBtnText);
        bundle.putString("hmiRightBtnText", this.hmiRightBtnText);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewStateRestored(Bundle bundle) {
        super.onViewStateRestored(bundle);
        if (bundle == null) {
            Log.i(this.TAG, "onViewStateRestored: savedInstanceState is null");
            return;
        }
        this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
        this.hmiContent = bundle.getString("hmiContent", this.hmiContent);
        this.hmiDesc = bundle.getString("hmiDesc", this.hmiDesc);
        this.hmiLeftBtnText = bundle.getString("hmiLeftBtnText", this.hmiLeftBtnText);
        this.hmiRightBtnText = bundle.getString("hmiRightBtnText", this.hmiRightBtnText);
    }

    public HmiHasCheckBoxDoubleButtonDialog setHmiTitle(String str) {
        this.hmiTitle = str;
        return this;
    }

    public HmiHasCheckBoxDoubleButtonDialog setHmiDesc(String str) {
        this.hmiDesc = str;
        return this;
    }

    public HmiHasCheckBoxDoubleButtonDialog setHmiContent(String str) {
        this.hmiContent = str;
        return this;
    }

    public HmiHasCheckBoxDoubleButtonDialog setHmiLeftBtnText(String str) {
        this.hmiLeftBtnText = str;
        return this;
    }

    public HmiHasCheckBoxDoubleButtonDialog setHmiRightBtnText(String str) {
        this.hmiRightBtnText = str;
        return this;
    }

    public HmiHasCheckBoxDoubleButtonDialog setHmiSelectListener(HmiSelectListener hmiSelectListener) {
        this.mHmiSelectListener = hmiSelectListener;
        return this;
    }
}
