package com.geely.toolchain.hmi.dialog;

import android.content.Context;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.FrameLayout;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.view.HmiStateButton;
import com.geely.toolchain.hmi.view.HmiTextView;

public class HmiMultiButtonDialog extends BaseHmiDialogFragment {
    private String hmiContent;
    private String hmiFirstBtnText;
    private String hmiSecondBtnText;
    private String hmiThirdBtnText;
    private String hmiTitle;
    private HmiTextView mContent;
    private HmiStateButton mFirstBtn;
    private HmiMultiButtonClickListener mHmiMultiButtonClickListener;
    private FrameLayout mRootView;
    private HmiStateButton mSecondBtn;
    private HmiStateButton mThirdBtn;
    private HmiTextView mTitle;

    public interface HmiMultiButtonClickListener {
        void action(HmiMultiButtonDialog hmiMultiButtonDialog, int i);
    }

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment
    public int setLayoutId() {
        return R.layout.hmi_multi_button_dialog;
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        if (bundle != null) {
            this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
            this.hmiContent = bundle.getString("hmiContent", this.hmiContent);
            this.hmiFirstBtnText = bundle.getString("hmiFirstBtnText", this.hmiFirstBtnText);
            this.hmiSecondBtnText = bundle.getString("hmiSecondBtnText", this.hmiSecondBtnText);
            this.hmiThirdBtnText = bundle.getString("hmiThirdBtnText", this.hmiThirdBtnText);
        }
        initView(view);
        initData();
    }

    private void initView(View view) {
        Log.i(this.TAG, "initView started");
        this.mTitle = (HmiTextView) view.findViewById(R.id.title);
        this.mContent = (HmiTextView) view.findViewById(R.id.content);
        this.mRootView = (FrameLayout) view.findViewById(R.id.rootView);
        this.mFirstBtn = (HmiStateButton) view.findViewById(R.id.firstBtn);
        this.mSecondBtn = (HmiStateButton) view.findViewById(R.id.secondBtn);
        this.mThirdBtn = (HmiStateButton) view.findViewById(R.id.thirdBtn);
        this.mFirstBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiMultiButtonDialog$DbBOQ6XjaeCcToMnXRn3AGa5QmE */

            public final void onClick(View view) {
                HmiMultiButtonDialog.this.lambda$initView$0$HmiMultiButtonDialog(view);
            }
        });
        this.mSecondBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiMultiButtonDialog$DvXWaSVgU92svo02wc2l00oAIBc */

            public final void onClick(View view) {
                HmiMultiButtonDialog.this.lambda$initView$1$HmiMultiButtonDialog(view);
            }
        });
        this.mThirdBtn.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiMultiButtonDialog$23YQGxHJjqjaXg9wvkGnfLUyJbY */

            public final void onClick(View view) {
                HmiMultiButtonDialog.this.lambda$initView$2$HmiMultiButtonDialog(view);
            }
        });
    }

    public /* synthetic */ void lambda$initView$0$HmiMultiButtonDialog(View view) {
        HmiMultiButtonClickListener hmiMultiButtonClickListener = this.mHmiMultiButtonClickListener;
        if (hmiMultiButtonClickListener != null) {
            hmiMultiButtonClickListener.action(this, 1);
        } else {
            Log.i(this.TAG, "mHmiMultiButtonClickListener is null ");
        }
    }

    public /* synthetic */ void lambda$initView$1$HmiMultiButtonDialog(View view) {
        HmiMultiButtonClickListener hmiMultiButtonClickListener = this.mHmiMultiButtonClickListener;
        if (hmiMultiButtonClickListener != null) {
            hmiMultiButtonClickListener.action(this, 2);
        } else {
            Log.i(this.TAG, "mHmiMultiButtonClickListener is null ");
        }
    }

    public /* synthetic */ void lambda$initView$2$HmiMultiButtonDialog(View view) {
        HmiMultiButtonClickListener hmiMultiButtonClickListener = this.mHmiMultiButtonClickListener;
        if (hmiMultiButtonClickListener != null) {
            hmiMultiButtonClickListener.action(this, 3);
        } else {
            Log.i(this.TAG, "mHmiMultiButtonClickListener is null ");
        }
    }

    private void initData() {
        this.mTitle.setText(this.hmiTitle);
        this.mContent.setText(this.hmiContent);
        this.mFirstBtn.setText(this.hmiFirstBtnText);
        this.mSecondBtn.setText(this.hmiSecondBtnText);
        this.mThirdBtn.setText(this.hmiThirdBtnText);
    }

    private void hmiConfigChange() {
        Context context = getContext();
        if (context != null) {
            this.mRootView.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_bg));
            this.mTitle.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_title_color));
            this.mContent.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_content_color));
            this.mFirstBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_select_btn_text_color));
            this.mSecondBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_unselect_btn_text_color));
            this.mThirdBtn.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_unselect_btn_text_color));
            this.mFirstBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_color_click_default), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
            this.mSecondBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_dialog_un_select_btn_bg_color), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
            this.mThirdBtn.setBtnColorAndRadius(ContextCompat.getColor(context, R.color.oneoshmi_dialog_un_select_btn_bg_color), context.getResources().getDimension(R.dimen.oneoshmi_common_radius_small));
        }
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        hmiConfigChange();
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Log.i(this.TAG, this.TAG + " onSaveInstanceState");
        bundle.putString("hmiTitle", this.hmiTitle);
        bundle.putString("hmiContent", this.hmiContent);
        bundle.putString("hmiFirstBtnText", this.hmiFirstBtnText);
        bundle.putString("hmiSecondBtnText", this.hmiSecondBtnText);
        bundle.putString("hmiThirdBtnText", this.hmiThirdBtnText);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewStateRestored(Bundle bundle) {
        super.onViewStateRestored(bundle);
        if (bundle == null) {
            Log.i(this.TAG, "onViewStateRestored: savedInstanceState is null");
            return;
        }
        this.hmiTitle = bundle.getString("hmiTitle", this.hmiTitle);
        this.hmiContent = bundle.getString("hmiContent", this.hmiContent);
        this.hmiFirstBtnText = bundle.getString("hmiFirstBtnText", this.hmiFirstBtnText);
        this.hmiSecondBtnText = bundle.getString("hmiSecondBtnText", this.hmiSecondBtnText);
        this.hmiThirdBtnText = bundle.getString("hmiThirdBtnText", this.hmiThirdBtnText);
    }

    public HmiMultiButtonDialog setHmiTitle(String str) {
        this.hmiTitle = str;
        return this;
    }

    public HmiMultiButtonDialog setHmiContent(String str) {
        this.hmiContent = str;
        return this;
    }

    public HmiMultiButtonDialog setHmiFirstBtnText(String str) {
        this.hmiFirstBtnText = str;
        return this;
    }

    public HmiMultiButtonDialog setHmiSecondBtnText(String str) {
        this.hmiSecondBtnText = str;
        return this;
    }

    public HmiMultiButtonDialog setHmiThirdBtnText(String str) {
        this.hmiThirdBtnText = str;
        return this;
    }

    public void setHmiMultiButtonClickListener(HmiMultiButtonClickListener hmiMultiButtonClickListener) {
        this.mHmiMultiButtonClickListener = hmiMultiButtonClickListener;
    }
}
