package com.geely.toolchain.hmi.dialog;

import android.app.Dialog;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.view.HmiTextView;
import java.util.Objects;

public class HmiNoIconTipDialog extends BaseHmiDialogFragment {
    private String hmiContent;
    private HmiTextView mContent;

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment
    public int setLayoutId() {
        return R.layout.hmi_no_icon_tip_dialog;
    }

    @Override // com.geely.toolchain.hmi.dialog.BaseHmiDialogFragment, androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        ((Dialog) Objects.requireNonNull(getDialog())).getWindow().setDimAmount(0.0f);
        if (bundle != null) {
            this.hmiContent = bundle.getString("hmiContent");
        }
        HmiTextView hmiTextView = (HmiTextView) view.findViewById(R.id.content);
        this.mContent = hmiTextView;
        hmiTextView.setText(this.hmiContent);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        Log.i(this.TAG, this.TAG + " onSaveInstanceState");
        bundle.putString("hmiContent", this.hmiContent);
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewStateRestored(Bundle bundle) {
        super.onViewStateRestored(bundle);
        if (bundle == null) {
            Log.i(this.TAG, "onViewStateRestored: savedInstanceState is null");
        } else {
            this.hmiContent = bundle.getString("hmiContent");
        }
    }

    public HmiNoIconTipDialog setHmiContent(String str) {
        this.hmiContent = str;
        return this;
    }
}
