package com.geely.toolchain.hmi.dialog;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.TextView;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.util.UiUtil;

public class HmiPhoneDialog extends Dialog {
    private static final String TAG = "HmiPhoneDialog";
    private OnClickMsgListener mClickListener;
    private String mMsg;
    private TextView mPhoneDialogMsg;
    private TextView mPhoneDialogTitle;
    private ImageView mPhoneIconLeft;
    private ImageView mPhoneIconRight;
    private int mPhoneLeftIconId;
    private int mPhoneRightIconId;
    private String mTitle;

    public interface OnClickMsgListener {
        void onClick();
    }

    public HmiPhoneDialog(Context context) {
        super(context, R.style.onesHmiMessageDialogStyle);
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.hmi_layout_phone_dialog);
        init();
        initData();
    }

    private void init() {
        getWindow().clearFlags(2);
        this.mPhoneDialogTitle = (TextView) findViewById(R.id.phone_up_text_tv);
        this.mPhoneDialogMsg = (TextView) findViewById(R.id.phone_down_text_tv);
        this.mPhoneIconLeft = (ImageView) findViewById(R.id.phone_left_icon_iv);
        this.mPhoneIconRight = (ImageView) findViewById(R.id.phone_right_icon_iv);
        findViewById(R.id.phone_layout).setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiPhoneDialog$D5hpIkm3mFPZ0vFGv_mJFewItA */

            public final void onClick(View view) {
                HmiPhoneDialog.this.lambda$init$0$HmiPhoneDialog(view);
            }
        });
        WindowManager.LayoutParams attributes = getWindow().getAttributes();
        attributes.y = UiUtil.dp2px(getContext(), getContext().getResources().getDimension(R.dimen.oneoshmi_dialog_phone_margin_top));
        getWindow().setAttributes(attributes);
        getWindow().setGravity(48);
    }

    public /* synthetic */ void lambda$init$0$HmiPhoneDialog(View view) {
        OnClickMsgListener onClickMsgListener = this.mClickListener;
        if (onClickMsgListener != null) {
            onClickMsgListener.onClick();
            dismiss();
            return;
        }
        Log.e(TAG, "mClickListener is null");
    }

    private void initData() {
        this.mPhoneIconLeft.setImageResource(this.mPhoneLeftIconId);
        this.mPhoneIconRight.setImageResource(this.mPhoneRightIconId);
        this.mPhoneDialogTitle.setText(this.mTitle);
        this.mPhoneDialogMsg.setText(this.mMsg);
    }

    public HmiPhoneDialog setLeftIcon(int i) {
        this.mPhoneLeftIconId = i;
        return this;
    }

    public HmiPhoneDialog setRightIcon(int i) {
        this.mPhoneRightIconId = i;
        return this;
    }

    public HmiPhoneDialog setTitle(String str) {
        this.mTitle = str;
        return this;
    }

    public HmiPhoneDialog setMsg(String str) {
        this.mMsg = str;
        return this;
    }

    public HmiPhoneDialog setOnclickMsgListener(OnClickMsgListener onClickMsgListener) {
        this.mClickListener = onClickMsgListener;
        return this;
    }
}
