package com.geely.toolchain.hmi.dialog;

import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.util.UiUtil;
import com.geely.toolchain.hmi.view.HmiButton;
import com.geely.toolchain.hmi.view.HmiTextView;

public class HmiSingleButtonNoTitleDialog extends BaseDialog {
    private static final String TAG = "TextSingleButtonDialog";
    private BtnClickListener mBtnClickListener;
    private BtnClickListener2 mBtnClickListener2;
    private HmiButton mButton;
    private String mButtonText;
    private HmiTextView mContent;
    private String mContentText;
    private ConstraintLayout mRootView;

    public interface BtnClickListener {
        void action();
    }

    public interface BtnClickListener2 {
        void action(HmiSingleButtonNoTitleDialog hmiSingleButtonNoTitleDialog);
    }

    public HmiSingleButtonNoTitleDialog(Context context) {
        super(context);
    }

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseDialog
    public int setLayoutId() {
        return R.layout.hmi_single_button_no_title_dialog;
    }

    /* access modifiers changed from: protected */
    @Override // com.geely.toolchain.hmi.dialog.BaseDialog
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        initView(getWindow());
        initData();
    }

    public void hmiConfigChange(Context context) {
        Log.d(TAG, "uiMode ====" + context.getResources().getConfiguration().uiMode);
        Log.i(TAG, "hmiConfigChange: context = " + context);
        boolean hmiCurrentModelIsDark = UiUtil.getHmiCurrentModelIsDark(context);
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        if (hmiCurrentModelIsDark) {
            attributes.dimAmount = 0.8f;
        } else {
            attributes.dimAmount = 0.4f;
        }
        window.setAttributes(attributes);
        this.mRootView.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_bg));
        this.mContent.setTextColor(ContextCompat.getColor(context, R.color.oneoshmi_dialog_not_title_content_color));
        this.mButton.setBackground(ContextCompat.getDrawable(context, R.drawable.oneoshmi_dialog_single_button_bg));
        this.mButton.setTextColor(context.getColor(R.color.oneoshmi_dialog_single_btn_text_color));
    }

    private void initView(Window window) {
        this.mContent = (HmiTextView) window.findViewById(R.id.content);
        this.mButton = (HmiButton) window.findViewById(R.id.button);
        this.mRootView = (ConstraintLayout) window.findViewById(R.id.rootView);
        this.mButton.setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.dialog.$$Lambda$HmiSingleButtonNoTitleDialog$UZ6gRDxys7nTVv082qaz5iSEf0 */

            public final void onClick(View view) {
                HmiSingleButtonNoTitleDialog.this.lambda$initView$0$HmiSingleButtonNoTitleDialog(view);
            }
        });
    }

    public /* synthetic */ void lambda$initView$0$HmiSingleButtonNoTitleDialog(View view) {
        BtnClickListener btnClickListener = this.mBtnClickListener;
        if (btnClickListener != null) {
            btnClickListener.action();
            dismiss();
            return;
        }
        Log.i(TAG, "mBtnClickListener is null");
        BtnClickListener2 btnClickListener2 = this.mBtnClickListener2;
        if (btnClickListener2 != null) {
            btnClickListener2.action(this);
        } else {
            Log.i(TAG, "mBtnClickListener2 is null");
        }
    }

    private void initData() {
        this.mContent.setText(this.mContentText);
        this.mButton.setText(this.mButtonText);
    }

    public HmiSingleButtonNoTitleDialog setContent(String str) {
        this.mContentText = str;
        return this;
    }

    public HmiSingleButtonNoTitleDialog setButtonText(String str) {
        this.mButtonText = str;
        return this;
    }

    @Deprecated
    public HmiSingleButtonNoTitleDialog setBtnClickListener(BtnClickListener btnClickListener) {
        this.mBtnClickListener = btnClickListener;
        return this;
    }

    public HmiSingleButtonNoTitleDialog setBtnClickListener2(BtnClickListener2 btnClickListener2) {
        this.mBtnClickListener2 = btnClickListener2;
        return this;
    }
}
