package com.geely.toolchain.hmi.search;

import android.content.Context;
import android.util.AttributeSet;
import android.view.KeyEvent;
import androidx.appcompat.widget.AppCompatEditText;

public class FocusEditText extends AppCompatEditText {
    private static final String TAG = "FocusEditText";
    private boolean mClear;
    private boolean mClearFocus;

    public FocusEditText(Context context) {
        this(context, null);
    }

    public FocusEditText(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public FocusEditText(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public boolean onKeyPreIme(int i, KeyEvent keyEvent) {
        if (i != 4 || keyEvent.getAction() != 1 || !this.mClear || !hasFocus()) {
            return super.onKeyPreIme(i, keyEvent);
        }
        clearFocus();
        return true;
    }

    public void clearFocus() {
        super.clearFocus();
        if (this.mClearFocus && getText() != null) {
            getText().clear();
        }
    }

    public void setTextClearOnBackPressed(boolean z) {
        this.mClear = z;
    }

    public void setTextClearOnClearFocus(boolean z) {
        this.mClearFocus = z;
    }
}
