package com.geely.toolchain.hmi.timepicker;

import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.PopupWindow;
import java.util.Optional;
import java.util.function.Consumer;

public class HmiCommonPopup {
    private int mAnimationStyle = -1;
    private boolean mClipEnable = true;
    private View mContentView;
    private Context mContext;
    private int mHeight;
    private boolean mIgnoreCheekPress = false;
    private int mInputMode = -1;
    private boolean mIsFocusable = true;
    private boolean mIsOutside = true;
    private PopupWindow.OnDismissListener mOnDismissListener;
    private View.OnTouchListener mOnTouchListener;
    private PopupWindow mPopupWindow;
    private int mResLayoutId = -1;
    private int mSoftInputMode = -1;
    private boolean mTouchable = true;
    private int mWidth;

    protected HmiCommonPopup(Context context) {
        this.mContext = context;
    }

    public int getWidth() {
        return this.mWidth;
    }

    public int getHeight() {
        return this.mHeight;
    }

    public HmiCommonPopup showAsDropDown(View view, int i, int i2) {
        Optional.of(view).ifPresent(new Consumer(view, i, i2) {
            /* class com.geely.toolchain.hmi.timepicker.$$Lambda$HmiCommonPopup$0S6nhWGGPSqLlc47w6nhmR3NiFo */
            public final /* synthetic */ View f$1;
            public final /* synthetic */ int f$2;
            public final /* synthetic */ int f$3;

            {
                this.f$1 = r2;
                this.f$2 = r3;
                this.f$3 = r4;
            }

            @Override // java.util.function.Consumer
            public final void accept(Object obj) {
                HmiCommonPopup.this.lambda$showAsDropDown$0$HmiCommonPopup(this.f$1, this.f$2, this.f$3, (View) obj);
            }
        });
        return this;
    }

    public /* synthetic */ void lambda$showAsDropDown$0$HmiCommonPopup(View view, int i, int i2, View view2) {
        PopupWindow popupWindow = this.mPopupWindow;
        if (popupWindow != null) {
            popupWindow.showAsDropDown(view, i, i2);
        }
    }

    public HmiCommonPopup showAsDropDown(View view) {
        Optional.of(view).ifPresent(new Consumer(view) {
            /* class com.geely.toolchain.hmi.timepicker.$$Lambda$HmiCommonPopup$a5HQCJgdLuVP35zTBtEynVrE2bs */
            public final /* synthetic */ View f$1;

            {
                this.f$1 = r2;
            }

            @Override // java.util.function.Consumer
            public final void accept(Object obj) {
                HmiCommonPopup.this.lambda$showAsDropDown$1$HmiCommonPopup(this.f$1, (View) obj);
            }
        });
        return this;
    }

    public /* synthetic */ void lambda$showAsDropDown$1$HmiCommonPopup(View view, View view2) {
        PopupWindow popupWindow = this.mPopupWindow;
        if (popupWindow != null) {
            popupWindow.showAsDropDown(view);
        }
    }

    public HmiCommonPopup showAsDropDown(View view, int i, int i2, int i3) {
        Optional.of(view).ifPresent(new Consumer(view, i, i2, i3) {
            /* class com.geely.toolchain.hmi.timepicker.$$Lambda$HmiCommonPopup$Yblykh7NnqA02t98gaQbEF4PnB0 */
            public final /* synthetic */ View f$1;
            public final /* synthetic */ int f$2;
            public final /* synthetic */ int f$3;
            public final /* synthetic */ int f$4;

            {
                this.f$1 = r2;
                this.f$2 = r3;
                this.f$3 = r4;
                this.f$4 = r5;
            }

            @Override // java.util.function.Consumer
            public final void accept(Object obj) {
                HmiCommonPopup.this.lambda$showAsDropDown$2$HmiCommonPopup(this.f$1, this.f$2, this.f$3, this.f$4, (View) obj);
            }
        });
        return this;
    }

    public /* synthetic */ void lambda$showAsDropDown$2$HmiCommonPopup(View view, int i, int i2, int i3, View view2) {
        PopupWindow popupWindow = this.mPopupWindow;
        if (popupWindow != null) {
            popupWindow.showAsDropDown(view, i, i2, i3);
        }
    }

    public HmiCommonPopup showAtLocation(View view, int i, int i2, int i3) {
        Optional.of(view).ifPresent(new Consumer(view, i, i2, i3) {
            /* class com.geely.toolchain.hmi.timepicker.$$Lambda$HmiCommonPopup$NibpVXS40vOFq0qUud6SAVjQwmE */
            public final /* synthetic */ View f$1;
            public final /* synthetic */ int f$2;
            public final /* synthetic */ int f$3;
            public final /* synthetic */ int f$4;

            {
                this.f$1 = r2;
                this.f$2 = r3;
                this.f$3 = r4;
                this.f$4 = r5;
            }

            @Override // java.util.function.Consumer
            public final void accept(Object obj) {
                HmiCommonPopup.this.lambda$showAtLocation$3$HmiCommonPopup(this.f$1, this.f$2, this.f$3, this.f$4, (View) obj);
            }
        });
        return this;
    }

    public /* synthetic */ void lambda$showAtLocation$3$HmiCommonPopup(View view, int i, int i2, int i3, View view2) {
        PopupWindow popupWindow = this.mPopupWindow;
        if (popupWindow != null) {
            popupWindow.showAtLocation(view, i, i2, i3);
        }
    }

    private void apply(PopupWindow popupWindow) {
        popupWindow.setClippingEnabled(this.mClipEnable);
        if (this.mIgnoreCheekPress) {
            popupWindow.setIgnoreCheekPress();
        }
        int i = this.mInputMode;
        if (i != -1) {
            popupWindow.setInputMethodMode(i);
        }
        int i2 = this.mSoftInputMode;
        if (i2 != -1) {
            popupWindow.setSoftInputMode(i2);
        }
        PopupWindow.OnDismissListener onDismissListener = this.mOnDismissListener;
        if (onDismissListener != null) {
            popupWindow.setOnDismissListener(onDismissListener);
        }
        View.OnTouchListener onTouchListener = this.mOnTouchListener;
        if (onTouchListener != null) {
            popupWindow.setTouchInterceptor(onTouchListener);
        }
        popupWindow.setTouchable(this.mTouchable);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private PopupWindow build() {
        if (this.mContentView == null) {
            this.mContentView = LayoutInflater.from(this.mContext).inflate(this.mResLayoutId, (ViewGroup) null);
        }
        if (this.mWidth == 0 || this.mHeight == 0) {
            this.mPopupWindow = new PopupWindow(this.mContentView, -2, -2);
        } else {
            this.mPopupWindow = new PopupWindow(this.mContentView, this.mWidth, this.mHeight);
        }
        int i = this.mAnimationStyle;
        if (i != -1) {
            this.mPopupWindow.setAnimationStyle(i);
        }
        apply(this.mPopupWindow);
        this.mPopupWindow.setFocusable(this.mIsFocusable);
        this.mPopupWindow.setBackgroundDrawable(new ColorDrawable(0));
        this.mPopupWindow.setOutsideTouchable(this.mIsOutside);
        if (this.mWidth == 0 || this.mHeight == 0) {
            this.mPopupWindow.getContentView().measure(0, 0);
            this.mWidth = this.mPopupWindow.getContentView().getMeasuredWidth();
            this.mHeight = this.mPopupWindow.getContentView().getMeasuredHeight();
        }
        this.mPopupWindow.update();
        return this.mPopupWindow;
    }

    public void dismiss() {
        PopupWindow popupWindow = this.mPopupWindow;
        if (popupWindow != null) {
            popupWindow.dismiss();
        }
    }

    public static class PopupWindowBuilder {
        private HmiCommonPopup mHmiCommonPopup;

        public PopupWindowBuilder(Context context) {
            this.mHmiCommonPopup = new HmiCommonPopup(context);
        }

        public PopupWindowBuilder size(int i, int i2) {
            this.mHmiCommonPopup.mWidth = i;
            this.mHmiCommonPopup.mHeight = i2;
            return this;
        }

        public PopupWindowBuilder setFocusable(boolean z) {
            this.mHmiCommonPopup.mIsFocusable = z;
            return this;
        }

        public PopupWindowBuilder setView(int i) {
            this.mHmiCommonPopup.mResLayoutId = i;
            this.mHmiCommonPopup.mContentView = null;
            return this;
        }

        public PopupWindowBuilder setView(View view) {
            this.mHmiCommonPopup.mContentView = view;
            this.mHmiCommonPopup.mResLayoutId = -1;
            return this;
        }

        public PopupWindowBuilder setOutsideTouchable(boolean z) {
            this.mHmiCommonPopup.mIsOutside = z;
            return this;
        }

        public PopupWindowBuilder setAnimationStyle(int i) {
            this.mHmiCommonPopup.mAnimationStyle = i;
            return this;
        }

        public PopupWindowBuilder setClippingEnable(boolean z) {
            this.mHmiCommonPopup.mClipEnable = z;
            return this;
        }

        public PopupWindowBuilder setIgnoreCheekPress(boolean z) {
            this.mHmiCommonPopup.mIgnoreCheekPress = z;
            return this;
        }

        public PopupWindowBuilder setInputMethodMode(int i) {
            this.mHmiCommonPopup.mInputMode = i;
            return this;
        }

        public PopupWindowBuilder setOnDismissListener(PopupWindow.OnDismissListener onDismissListener) {
            this.mHmiCommonPopup.mOnDismissListener = onDismissListener;
            return this;
        }

        public PopupWindowBuilder setSoftInputMode(int i) {
            this.mHmiCommonPopup.mSoftInputMode = i;
            return this;
        }

        public PopupWindowBuilder setTouchable(boolean z) {
            this.mHmiCommonPopup.mTouchable = z;
            return this;
        }

        public PopupWindowBuilder setTouchListener(View.OnTouchListener onTouchListener) {
            this.mHmiCommonPopup.mOnTouchListener = onTouchListener;
            return this;
        }

        public PopupWindowBuilder setWidth(int i) {
            this.mHmiCommonPopup.mWidth = i;
            return this;
        }

        public PopupWindowBuilder setHeight(int i) {
            this.mHmiCommonPopup.mHeight = i;
            return this;
        }

        public HmiCommonPopup create() {
            this.mHmiCommonPopup.build();
            return this.mHmiCommonPopup;
        }
    }
}
