package com.geely.toolchain.hmi.util;

import android.content.Context;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.StateListDrawable;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;

public class UiUtil {
    private static final String TAG = "UiUtil";

    public static int dp2px(Context context, float f) {
        return (int) TypedValue.applyDimension(1, f, context.getResources().getDisplayMetrics());
    }

    public static int px2Dp(Context context, float f) {
        return (int) ((f / context.getResources().getDisplayMetrics().density) + 0.5f);
    }

    public static int dp(Context context, int i) {
        return dp2px(context, (float) i);
    }

    public static boolean isLight(Context context) {
        return context.getResources().getConfiguration().uiMode == 17;
    }

    public static void setBackgroundColor(View view, int i, int i2, float f) {
        if (i == 0 && i2 == 0) {
            GradientDrawable gradientDrawable = new GradientDrawable();
            gradientDrawable.setColor(i);
            view.setBackground(gradientDrawable);
        } else if (i2 == 0) {
            GradientDrawable gradientDrawable2 = new GradientDrawable();
            gradientDrawable2.setColor(i);
            gradientDrawable2.setCornerRadius(f);
            view.setBackground(gradientDrawable2);
        } else {
            StateListDrawable stateListDrawable = new StateListDrawable();
            GradientDrawable gradientDrawable3 = new GradientDrawable();
            gradientDrawable3.setColor(i2);
            gradientDrawable3.setCornerRadius(f);
            gradientDrawable3.setGradientType(0);
            stateListDrawable.addState(new int[]{16842919}, gradientDrawable3);
            stateListDrawable.addState(new int[]{16842908}, gradientDrawable3);
            stateListDrawable.addState(new int[]{16843518}, gradientDrawable3);
            GradientDrawable gradientDrawable4 = new GradientDrawable();
            gradientDrawable4.setColor(i);
            gradientDrawable4.setCornerRadius(f);
            gradientDrawable4.setGradientType(0);
            stateListDrawable.addState(new int[0], gradientDrawable4);
            view.setBackground(stateListDrawable);
        }
    }

    public static int getColor(Context context, int i) {
        return context.getColor(i);
    }

    public static boolean getHmiCurrentModelIsDark(Context context) {
        int i = context.getResources().getConfiguration().uiMode;
        int i2 = i & 48;
        String str = TAG;
        Log.i(str, "currentMode is " + i2);
        Log.i(str, "uiMode is " + i);
        if (i2 == 16) {
            Log.i(str, "currentMode is UI_MODE_NIGHT_NO = 16");
            return false;
        } else if (i2 != 32) {
            return false;
        } else {
            Log.i(str, "currentMode is UI_MODE_NIGHT_YES = 32");
            return true;
        }
    }
}
