package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.Log;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;

public class HmiBadgeNumberView extends HmiTextView {
    public static final int DEFAULT_TEXT_SIZE = 28;
    public static final int MAX_SHOW_NUMBER = 99;
    public static final String MAX_SHOW_TEXT = "99+";
    public static final String TAG = "HmiBadgeNumberView";
    private int mBadgeNumber;

    public HmiBadgeNumberView(Context context) {
        this(context, null);
    }

    public HmiBadgeNumberView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public HmiBadgeNumberView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context, attributeSet);
    }

    private void init(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.HmiBadgeNumberView);
            int color = obtainStyledAttributes.getColor(R.styleable.HmiBadgeNumberView_badge_number, 0);
            obtainStyledAttributes.recycle();
            setBackgroundDrawable(ContextCompat.getDrawable(context, R.drawable.oneoshmi_badge_view_bg));
            setGravity(17);
            setBadgeNumber(color);
        }
    }

    public void setBadgeNumber(int i) {
        Log.i(TAG, "setBadgeNumber: " + i);
        this.mBadgeNumber = i;
        if (i > 99) {
            setText(MAX_SHOW_TEXT);
        } else {
            setText(String.valueOf(i));
        }
    }

    public int getBadgeNumber() {
        return this.mBadgeNumber;
    }

    public void setShowBadge(boolean z) {
        Log.i(TAG, "isShowBadge: " + z);
        setVisibility(z ? 0 : 8);
    }
}
