package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import androidx.appcompat.widget.AppCompatCheckBox;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;

public class HmiRectangleCheckBox extends AppCompatCheckBox {
    private static final String TGA = "HmiRectangleCheckBox";
    private Context mContext;
    private boolean misChecked;

    public HmiRectangleCheckBox(Context context) {
        super(context);
    }

    public HmiRectangleCheckBox(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        setButtonDrawable(ContextCompat.getDrawable(context, R.drawable.oneoshmi_check_box_one_bg));
    }

    public HmiRectangleCheckBox(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
    }

    public void setChecked(boolean z) {
        super.setChecked(z);
        Log.i(TGA, "checked:" + z);
        this.misChecked = z;
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        Log.i(TGA, "enabled:" + z);
        if (z) {
            setAlpha(1.0f);
        } else {
            setAlpha(0.3f);
        }
    }
}
