package com.geely.toolchain.hmi.view;

import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.view.View;
import android.widget.SeekBar;
import com.geely.toolchain.hmi.dialog.AbstractHmiLastMsgHandler;
import com.geely.toolchain.hmi.view.HmiDialogDampScrollView;

public class HmiScrollBindHelper implements SeekBar.OnSeekBarChangeListener, HmiDialogDampScrollView.ScrollViewListener {
    public static final long DEFAULT_TIME_OUT = 2000;
    private static HmiScrollBindHelper helper;
    private static boolean ifii;
    private final String TAG = "ScrollBindHelper";
    private VisibleHandler handler = new VisibleHandler(this);
    private boolean isUserSeeking;
    int process;
    private final View scrollContent;
    private final HmiDialogDampScrollView scrollView;
    private final SeekBar seekBar;

    private HmiScrollBindHelper(SeekBar seekBar2, HmiDialogDampScrollView hmiDialogDampScrollView) {
        this.seekBar = seekBar2;
        this.scrollView = hmiDialogDampScrollView;
        this.scrollContent = hmiDialogDampScrollView.getChildAt(0);
    }

    public static HmiScrollBindHelper bind(SeekBar seekBar2, HmiDialogDampScrollView hmiDialogDampScrollView) {
        HmiScrollBindHelper hmiScrollBindHelper = new HmiScrollBindHelper(seekBar2, hmiDialogDampScrollView);
        helper = hmiScrollBindHelper;
        seekBar2.setOnSeekBarChangeListener(hmiScrollBindHelper);
        hmiDialogDampScrollView.setScrollViewListener(helper);
        return helper;
    }

    private int getContentRange() {
        return this.scrollContent.getHeight();
    }

    private int getScrollRange() {
        return this.scrollContent.getHeight() - this.scrollView.getHeight();
    }

    public void onProgressChanged(SeekBar seekBar2, int i, boolean z) {
        Log.d("ScrollBindHelper", "onProgressChanged  progress-> " + i);
        showScroll();
        if (!this.isUserSeeking) {
            this.handler.reset();
        }
        if (!z) {
            this.process = i;
            Log.d("ScrollBindHelper", "onProgressChanged  not from user-> ");
            return;
        }
        float scrollRange = ((float) getScrollRange()) * (((float) this.process) / 100.0f);
        this.scrollView.scrollTo(0, (int) scrollRange);
        Log.d("ScrollBindHelper", "onProgressChanged  ------------------------------- ");
        Log.d("ScrollBindHelper", "onProgressChanged  progress-> " + this.process);
        Log.d("ScrollBindHelper", "onProgressChanged  getScrollRange()-> " + getScrollRange());
        Log.d("ScrollBindHelper", "onProgressChanged  temp-> " + scrollRange);
        Log.d("ScrollBindHelper", "onProgressChanged  ------------------------------- ");
    }

    public void onStartTrackingTouch(SeekBar seekBar2) {
        this.isUserSeeking = true;
        ifii = false;
        this.handler.clearAll();
    }

    public void onStopTrackingTouch(SeekBar seekBar2) {
        this.isUserSeeking = false;
        this.handler.reset();
    }

    @Override // com.geely.toolchain.hmi.view.HmiDialogDampScrollView.ScrollViewListener
    public void onScrollChanged(HmiDialogDampScrollView hmiDialogDampScrollView, int i, int i2, int i3, int i4) {
        int scrollRange = getScrollRange();
        this.seekBar.setProgress(scrollRange != 0 ? (i2 * 100) / scrollRange : 0);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void hideScroll() {
        this.seekBar.setVisibility(8);
    }

    private void showScroll() {
        this.seekBar.setVisibility(0);
    }

    private static class VisibleHandler extends AbstractHmiLastMsgHandler {
        private HmiScrollBindHelper helper;

        public VisibleHandler(HmiScrollBindHelper hmiScrollBindHelper) {
            super(Looper.myLooper());
            this.helper = hmiScrollBindHelper;
        }

        public void reset() {
            sendMsgDelayed(2000);
        }

        /* access modifiers changed from: protected */
        @Override // com.geely.toolchain.hmi.dialog.AbstractHmiLastMsgHandler
        public void handleLastMessage(Message message) {
            this.helper.hideScroll();
        }
    }
}
