package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import android.widget.Switch;
import com.geely.toolchain.hmi.R;

public class HmiSwitch extends Switch {
    private static final String TGA = "HmiSwitch";

    public HmiSwitch(Context context) {
        super(context);
        init(context, null);
    }

    public HmiSwitch(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(context, attributeSet);
    }

    public HmiSwitch(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context, attributeSet);
    }

    private void init(Context context, AttributeSet attributeSet) {
        setTrackDrawable(context.getDrawable(R.drawable.oneoshmi_switch_selector_track));
        setThumbDrawable(context.getDrawable(R.drawable.oneoshmi_switch_selector_thumb));
        setBackground(null);
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        Log.i(TGA, "enabled:" + z);
        if (z) {
            setAlpha(1.0f);
        } else {
            setAlpha(0.3f);
        }
    }
}
