package com.geely.toolchain.hmi.view;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.DecelerateInterpolator;
import android.widget.Switch;
import com.geely.toolchain.hmi.R;

@Deprecated
public class HmiSwitchView extends View {
    private static final int DEGREES_ONE = 180;
    private static final int DEGREES_THREE = 360;
    private static final int DEGREES_TWO = -180;
    private static final String TAG = "HmiSwitchView";
    private boolean isChecked;
    private boolean isEnable;
    private OnCheckedChangeListener mOnSwitchListener;
    private Paint mPaint;
    private float mPercent;
    private float mShowHeight;
    private float mShowWidth;
    private int mThumbColor;
    private int mTrackCheckColor;
    private int mTrackColor;
    private int mTrackUncheckColor;

    public interface OnCheckedChangeListener {
        void onCheckedChanged(HmiSwitchView hmiSwitchView, boolean z);
    }

    public void setOnCheckedChangeListener(OnCheckedChangeListener onCheckedChangeListener) {
        this.mOnSwitchListener = onCheckedChangeListener;
    }

    public HmiSwitchView(Context context) {
        this(context, null);
        init(context, null);
    }

    public HmiSwitchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
        init(context, attributeSet);
    }

    public HmiSwitchView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.mThumbColor = -1;
        this.mTrackColor = -16711936;
        this.mTrackCheckColor = -16711936;
        this.mTrackUncheckColor = -7829368;
        init(context, attributeSet);
    }

    private void init(Context context, AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.HmiOneOSHmiSwitchView);
        this.mThumbColor = obtainStyledAttributes.getColor(R.styleable.HmiOneOSHmiSwitchView_thumbColor, this.mThumbColor);
        this.mTrackCheckColor = obtainStyledAttributes.getColor(R.styleable.HmiOneOSHmiSwitchView_trackCheckColor, this.mTrackCheckColor);
        int color = obtainStyledAttributes.getColor(R.styleable.HmiOneOSHmiSwitchView_trackUncheckColor, this.mTrackUncheckColor);
        this.mTrackUncheckColor = color;
        this.mTrackColor = color;
        this.mShowWidth = obtainStyledAttributes.getDimension(R.styleable.HmiOneOSHmiSwitchView_showWidth, 0.0f);
        this.mShowHeight = obtainStyledAttributes.getDimension(R.styleable.HmiOneOSHmiSwitchView_showHeight, 0.0f);
        this.isChecked = obtainStyledAttributes.getBoolean(R.styleable.HmiOneOSHmiSwitchView_isChecked, false);
        this.isEnable = obtainStyledAttributes.getBoolean(R.styleable.HmiOneOSHmiSwitchView_isEnable, true);
        obtainStyledAttributes.recycle();
        this.mPaint = new Paint(1);
        if (!this.isEnable) {
            setEnabled(false);
        }
        if (this.isChecked) {
            setChecked(true);
        } else {
            setChecked(false);
        }
        setOnClickListener(new View.OnClickListener() {
            /* class com.geely.toolchain.hmi.view.$$Lambda$HmiSwitchView$whrSyFme5P2ZLr_uyvYEaB9wzmQ */

            public final void onClick(View view) {
                HmiSwitchView.this.lambda$init$0$HmiSwitchView(view);
            }
        });
    }

    public /* synthetic */ void lambda$init$0$HmiSwitchView(View view) {
        setSelectedStatus(!isSelected(), true);
        OnCheckedChangeListener onCheckedChangeListener = this.mOnSwitchListener;
        if (onCheckedChangeListener != null) {
            onCheckedChangeListener.onCheckedChanged(this, isSelected());
        }
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        this.mPaint.setColor(this.mTrackColor);
        float f = this.mShowHeight;
        canvas.drawRoundRect((((float) getWidth()) - this.mShowWidth) / 2.0f, (((float) getHeight()) - this.mShowHeight) / 2.0f, (((float) getWidth()) + this.mShowWidth) / 2.0f, (((float) getHeight()) + f) / 2.0f, f / 2.0f, f / 2.0f, this.mPaint);
        this.mPaint.setColor(this.mThumbColor);
        float f2 = (this.mShowHeight - 4.0f) / 2.0f;
        float f3 = this.mShowWidth;
        canvas.drawCircle(f2 + 2.0f + ((((float) getWidth()) - f3) / 2.0f) + (((f3 - (f2 * 2.0f)) - 4.0f) * this.mPercent), ((float) getHeight()) / 2.0f, f2, this.mPaint);
    }

    private void setPercent(float f) {
        this.mPercent = f;
        float[] fArr = new float[3];
        float[] fArr2 = new float[3];
        float[] fArr3 = new float[3];
        Color.colorToHSV(this.mTrackUncheckColor, fArr);
        Color.colorToHSV(this.mTrackCheckColor, fArr2);
        if (fArr2[0] - fArr[0] > 180.0f) {
            fArr2[0] = fArr2[0] - 360.0f;
        } else if (fArr2[0] - fArr[0] < -180.0f) {
            fArr2[0] = fArr2[0] + 360.0f;
        }
        float f2 = fArr[0];
        float f3 = fArr2[0] - fArr[0];
        float f4 = this.mPercent;
        fArr3[0] = f2 + (f3 * f4);
        if (fArr3[0] > 360.0f) {
            fArr3[0] = fArr3[0] - 360.0f;
        } else if (fArr3[0] < 0.0f) {
            fArr3[0] = fArr3[0] + 360.0f;
        }
        fArr3[1] = fArr[1] + ((fArr2[1] - fArr[1]) * f4);
        fArr3[2] = fArr[2] + ((fArr2[2] - fArr[2]) * f4);
        int i = this.mTrackUncheckColor;
        this.mTrackColor = Color.HSVToColor(i >> (((int) (((float) ((this.mTrackCheckColor >> (24 - i)) >> 24)) * f4)) + 24), fArr3);
        invalidate();
    }

    private void setPercentAnim(float f) {
        ObjectAnimator ofFloat = ObjectAnimator.ofFloat(this, "percent", this.mPercent, f);
        ofFloat.setDuration(400L);
        ofFloat.setInterpolator(new DecelerateInterpolator());
        ofFloat.start();
    }

    private void setSelectedStatus(boolean z, boolean z2) {
        Log.i(TAG, "selected:" + z);
        if (z != isSelected()) {
            setSelected(z);
            if (isSelected()) {
                if (!isAttachedToWindow() || !z2) {
                    setPercent(1.0f);
                } else {
                    setPercentAnim(1.0f);
                }
            } else if (!isAttachedToWindow() || !z2) {
                setPercent(0.0f);
            } else {
                setPercentAnim(0.0f);
            }
        }
    }

    public void setChecked(boolean z) {
        Log.i(TAG, "checked:" + z);
        setSelectedStatus(z, false);
    }

    public boolean isChecked() {
        return isSelected();
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        Log.i(TAG, "enabled:" + z);
        if (z) {
            setAlpha(1.0f);
        } else {
            setAlpha(0.3f);
        }
    }

    public CharSequence getAccessibilityClassName() {
        return Switch.class.getName();
    }

    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo accessibilityNodeInfo) {
        super.onInitializeAccessibilityNodeInfo(accessibilityNodeInfo);
        if (accessibilityNodeInfo != null) {
            accessibilityNodeInfo.setChecked(isChecked());
        }
    }
}
