package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatTextView;
import androidx.core.view.GravityCompat;
import com.geely.toolchain.hmi.R;
import com.geely.toolchain.hmi.util.UiUtil;

public class HmiTextViewWithBg extends AppCompatTextView {
    private static final int ONE_LINE = 1;
    private int mNormalColor = 0;
    private int mPressColor = 0;
    private float mRadius = 0.0f;

    public HmiTextViewWithBg(Context context) {
        super(context);
        init(context, null);
    }

    public HmiTextViewWithBg(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        init(context, attributeSet);
    }

    public HmiTextViewWithBg(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context, attributeSet);
    }

    private void init(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.HmiViewWithBackground);
            obtainStyledAttributes.recycle();
            setBackground(obtainStyledAttributes.getColor(R.styleable.HmiViewWithBackground_normalColor, 0), obtainStyledAttributes.getColor(R.styleable.HmiViewWithBackground_pressColor, 0), (float) obtainStyledAttributes.getDimensionPixelSize(R.styleable.HmiViewWithBackground_radius, 0));
        }
    }

    public void setNormalColor(int i) {
        setBackground(i, this.mPressColor, this.mRadius);
    }

    public void setPressColor(int i) {
        setBackground(this.mNormalColor, i, this.mRadius);
    }

    public void setBackground(int i, int i2, float f) {
        UiUtil.setBackgroundColor(this, i, i2, f);
        this.mRadius = f;
        this.mNormalColor = i;
        this.mPressColor = i2;
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.AppCompatTextView
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        if (getLineCount() <= 1) {
            setGravity(17);
        } else {
            setGravity(GravityCompat.START);
        }
    }
}
