package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.text.TextUtils;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.PopupWindow;
import android.widget.TextView;
import com.geely.toolchain.hmi.R;

public class HmiToolTips extends PopupWindow {
    private static final String TAG = "HmiToolTips";
    private View bubbleView;
    private Context mContext;

    public HmiToolTips(Context context) {
        if (context != null) {
            this.mContext = context;
            setWidth(-2);
            setHeight(-2);
            setFocusable(true);
            setOutsideTouchable(false);
            setClippingEnabled(false);
            setBackgroundDrawable(new ColorDrawable(0));
        }
    }

    private void setBubbleView(String str) {
        if (!TextUtils.isEmpty(str)) {
            View inflate = LayoutInflater.from(this.mContext).inflate(R.layout.hmi_tools_tips_layout, (ViewGroup) null);
            this.bubbleView = inflate;
            ((TextView) inflate.findViewById(R.id.tips_tv)).setText(str);
            setContentView(this.bubbleView);
            return;
        }
        Log.d(TAG, "tips is empty!!!");
    }

    public void show(View view, int i, String str) {
        if (TextUtils.isEmpty(str)) {
            Log.d(TAG, "msg is empty");
            return;
        }
        setBubbleView(str);
        if (!isShowing()) {
            int[] iArr = new int[2];
            view.getLocationOnScreen(iArr);
            if (i == 48) {
                this.bubbleView.setBackgroundResource(R.drawable.oneoshmi_tooltips_down);
                showAtLocation(view, 0, iArr[0] - (getMeasuredWidth() / 2), iArr[1] - getMeasureHeight());
            } else if (i == 80) {
                this.bubbleView.setBackgroundResource(R.drawable.oneoshmi_tooltips_up_left);
                showAsDropDown(view);
            } else if (i == 8388611) {
                this.bubbleView.setBackgroundResource(R.drawable.oneoshmi_tooltips_right);
                showAtLocation(view, 0, iArr[0] - getMeasuredWidth(), (iArr[1] + (view.getMeasuredHeight() / 2)) - (getMeasureHeight() / 2));
            } else if (i != 8388613) {
                Log.d(TAG, "+location[1]:" + iArr[1] + "location[0]:" + iArr[0]);
            } else {
                this.bubbleView.setBackgroundResource(R.drawable.oneoshmi_tooltips_left);
                showAtLocation(view, 0, iArr[0] + view.getMeasuredWidth(), (iArr[1] + (view.getHeight() / 2)) - (getMeasureHeight() / 2));
            }
        }
    }

    public int getMeasureHeight() {
        getContentView().measure(0, 0);
        return getContentView().getMeasuredHeight();
    }

    public int getMeasuredWidth() {
        getContentView().measure(0, 0);
        return getContentView().getMeasuredWidth();
    }
}
