package com.geely.lib.oneosapi.mediacenter.manager;

import android.content.Context;
import com.geely.lib.oneosapi.mediacenter.MediaCenterManager;
import com.geely.lib.oneosapi.mediacenter.bean.Frequency;
import com.geely.lib.oneosapi.mediacenter.bean.MediaData;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;
import java.util.List;

public class MediaAdapterManager extends MusicAdapterManager {

    /* renamed from: com.geely.lib.oneosapi.mediacenter.manager.MediaAdapterManager$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        static {
            MediaCenterConstant.AudioSource.values();
            int[] iArr = new int[7];
            $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource = iArr;
            iArr[MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE.ordinal()] = 1;
            try {
                $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource[MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO.ordinal()] = 2;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public MediaAdapterManager(Context context, MediaCenterManager mediaCenterManager) {
        super(context, mediaCenterManager);
    }

    @Deprecated
    public int addFavor(String str, String str2, String str3, String str4) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int bookSong(String str) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int cancelFavor() {
        if (getCurrentAudioSource() != MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return cancelFavor(null);
        }
        RadioManager radioManager = this.mMediaCenterManager.getRadioManager();
        radioManager.addCollectionStation(radioManager.getFrequency(), true);
        return 1;
    }

    @Override // com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager
    public boolean isCurrentMediaFavored() {
        if (getCurrentAudioSource() != MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return super.isCurrentMediaFavored();
        }
        RadioManager radioManager = this.mMediaCenterManager.getRadioManager();
        List<Frequency> collectionStationsList = radioManager.getCollectionStationsList();
        if (collectionStationsList == null) {
            return false;
        }
        for (Frequency frequency : collectionStationsList) {
            if (frequency.getFrequency() == radioManager.getFrequency()) {
                return true;
            }
        }
        return false;
    }

    public boolean isMusicQualitySwitch(int i) {
        return this.mMediaCenterManager.getOnlineMusicManager().isMusicQualitySwitch(i);
    }

    public boolean isSupportChangeMode(MediaCenterConstant.PlayMode playMode) {
        return this.mMediaCenterManager.getOnlineMusicManager().isSupportChangeMode(playMode) == 1;
    }

    public boolean isWeCarFlowAgreedUserProtocol() {
        return this.mMediaCenterManager.getOnlineMusicManager().isAgreedUserProtocol();
    }

    @Override // com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager
    public int next() {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().seekAsync(0) ? 1 : 0;
        }
        return super.next();
    }

    public int notifyVrStatusNotifierStatus(int i) {
        return this.mMediaCenterManager.getOnlineMusicManager().notifyVrStatusNotifierStatus(i);
    }

    public int onMusicEnquire(String str) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    @Deprecated
    public int onView(String str, String str2) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int openLoginPage() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().openLoginPage();
        return 1;
    }

    public int openLrcPage() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().openLrcPage();
        return 1;
    }

    public int openWeCarFlowTab(String str) {
        this.mMediaCenterManager.getOnlineMusicManager().startAppTab(str);
        return 1;
    }

    @Override // com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager
    public int pause() {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().pause() ? 1 : 0;
        }
        return super.pause();
    }

    @Override // com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager
    public int play() {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().play() ? 1 : 0;
        }
        return super.play();
    }

    public int playFavor() {
        int ordinal = getCurrentAudioSource().ordinal();
        if (ordinal == 3) {
            return playRadioFavor();
        }
        if (ordinal != 4) {
            return -1;
        }
        return playMusicFavor();
    }

    public int playIndex(String str, String str2) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int playRadioFavor() {
        if (getCurrentAudioSource().ordinal() != 3) {
            return -1;
        }
        return this.mMediaCenterManager.getRadioManager().playRadioFavor();
    }

    public int playSavedSet(String str, String str2, String str3) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    @Override // com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager
    public int prev() {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().seekAsync(1) ? 1 : 0;
        }
        return super.prev();
    }

    public int scanAsync() {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().scanAsync() ? 1 : 0;
        }
        return -1;
    }

    public int searchFM(MediaData mediaData) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int searchMedia(String str) {
        this.mMediaCenterManager.getOnlineMusicManager().searchMediaForVR(str);
        return 1;
    }

    public int searchMusic(MediaData mediaData) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int searchNews(MediaData mediaData) {
        return getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE ? 1 : -1;
    }

    public int setBandAsync(int i) {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().setBandAsync(i) ? 1 : 0;
        }
        return -1;
    }

    public int setFrequency(int i) {
        if (getCurrentAudioSource() == MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return this.mMediaCenterManager.getRadioManager().setFrequency(i) ? 1 : 0;
        }
        return -1;
    }

    public int switchSourceQuality(int i) {
        if (getCurrentAudioSource() != MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE || !isMusicQualitySwitch(i)) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().switchSourceQuality(i);
        return 1;
    }

    public int addFavor() {
        if (getCurrentAudioSource() != MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO) {
            return addFavor(null);
        }
        RadioManager radioManager = this.mMediaCenterManager.getRadioManager();
        radioManager.addCollectionStation(radioManager.getFrequency(), false);
        return 1;
    }
}
