package com.geely.lib.oneosapi.mediacenter.manager;

import android.content.Context;
import android.util.Log;
import com.geely.lib.oneosapi.mediacenter.MediaCenterManager;
import com.geely.lib.oneosapi.mediacenter.base.BaseMusicManager;
import com.geely.lib.oneosapi.mediacenter.bean.MediaData;
import com.geely.lib.oneosapi.mediacenter.callback.MusicListCallback;
import com.geely.lib.oneosapi.mediacenter.constant.MediaCenterConstant;
import com.geely.lib.oneosapi.mediacenter.listener.MediaStateListener;
import com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener;
import com.geely.lib.oneosapi.mediacenter.listener.SourceStateListener;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.function.BiConsumer;

public class MusicAdapterManager {
    public static final int FAILED = 0;
    public static final int SUCCESS = 1;
    private static final String TAG = "MusicAdapterManager";
    public static final int UNSUPPORTED = -1;
    private Context mContext;
    public MediaCenterManager mMediaCenterManager;
    private final MusicStateListenerImpl mMusicStateListenerImpl;
    private final CopyOnWriteArrayList<MusicStateListener> mMusicStateListeners = new CopyOnWriteArrayList<>();
    private final SourceStateListener mSourceStateListenerImpl;
    private final CopyOnWriteArrayList<SourceStateListener> mSourceStateListeners = new CopyOnWriteArrayList<>();

    /* renamed from: com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager$2  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass2 {
        public static final /* synthetic */ int[] $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|1|2|3|4|5|6|7|8|9|10|(3:11|12|14)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|14) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0027 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0032 */
        static {
            MediaCenterConstant.AudioSource.values();
            int[] iArr = new int[7];
            $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource = iArr;
            iArr[MediaCenterConstant.AudioSource.AUDIO_SOURCE_UNKNOWN.ordinal()] = 1;
            $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource[MediaCenterConstant.AudioSource.AUDIO_SOURCE_USB.ordinal()] = 2;
            $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource[MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE.ordinal()] = 3;
            $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource[MediaCenterConstant.AudioSource.AUDIO_SOURCE_YUNTING.ordinal()] = 4;
            $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource[MediaCenterConstant.AudioSource.AUDIO_SOURCE_BT.ordinal()] = 5;
            try {
                $SwitchMap$com$geely$lib$oneosapi$mediacenter$constant$MediaCenterConstant$AudioSource[MediaCenterConstant.AudioSource.AUDIO_SOURCE_RADIO.ordinal()] = 6;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public class MusicStateListenerImpl implements MusicStateListener {
        private MusicStateListenerImpl() {
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onFavorStateChanged(MediaCenterConstant.AudioSource audioSource, MediaData mediaData) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onFavorStateChanged(audioSource, mediaData);
            }
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onLrcLoad(MediaCenterConstant.AudioSource audioSource, String str, long j) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onLrcLoad(audioSource, str, j);
            }
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onMediaDataChanged(MediaCenterConstant.AudioSource audioSource, MediaData mediaData) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onMediaDataChanged(audioSource, mediaData);
            }
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onPlayListChanged(MediaCenterConstant.AudioSource audioSource, List<MediaData> list) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onPlayListChanged(audioSource, list);
            }
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onPlayModeChange(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.PlayMode playMode) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onPlayModeChange(audioSource, playMode);
            }
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onPlayPositionChanged(MediaCenterConstant.AudioSource audioSource, long j, long j2) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onPlayPositionChanged(audioSource, j, j2);
            }
        }

        @Override // com.geely.lib.oneosapi.mediacenter.listener.MusicStateListener
        public void onPlayStateChanged(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.PlayState playState) {
            Iterator it = MusicAdapterManager.this.mMusicStateListeners.iterator();
            while (it.hasNext()) {
                ((MusicStateListener) it.next()).onPlayStateChanged(audioSource, playState);
            }
        }
    }

    public MusicAdapterManager(Context context, MediaCenterManager mediaCenterManager) {
        AnonymousClass1 r0 = new SourceStateListener() {
            /* class com.geely.lib.oneosapi.mediacenter.manager.MusicAdapterManager.AnonymousClass1 */

            @Override // com.geely.lib.oneosapi.mediacenter.listener.SourceStateListener
            public void onSourceChanged(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.AppSource appSource) {
                Iterator it = MusicAdapterManager.this.mSourceStateListeners.iterator();
                while (it.hasNext()) {
                    ((SourceStateListener) it.next()).onSourceChanged(audioSource, appSource);
                }
            }
        };
        this.mSourceStateListenerImpl = r0;
        this.mMusicStateListenerImpl = new MusicStateListenerImpl();
        this.mContext = context;
        this.mMediaCenterManager = mediaCenterManager;
        mediaCenterManager.addSourceStateListener(r0);
        mediaCenterManager.getMusicManagerMap().forEach(new BiConsumer() {
            /* class com.geely.lib.oneosapi.mediacenter.manager.$$Lambda$MusicAdapterManager$cDnPT02UcqNt6MW7TunMIiGT1Aw */

            @Override // java.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                MusicAdapterManager.this.lambda$new$0$MusicAdapterManager((MediaCenterConstant.AudioSource) obj, (BaseMusicManager) obj2);
            }
        });
    }

    public int addFavor(MediaData mediaData) {
        BaseMusicManager baseMusicManager;
        MediaData currentMediaData;
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if ((ordinal != 4 && ordinal != 6) || (currentMediaData = (baseMusicManager = this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource)).getCurrentMediaData()) == null || !currentMediaData.isFavorSupported) {
            return -1;
        }
        baseMusicManager.addFavor(mediaData);
        return 1;
    }

    public void addMediaStateListener(MediaStateListener mediaStateListener) {
        this.mMediaCenterManager.getMusicManagerMap().forEach(new BiConsumer() {
            /* class com.geely.lib.oneosapi.mediacenter.manager.$$Lambda$MusicAdapterManager$e4Z2IKYtZUuhrdksfbOUpexy0Xw */

            @Override // java.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                MediaCenterConstant.AudioSource audioSource = (MediaCenterConstant.AudioSource) obj;
                ((BaseMusicManager) obj2).addMediaStateListener(MediaStateListener.this);
            }
        });
    }

    public void addMusicStateListener(MusicStateListener musicStateListener) {
        if (musicStateListener != null && !this.mMusicStateListeners.contains(musicStateListener)) {
            this.mMusicStateListeners.add(musicStateListener);
        }
    }

    public void addSourceStateListener(SourceStateListener sourceStateListener) {
        if (sourceStateListener != null && !this.mSourceStateListeners.contains(sourceStateListener)) {
            this.mSourceStateListeners.add(sourceStateListener);
        }
    }

    public int cancelFavor(MediaData mediaData) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal != 4 && ordinal != 6) {
            return -1;
        }
        BaseMusicManager baseMusicManager = this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource);
        if (baseMusicManager.getCurrentMediaData() != null && !baseMusicManager.getCurrentMediaData().isFavorSupported) {
            return -1;
        }
        if (baseMusicManager.getCurrentMediaData() == null || !baseMusicManager.getCurrentMediaData().isFavored) {
            return 0;
        }
        baseMusicManager.cancelFavor(mediaData);
        return 1;
    }

    public int closeFavor() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().closeFavor();
        return 1;
    }

    public int fastForward(long j) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        if (currentAudioSource != MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).fastForward(j);
        return 1;
    }

    public int fastRewind(long j) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        if (currentAudioSource != MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).fastRewind(j);
        return 1;
    }

    public BtMusicManager getBtMusicManager() {
        return this.mMediaCenterManager.getBtMusicManager();
    }

    public MediaCenterConstant.AppSource getCurrentAppSource() {
        MediaCenterConstant.AppSource currentAppSource = this.mMediaCenterManager.getCurrentAppSource();
        Log.d(TAG, "getCurrentAppSource() returned: " + currentAppSource);
        return currentAppSource;
    }

    public MediaCenterConstant.AudioSource getCurrentAudioSource() {
        MediaCenterConstant.AudioSource currentAudioSource = this.mMediaCenterManager.getCurrentAudioSource();
        Log.d(TAG, "getCurrentAudioSource() returned: " + currentAudioSource);
        return currentAudioSource;
    }

    public MediaData getCurrentMediaData() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 1 || ordinal == 2 || ordinal == 4 || ordinal == 6) {
            return this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getCurrentMediaData();
        }
        return null;
    }

    public MediaCenterConstant.PlayState getCurrentPlayState() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 1 || ordinal == 2 || ordinal == 4 || ordinal == 6) {
            return this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getCurrentPlayState();
        }
        return null;
    }

    public long getCurrentPosition() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 1 || ordinal == 2 || ordinal == 4 || ordinal == 6) {
            return this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getCurrentPosition();
        }
        return 0;
    }

    @Deprecated
    public MediaCenterConstant.AudioSource getCurrentSource() {
        return this.mMediaCenterManager.getCurrentAudioSource();
    }

    public BaseMusicManager getMusicManager(MediaCenterConstant.AudioSource audioSource) {
        return this.mMediaCenterManager.getMusicManagerMap().get(audioSource);
    }

    public OnlineMusicManager getOnlineMusicManager() {
        return this.mMediaCenterManager.getOnlineMusicManager();
    }

    @Deprecated
    public List<MediaData> getPlayList() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 1 || ordinal == 4 || ordinal == 6) {
            return this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getPlayList();
        }
        return null;
    }

    public void getPlayListAsync(MusicListCallback musicListCallback) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 1 || ordinal == 2 || ordinal == 4 || ordinal == 6) {
            this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getPlayListAsync(musicListCallback);
        }
    }

    public MediaCenterConstant.PlayMode getPlayMode() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 1 || ordinal == 2 || ordinal == 4 || ordinal == 6) {
            return this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getPlayMode();
        }
        return null;
    }

    public UsbMusicManager getUsbMusicManager() {
        return this.mMediaCenterManager.getUsbMusicManager();
    }

    public YunTingManager getYunTingManager() {
        return this.mMediaCenterManager.getYunTingManager();
    }

    public boolean isCurrentMediaFavored() {
        MediaData currentMediaData;
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        if (currentAudioSource != MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE || (currentMediaData = this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).getCurrentMediaData()) == null) {
            return false;
        }
        return currentMediaData.isFavored;
    }

    public /* synthetic */ void lambda$new$0$MusicAdapterManager(MediaCenterConstant.AudioSource audioSource, BaseMusicManager baseMusicManager) {
        baseMusicManager.addMusicStateListener(this.mMusicStateListenerImpl);
    }

    public int next() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        if (ordinal != 1 && ordinal != 2 && ordinal != 4 && ordinal != 6) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).next();
        return 1;
    }

    public int openFavor() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().openFavor();
        return 1;
    }

    public int openHistory() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().openHistory();
        return 1;
    }

    public int openHistoryList(int i, boolean z) {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().openHistoryList(i, z);
        return 1;
    }

    public int openPlayList() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().openPlayList();
        return 1;
    }

    public int pause() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        if (ordinal != 1 && ordinal != 2 && ordinal != 4 && ordinal != 6) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).pause();
        return 1;
    }

    public int play() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        if (ordinal != 1 && ordinal != 2 && ordinal != 4 && ordinal != 6) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).play();
        return 1;
    }

    public int playItem(MediaData mediaData) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        if (ordinal != 1 && ordinal != 4 && ordinal != 6) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).playItem(mediaData);
        return 1;
    }

    public int playMusicFavor() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().playFavor();
        return 1;
    }

    public int prev() {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        if (ordinal != 1 && ordinal != 2 && ordinal != 4 && ordinal != 6) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).prev();
        return 1;
    }

    public void removeMediaStateListener(MediaStateListener mediaStateListener) {
        this.mMediaCenterManager.getMusicManagerMap().forEach(new BiConsumer() {
            /* class com.geely.lib.oneosapi.mediacenter.manager.$$Lambda$MusicAdapterManager$1RpBtbg7bNQGXfQUVLGfL7ejEmo */

            @Override // java.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                MediaCenterConstant.AudioSource audioSource = (MediaCenterConstant.AudioSource) obj;
                ((BaseMusicManager) obj2).removeMediaStateListener(MediaStateListener.this);
            }
        });
    }

    public void removeMusicStateListener(MusicStateListener musicStateListener) {
        if (musicStateListener != null) {
            this.mMusicStateListeners.remove(musicStateListener);
        }
    }

    public void removeSourceStateListener(SourceStateListener sourceStateListener) {
        if (sourceStateListener != null) {
            this.mSourceStateListeners.remove(sourceStateListener);
        }
    }

    public int replay() {
        if (getCurrentAudioSource().ordinal() != 4) {
            return -1;
        }
        this.mMediaCenterManager.getOnlineMusicManager().replay();
        return 1;
    }

    public void requestAudioSource(MediaCenterConstant.AudioSource audioSource, MediaCenterConstant.AppSource appSource) {
        this.mMediaCenterManager.requestAudioSource(audioSource, appSource);
    }

    public int seekTo(long j) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        if (currentAudioSource != MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE) {
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).seekTo(j);
        return 1;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0018, code lost:
        if (r1 != 6) goto L_0x004f;
     */
    public int setPlayMode(int i) {
        MediaCenterConstant.AudioSource currentAudioSource = getCurrentAudioSource();
        int ordinal = currentAudioSource.ordinal();
        if (ordinal == 0) {
            return 0;
        }
        if (ordinal != 1) {
            if (!(ordinal == 2 || ordinal == 3)) {
                if (ordinal == 4) {
                    OnlineMusicManager onlineMusicManager = (OnlineMusicManager) this.mMediaCenterManager.getMusicManagerMap().get(MediaCenterConstant.AudioSource.AUDIO_SOURCE_ONLINE);
                    if (onlineMusicManager.isSupportChangeMode(MediaCenterConstant.getPlayModeEnum(i)) == 1) {
                        onlineMusicManager.setPlayMode(MediaCenterConstant.getPlayModeEnum(i));
                        return 1;
                    }
                }
            }
            return -1;
        }
        this.mMediaCenterManager.getMusicManagerMap().get(currentAudioSource).setPlayMode(MediaCenterConstant.getPlayModeEnum(i));
        return 1;
    }

    public int startAppTab(String str) {
        this.mMediaCenterManager.getOnlineMusicManager().startAppTab(str);
        return 1;
    }

    public void requestAudioSource(MediaCenterConstant.AudioSource audioSource) {
        this.mMediaCenterManager.requestAudioSource(audioSource);
    }
}
