package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.util.AttributeSet;
import android.util.Log;
import com.geely.toolchain.hmi.R;

public class HmiActionImage extends HmiImageView {
    public static final String TAG = "HmiActionImage";
    private ActionState mState;

    public HmiActionImage(Context context) {
        this(context, null);
    }

    public HmiActionImage(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public HmiActionImage(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        init(context, attributeSet);
    }

    private void init(Context context, AttributeSet attributeSet) {
        if (attributeSet != null) {
            int integer = context.obtainStyledAttributes(attributeSet, R.styleable.HmiActionImage).getInteger(R.styleable.HmiActionImage_actionState, ActionState.BACK.getCode());
            Log.i(TAG, "init: actionState = " + integer);
            if (integer == ActionState.CLOSE.code) {
                setState(ActionState.CLOSE);
            } else if (integer == ActionState.PACK_UP.code) {
                setState(ActionState.PACK_UP);
            } else {
                setState(ActionState.BACK);
            }
        }
    }

    public void setState(ActionState actionState) {
        if (actionState == null) {
            Log.d(TAG, "setState: state == null");
            return;
        }
        this.mState = actionState;
        int i = AnonymousClass1.$SwitchMap$com$geely$toolchain$hmi$view$HmiActionImage$ActionState[this.mState.ordinal()];
        if (i == 1) {
            setImageResource(R.drawable.oneoshmi_ic_back_black);
        } else if (i != 2) {
            setImageResource(R.drawable.oneoshmi_ic_close_black);
        } else {
            setImageResource(R.drawable.oneoshmi_ic_pack_up);
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.geely.toolchain.hmi.view.HmiActionImage$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$geely$toolchain$hmi$view$HmiActionImage$ActionState;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[ActionState.values().length];
            $SwitchMap$com$geely$toolchain$hmi$view$HmiActionImage$ActionState = iArr;
            iArr[ActionState.BACK.ordinal()] = 1;
            $SwitchMap$com$geely$toolchain$hmi$view$HmiActionImage$ActionState[ActionState.PACK_UP.ordinal()] = 2;
        }
    }

    public void setEnabled(boolean z) {
        super.setEnabled(z);
        if (z) {
            setAlpha(1.0f);
        } else {
            setAlpha(0.3f);
        }
    }

    public enum ActionState {
        BACK(0),
        PACK_UP(1),
        CLOSE(2);
        
        private final int code;

        private ActionState(int i) {
            this.code = i;
        }

        public int getCode() {
            return this.code;
        }
    }
}
