package com.geely.toolchain.hmi.view;

import android.content.Context;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.text.TextPaint;
import android.util.AttributeSet;
import androidx.appcompat.widget.AppCompatToggleButton;
import androidx.core.content.ContextCompat;
import com.geely.toolchain.hmi.R;

public class HmiSquareToggleButton extends AppCompatToggleButton {
    private static final String TAG = "HmiToggleButton";
    Rect bounds = new Rect();
    protected int drawableHeight;
    protected DrawablePositions drawablePosition;
    protected int iconPadding;

    private enum DrawablePositions {
        NONE,
        TOP_AND_BOTTOM,
        TOP,
        BOTTOM
    }

    public HmiSquareToggleButton(Context context) {
        super(context);
    }

    public HmiSquareToggleButton(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        applyAttributes(attributeSet);
    }

    public HmiSquareToggleButton(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        applyAttributes(attributeSet);
    }

    /* access modifiers changed from: protected */
    public void applyAttributes(AttributeSet attributeSet) {
        if (this.bounds == null) {
            this.bounds = new Rect();
        }
        this.iconPadding = getCompoundDrawablePadding();
        setBackground(ContextCompat.getDrawable(getContext(), R.drawable.oneoshmi_selector_toggle_button_bg));
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z, int i, int i2, int i3, int i4) {
        super.onLayout(z, i, i2, i3, i4);
        TextPaint paint = getPaint();
        String charSequence = getText().toString();
        paint.getTextBounds(charSequence, 0, charSequence.length(), this.bounds);
        int height = (int) ((((double) getHeight()) / 2.0d) - (((double) ((this.drawableHeight + (this.iconPadding * (this.drawablePosition == DrawablePositions.TOP_AND_BOTTOM ? 2 : 1))) + this.bounds.height())) / 2.0d));
        setCompoundDrawablePadding((-height) + this.iconPadding);
        int i5 = AnonymousClass1.$SwitchMap$com$geely$toolchain$hmi$view$HmiSquareToggleButton$DrawablePositions[this.drawablePosition.ordinal()];
        if (i5 == 1) {
            setPadding(getPaddingLeft(), height, getPaddingRight(), 0);
        } else if (i5 == 2) {
            setPadding(getPaddingLeft(), 0, getPaddingRight(), height);
        } else if (i5 != 3) {
            setPadding(getPaddingLeft(), 0, getPaddingRight(), 0);
        } else {
            setPadding(getPaddingLeft(), height, getPaddingRight(), height);
        }
    }

    /* renamed from: com.geely.toolchain.hmi.view.HmiSquareToggleButton$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$geely$toolchain$hmi$view$HmiSquareToggleButton$DrawablePositions;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|(3:5|6|8)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        static {
            int[] iArr = new int[DrawablePositions.values().length];
            $SwitchMap$com$geely$toolchain$hmi$view$HmiSquareToggleButton$DrawablePositions = iArr;
            iArr[DrawablePositions.TOP.ordinal()] = 1;
            $SwitchMap$com$geely$toolchain$hmi$view$HmiSquareToggleButton$DrawablePositions[DrawablePositions.BOTTOM.ordinal()] = 2;
            try {
                $SwitchMap$com$geely$toolchain$hmi$view$HmiSquareToggleButton$DrawablePositions[DrawablePositions.TOP_AND_BOTTOM.ordinal()] = 3;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        if (drawable2 != null && drawable4 != null) {
            this.drawableHeight = drawable2.getIntrinsicHeight() + drawable4.getIntrinsicHeight();
            this.drawablePosition = DrawablePositions.TOP_AND_BOTTOM;
        } else if (drawable2 != null) {
            this.drawableHeight = drawable2.getIntrinsicHeight();
            this.drawablePosition = DrawablePositions.TOP;
        } else if (drawable4 != null) {
            this.drawableHeight = drawable4.getIntrinsicHeight();
            this.drawablePosition = DrawablePositions.BOTTOM;
        } else {
            this.drawablePosition = DrawablePositions.NONE;
        }
        requestLayout();
    }
}
